import PropTypes from 'prop-types';
import { iconPropTypes } from '../button-link/types';
export const buttonPropTypes = {
  'data-name': PropTypes.string,
  disabled: PropTypes.bool,
  label: PropTypes.string.isRequired,
  onClick: PropTypes.func,
  type: PropTypes.oneOf(['default', 'defaultLeft', 'dangerous', 'dangerousLeft']),
  buttonLinkType: PropTypes.oneOf(['primary', 'secondary', 'tertiary', 'text', 'dangerous']),
  icon: PropTypes.shape({
    ...iconPropTypes,
    theme: PropTypes.oneOf(['archived', 'published', 'deleted'])
  }),
  customStyle: PropTypes.objectOf(PropTypes.oneOfType([PropTypes.string, PropTypes.number])),
  customLabelClassName: PropTypes.string
};
const propTypes = {
  buttons: PropTypes.arrayOf(PropTypes.shape(buttonPropTypes)).isRequired,
  'data-name': PropTypes.string,
  'aria-label': PropTypes.string,
  enableScroll: PropTypes.bool
};
export default propTypes;
//# sourceMappingURL=types.js.map