import _keys from "lodash/fp/keys";
import React from 'react';
import PropTypes from 'prop-types';
import style from './style.css';
const CATEGORIES = {
  base: style.base,
  advanced: style.advanced,
  coach: style.coach,
  chapter: style.chapter,
  scorm: style.scorm,
  video: style.video,
  article: style.article,
  podcast: style.podcast,
  course: style.course,
  hidden: style.hidden
};
const ContentBadge = props => {
  const {
    category,
    label
  } = props;
  return /*#__PURE__*/React.createElement("span", {
    className: CATEGORIES[category]
  }, label);
};
ContentBadge.propTypes = process.env.NODE_ENV !== "production" ? {
  category: PropTypes.oneOf(_keys(CATEGORIES)),
  label: PropTypes.string
} : {};
export default ContentBadge;
//# sourceMappingURL=index.js.map