/// <reference types="react" />
import PropTypes from 'prop-types';
declare const propTypes: {
    'aria-label': PropTypes.Requireable<string>;
    submitValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    href: PropTypes.Requireable<string>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
    target: PropTypes.Requireable<string>;
    name: PropTypes.Requireable<string>;
    disabled: PropTypes.Requireable<boolean>;
    light: PropTypes.Requireable<boolean>;
    secondary: PropTypes.Requireable<boolean>;
    small: PropTypes.Requireable<boolean>;
    className: PropTypes.Requireable<string>;
    logout: PropTypes.Requireable<boolean>;
    rectangular: PropTypes.Requireable<boolean>;
    fullWidth: PropTypes.Requireable<boolean>;
    certificationButton: PropTypes.Requireable<boolean>;
    useButtonTag: PropTypes.Requireable<boolean>;
};
export declare type CTAProps = {
    'aria-label'?: string;
    submitValue: React.ReactElement;
    href: string;
    onClick?: () => void;
    target: '_self' | '_blank' | '_parent' | '_top';
    name: string;
    disabled: boolean;
    light: boolean;
    secondary: boolean;
    small: boolean;
    className: string;
    logout: boolean;
    rectangular: boolean;
    fullWidth: boolean;
    certificationButton: boolean;
    useButtonTag: boolean;
};
export default propTypes;
//# sourceMappingURL=prop-types.d.ts.map