import React from 'react';
import PropTypes from 'prop-types';
import InputText from '../input-text';
import style from './style.css';
const InputTextWithTitle = props => {
  const {
    inputText,
    title,
    'data-name': dataName,
    'aria-label': ariaLabel
  } = props;
  const inputTextClass = inputText.size === 'small' ? style.smallInputText : style.defaultInputText;
  return /*#__PURE__*/React.createElement("div", {
    className: style.container,
    "data-name": dataName,
    "aria-label": ariaLabel
  }, title ? /*#__PURE__*/React.createElement("span", {
    className: style.title
  }, title) : null, /*#__PURE__*/React.createElement("div", {
    className: inputTextClass
  }, /*#__PURE__*/React.createElement(InputText, inputText)));
};
InputTextWithTitle.propTypes = process.env.NODE_ENV !== "production" ? {
  inputText: PropTypes.shape({
    ...InputText.propTypes,
    theme: PropTypes.string,
    size: PropTypes.string
  }),
  title: PropTypes.string,
  'aria-label': PropTypes.string,
  'data-name': PropTypes.string
} : {};
export default InputTextWithTitle;
//# sourceMappingURL=index.js.map