import React from 'react';
import PropTypes from 'prop-types';
import { NovaCompositionCoorpacademyCmLoader as CMLoader } from '@coorpacademy/nova-icons';
import classnames from 'classnames';
import style from './style.css';
const Loader = ({
  className,
  theme = 'default'
}) => {
  return theme !== 'default' ? /*#__PURE__*/React.createElement("div", {
    "data-name": "loader",
    className: classnames(style.cmLoaderContainer, className)
  }, /*#__PURE__*/React.createElement(CMLoader, {
    className: style.cmLoaderGrey
  }), /*#__PURE__*/React.createElement(CMLoader, {
    className: style.cmLoaderLightGrey
  }), /*#__PURE__*/React.createElement(CMLoader, {
    className: style.cmLoaderBlue
  })) : /*#__PURE__*/React.createElement("div", {
    "data-name": "loader",
    className: classnames(style.container, className)
  }, /*#__PURE__*/React.createElement("div", {
    className: style.dots
  }, /*#__PURE__*/React.createElement("div", {
    className: style.red
  }), /*#__PURE__*/React.createElement("div", {
    className: style.blue
  }), /*#__PURE__*/React.createElement("div", {
    className: style.green
  }), /*#__PURE__*/React.createElement("div", {
    className: style.yellow
  })));
};
Loader.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string,
  theme: PropTypes.oneOf(['default', 'coorpmanager'])
} : {};
export default Loader;
//# sourceMappingURL=index.js.map