import PropTypes from 'prop-types';
export declare type LottieAnimationProps = {
    'aria-label'?: string;
    'data-name'?: string;
    animationSrc: string;
    loop?: boolean;
    rendererSettings?: {
        hideOnTransparent?: boolean;
        className?: string;
    };
    height?: number;
    width?: number;
    className?: string;
    autoplay?: boolean;
    animationControl?: 'play' | 'pause' | 'stop' | 'loading';
};
export declare const ANIMATION_CONTROL: {
    play: string;
    pause: string;
    stop: string;
    loading: string;
};
declare const propTypes: {
    'aria-label': PropTypes.Requireable<string>;
    'data-name': PropTypes.Requireable<string>;
    animationSrc: PropTypes.Validator<string>;
    loop: PropTypes.Requireable<boolean>;
    rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
        hideOnTransparent: PropTypes.Requireable<boolean>;
        className: PropTypes.Requireable<string>;
    }>>;
    height: PropTypes.Requireable<number>;
    width: PropTypes.Requireable<number>;
    className: PropTypes.Requireable<string>;
    autoplay: PropTypes.Requireable<boolean>;
    animationControl: PropTypes.Requireable<string>;
};
export default propTypes;
//# sourceMappingURL=prop-types.d.ts.map