import _keys from "lodash/fp/keys";
import React from 'react';
import PropTypes from 'prop-types';
import style from './style.css';
const notificationStyle = {
  warning: style.warning,
  error: style.error,
  success: style.success
};
const NotificationComponent = props => {
  const {
    type,
    message
  } = props;
  const className = type ? notificationStyle[type] : style.message;
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement("span", null, "!"), message);
};
NotificationComponent.propTypes = process.env.NODE_ENV !== "production" ? {
  type: PropTypes.oneOf(_keys(notificationStyle)).isRequired,
  message: PropTypes.string.isRequired
} : {};
export default NotificationComponent;
//# sourceMappingURL=index.js.map