import React, { createContext, useContext } from 'react';
const Context = /*#__PURE__*/createContext({});
const WebContext = ({
  children,
  ...value
}) => {
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: value
  }, children);
};
export const useWebContext = () => {
  const context = useContext(Context);
  if (!context) {
    throw new Error('❌ [WebContext] useWebContext must be used within a provider <WebContext>');
  }
  return context;
};
export default WebContext;
//# sourceMappingURL=web-context.js.map