import React from 'react';
import PropTypes from 'prop-types';
import Provider from '../provider';
import style from './style.css';
const TabContent = props => {
  const {
    tabTitle,
    hideContentBackground,
    children
  } = props;
  const backgroundClassName = hideContentBackground ? style.hiddenBackground : style.greyBackground;
  return /*#__PURE__*/React.createElement("div", {
    className: style.content
  }, /*#__PURE__*/React.createElement("div", {
    className: style.contentTitle
  }, tabTitle), /*#__PURE__*/React.createElement("div", {
    className: backgroundClassName
  }, children));
};
TabContent.contextTypes = {
  translate: Provider.childContextTypes.translate
};
TabContent.propTypes = process.env.NODE_ENV !== "production" ? {
  tabTitle: PropTypes.string,
  hideContentBackground: PropTypes.bool,
  children: PropTypes.node
} : {};
export default TabContent;
//# sourceMappingURL=index.js.map