import React from 'react';
import { Dimensions, Text as TextBase } from 'react-native';
const SCREEN = Dimensions.get('screen');
const FONT_SCALING = 0.5 * (SCREEN.height / SCREEN.width);
const Text = props => {
  const {
    children,
    style,
    testID,
    numberOfLines,
    allowFontScaling = true,
    accessibilityLabel
  } = props;
  const styleWithScaledFont = {
    ...style,
    fontSize: style?.fontSize ? style.fontSize * FONT_SCALING : undefined,
    lineHeight: style?.lineHeight ? style.lineHeight * FONT_SCALING : undefined
  };
  return /*#__PURE__*/React.createElement(TextBase, {
    allowFontScaling: allowFontScaling,
    style: styleWithScaledFont,
    testID: testID,
    numberOfLines: numberOfLines,
    accessibilityLabel: accessibilityLabel
  }, children);
};
export default Text;
//# sourceMappingURL=index.native.js.map