import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import style from './style.css';
const WizardSteps = props => {
  const {
    steps
  } = props;
  const wizard = steps.map((step, index) => {
    return /*#__PURE__*/React.createElement("div", {
      className: classnames(style.step, step.done && style.done, step.current && style.current),
      key: `step-${index}`,
      "data-step": index,
      "data-name": step.current ? `step-${index}` : `current-step-${index}`
    }, /*#__PURE__*/React.createElement("div", {
      className: style.label
    }, /*#__PURE__*/React.createElement("div", {
      className: style.title,
      "data-name": `step-name`
    }, step.title)), /*#__PURE__*/React.createElement("div", {
      className: style.outerDot
    }, /*#__PURE__*/React.createElement("div", {
      className: style.dot
    }, " ")));
  });
  return /*#__PURE__*/React.createElement("div", {
    className: style.container
  }, wizard);
};
WizardSteps.propTypes = process.env.NODE_ENV !== "production" ? {
  steps: PropTypes.arrayOf(PropTypes.shape({
    title: PropTypes.string,
    done: PropTypes.bool,
    current: PropTypes.bool
  }))
} : {};
export default WizardSteps;
//# sourceMappingURL=index.js.map