import React from 'react';
import PropTypes from 'prop-types';
import { NovaSolidLoginLocked as LockIcon } from '@coorpacademy/nova-icons';
import Link from '../../atom/link';
import Picture from '../../atom/picture';
import Description from './description';
import style from './style.css';
const BrandCard = props => {
  const {
    title,
    edit,
    editHref,
    onEditClick,
    see,
    seeHref,
    image,
    description,
    maintenance = false
  } = props;
  const maintenanceView = maintenance ? /*#__PURE__*/React.createElement("div", {
    className: style.lockWrapper
  }, /*#__PURE__*/React.createElement(LockIcon, {
    className: style.lockIcon,
    height: 80
  })) : null;
  return /*#__PURE__*/React.createElement("div", {
    className: style.wrapper
  }, /*#__PURE__*/React.createElement("div", {
    className: style.image
  }, /*#__PURE__*/React.createElement(Picture, {
    className: style.picture,
    src: image
  }), maintenanceView, /*#__PURE__*/React.createElement(Description, {
    description: description,
    className: style.descriptionWrapper
  })), /*#__PURE__*/React.createElement("div", {
    className: style.information,
    "data-name": `info-${title}`
  }, /*#__PURE__*/React.createElement("h3", null, title), /*#__PURE__*/React.createElement("div", {
    className: style.edit
  }, /*#__PURE__*/React.createElement(Link, {
    href: editHref,
    onClick: onEditClick,
    "data-name": `edit-${title}`
  }, edit)), /*#__PURE__*/React.createElement("div", {
    className: style.see,
    "data-name": `see-${title}`
  }, /*#__PURE__*/React.createElement(Link, {
    target: "_blank",
    href: seeHref
  }, see))));
};
BrandCard.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.string.isRequired,
  description: PropTypes.string,
  edit: PropTypes.string.isRequired,
  editHref: PropTypes.string,
  onEditClick: PropTypes.func,
  see: PropTypes.string.isRequired,
  seeHref: PropTypes.string,
  image: PropTypes.string.isRequired,
  maintenance: PropTypes.bool
} : {};
export default BrandCard;
//# sourceMappingURL=index.js.map