import React from 'react';
import { StyleSheet } from 'react-native';
import ImageBackground from '../../atom/image-background/index.native';
import { useTemplateContext } from '../../template/app-review/template-context';
const styles = StyleSheet.create({
  logo: {
    width: '100%'
  }
});
const BrandLogo = ({
  height
}) => {
  const templateContext = useTemplateContext();
  const {
    brandTheme
  } = templateContext;
  const imageStyle = {
    ...styles.logo,
    height
  };
  const source = {
    uri: brandTheme.images && brandTheme.images['logo-mobile']
  };
  return /*#__PURE__*/React.createElement(ImageBackground, {
    style: imageStyle,
    testID: "brand-logo",
    source: source,
    resizeMode: "contain"
  });
};
export default BrandLogo;
//# sourceMappingURL=index.native.js.map