import _keys from "lodash/fp/keys";
import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import style from './customer.css';
export const THEMES = {
  default: null,
  coorpmanager: style.coorpmanager
};
const Customer = props => {
  const {
    name,
    type,
    coorpOriginal,
    theme,
    disabled,
    'aria-label': ariaLabel
  } = props;
  const className = classnames(THEMES[theme], style.customer, type === 'chapter' ? style.chapterCustomer : null);
  return /*#__PURE__*/React.createElement("div", {
    className: className,
    disabled: disabled,
    "aria-label": ariaLabel
  }, /*#__PURE__*/React.createElement("div", {
    className: style.content
  }, coorpOriginal ? /*#__PURE__*/React.createElement("span", {
    className: style.coorp
  }, "Coorp ") : null, coorpOriginal ? /*#__PURE__*/React.createElement("span", {
    className: style.original
  }, "Original ") : null, !coorpOriginal && name));
};
Customer.propTypes = process.env.NODE_ENV !== "production" ? {
  theme: PropTypes.oneOf(_keys(THEMES)),
  type: PropTypes.string,
  name: PropTypes.string,
  coorpOriginal: PropTypes.bool.isRequired,
  disabled: PropTypes.bool,
  'aria-label': PropTypes.string
} : {};
export default Customer;
//# sourceMappingURL=customer.js.map