import _isUndefined from "lodash/fp/isUndefined";
import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import { NovaSolidStatusCheckCircle2 as CheckIcon, NovaSolidRemoveAddAddCircle1 as AddIcon, NovaLineContentEditionHide as HideIcon, NovaCompositionCoorpacademyEye as ShowIcon } from '@coorpacademy/nova-icons';
import style from './selectable.css';
const Selectable = props => {
  const {
    isSelected,
    hidden,
    'aria-label': ariaLabel = {}
  } = props;
  if (_isUndefined(isSelected)) return null;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames(style.selectable, isSelected && style.selected, hidden && style.hidden)
  }, /*#__PURE__*/React.createElement("div", {
    className: style.circle
  }), /*#__PURE__*/React.createElement("div", {
    className: style.iconWrapper
  }, /*#__PURE__*/React.createElement(AddIcon, {
    className: style.addIcon,
    "aria-label": ariaLabel.select
  }), /*#__PURE__*/React.createElement(CheckIcon, {
    className: style.checkIcon,
    "aria-label": ariaLabel.unSelect
  }), /*#__PURE__*/React.createElement(HideIcon, {
    className: style.hideIcon,
    "aria-label": ariaLabel.hide
  }), /*#__PURE__*/React.createElement(ShowIcon, {
    className: style.showIcon,
    "aria-label": ariaLabel.show
  })));
};
Selectable.propTypes = process.env.NODE_ENV !== "production" ? {
  isSelected: PropTypes.bool,
  hidden: PropTypes.bool,
  'aria-label': PropTypes.shape({
    select: PropTypes.string,
    unSelect: PropTypes.string
  })
} : {};
export default Selectable;
//# sourceMappingURL=selectable.js.map