import React from 'react';
import PropTypes from 'prop-types';
import ButtonLink from '../../atom/button-link';
import style from './style.css';
const CoorpmanagerBaseBanner = props => {
  const {
    image,
    title,
    subTitle,
    buttonLabel,
    onClick
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.background,
    "data-name": "go1-base-banner"
  }, /*#__PURE__*/React.createElement("div", {
    className: style.textSection
  }, /*#__PURE__*/React.createElement("span", {
    className: style.title
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: title
    }
  }), /*#__PURE__*/React.createElement("span", {
    className: style.subTitle
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: subTitle
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: style.buttonWrapper
  }, /*#__PURE__*/React.createElement(ButtonLink, {
    "data-name": "learn-more-button",
    onClick: onClick,
    type: "primary",
    label: buttonLabel,
    icon: {
      position: 'right',
      faIcon: {
        name: 'arrow-right',
        color: 'white',
        size: 14
      }
    }
  }))), /*#__PURE__*/React.createElement("div", {
    className: style.imagePlaceholder
  }), /*#__PURE__*/React.createElement("img", {
    className: style.image,
    src: image
  }));
};
CoorpmanagerBaseBanner.propTypes = process.env.NODE_ENV !== "production" ? {
  image: PropTypes.string,
  title: PropTypes.string,
  subTitle: PropTypes.string,
  buttonLabel: PropTypes.string,
  onClick: PropTypes.func
} : {};
export default CoorpmanagerBaseBanner;
//# sourceMappingURL=index.js.map