import React from 'react';
import PropTypes from 'prop-types';
import CardImagePreview from '../../atom/card-image-preview';
import ContentBadge from '../../atom/content-badge';
import ListBadges from '../list-badges';
import style from './style.css';
const CourseSection = props => {
  const {
    image,
    badgeList,
    title,
    author,
    position,
    'aria-label': {
      title: ariaLabelTitle,
      author: ariaLabelAuthor,
      modules: ariaLabelModules,
      position: coursePosition
    },
    id
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.container,
    "aria-label": ariaLabelTitle,
    "data-name": `course-section-${id}`
  }, /*#__PURE__*/React.createElement("div", {
    className: style.wrapper
  }, /*#__PURE__*/React.createElement("span", {
    className: style.position,
    "aria-label": coursePosition,
    "data-name": "position"
  }, position), /*#__PURE__*/React.createElement("div", {
    className: style.containerImage
  }, /*#__PURE__*/React.createElement(CardImagePreview, {
    image: image
  })), /*#__PURE__*/React.createElement("div", {
    className: style.containerInfos
  }, /*#__PURE__*/React.createElement("div", {
    className: style.title
  }, title), /*#__PURE__*/React.createElement("span", {
    className: style.author,
    "aria-label": ariaLabelAuthor
  }, author))), /*#__PURE__*/React.createElement(ListBadges, {
    "aria-label": ariaLabelModules,
    items: badgeList
  }));
};
CourseSection.propTypes = process.env.NODE_ENV !== "production" ? {
  'aria-label': PropTypes.shape({
    title: PropTypes.string,
    author: PropTypes.string,
    modules: PropTypes.string,
    position: PropTypes.string
  }),
  image: PropTypes.string,
  badgeList: PropTypes.arrayOf(PropTypes.shape(ContentBadge.propTypes)),
  title: PropTypes.string,
  author: PropTypes.string,
  position: PropTypes.number,
  id: PropTypes.string
} : {};
export default CourseSection;
//# sourceMappingURL=index.js.map