import React from 'react';
import PropTypes from 'prop-types';
import { NovaCompositionCoorpacademyBigFlashRight as FlashRight, NovaCompositionCoorpacademyBigFlashLeft as FlashLeft } from '@coorpacademy/nova-icons';
import Provider from '../../../atom/provider';
import Link from '../../../atom/link';
import style from './style.css';
const StartBattle = /*#__PURE__*/React.memo(function StartBattle(props) {
  const {
    startBattleText,
    becomeAChampionText,
    challengeText,
    onClick,
    href
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.root,
    "data-name": "start-battle"
  }, /*#__PURE__*/React.createElement("div", {
    className: style.container
  }, /*#__PURE__*/React.createElement("div", {
    className: style.wrapper
  }, /*#__PURE__*/React.createElement("div", {
    className: style.start
  }, /*#__PURE__*/React.createElement("div", {
    className: style.leftFlashes
  }, /*#__PURE__*/React.createElement(FlashLeft, {
    className: style.bigFlashLeft
  }), /*#__PURE__*/React.createElement(FlashLeft, {
    className: style.smallFlashLeft
  })), /*#__PURE__*/React.createElement("div", {
    className: style.middle
  }, /*#__PURE__*/React.createElement("div", {
    className: style.becomeText
  }, /*#__PURE__*/React.createElement(FlashLeft, {
    className: style.smallFlashLeftMobile
  }), becomeAChampionText, /*#__PURE__*/React.createElement(FlashRight, {
    className: style.smallFlashRightMobile
  })), /*#__PURE__*/React.createElement("div", {
    className: style.challengeText
  }, challengeText), /*#__PURE__*/React.createElement(Link, {
    className: style.button,
    onClick: onClick,
    href: href
  }, startBattleText)), /*#__PURE__*/React.createElement("div", {
    className: style.rightFlashes
  }, /*#__PURE__*/React.createElement(FlashRight, {
    className: style.bigFlashRight
  }), /*#__PURE__*/React.createElement(FlashRight, {
    className: style.smallFlashRight
  }))))));
});
StartBattle.contextTypes = {
  skin: Provider.childContextTypes.skin
};
StartBattle.propTypes = process.env.NODE_ENV !== "production" ? {
  startBattleText: PropTypes.string,
  becomeAChampionText: PropTypes.string,
  challengeText: PropTypes.string,
  onClick: PropTypes.func,
  href: PropTypes.string
} : {};
export default StartBattle;
//# sourceMappingURL=index.js.map