import _map from "lodash/fp/map";
import React from 'react';
import PropTypes from 'prop-types';
import InputFileDraggable from '../../atom/input-file-draggable';
import style from './style.css';
const DragAndDropWrapper = props => {
  const {
    list = [],
    'data-name': dataName
  } = props;
  const dragAndDropList = _map(dragAndDropProps => {
    return /*#__PURE__*/React.createElement("li", {
      className: style.dragAndDrop,
      key: `dragAndDrop-${dragAndDropProps.title}`
    }, /*#__PURE__*/React.createElement(InputFileDraggable, dragAndDropProps));
  }, list);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("ul", {
    className: style.group,
    "data-name": dataName
  }, dragAndDropList));
};
DragAndDropWrapper.propTypes = process.env.NODE_ENV !== "production" ? {
  list: PropTypes.arrayOf(PropTypes.shape(InputFileDraggable.propTypes)),
  'data-name': PropTypes.string
} : {};
export default DragAndDropWrapper;
//# sourceMappingURL=index.js.map