import React from 'react';
import PropTypes from 'prop-types';
import Button from '../../atom/button';
import style from './placeholder.css';
export const PlaceHolder = ({
  title,
  uploadLabel,
  primaryColor,
  buttonTitle
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: style.dropZoneContainer
  }, /*#__PURE__*/React.createElement("div", {
    className: style.title
  }, title), /*#__PURE__*/React.createElement("div", {
    className: style.dropZone
  }, /*#__PURE__*/React.createElement("p", {
    className: style.uploadLabel
  }, uploadLabel)), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Button, {
    "data-name": "cta",
    type: "link",
    submitValue: buttonTitle,
    className: style.selectButton,
    style: {
      backgroundColor: primaryColor
    }
  })));
};
export default PlaceHolder;
PlaceHolder.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.string,
  uploadLabel: PropTypes.string,
  primaryColor: PropTypes.string,
  buttonTitle: PropTypes.string
} : {};
//# sourceMappingURL=placeholder.js.map