import React from 'react';
import PropTypes from 'prop-types';
import Button from '../../atom/button';
import style from './style.css';
const Go1Banner = props => {
  const {
    image,
    title,
    subTitle,
    onClick,
    submitValue
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.background,
    "data-name": "go1-banner"
  }, /*#__PURE__*/React.createElement("div", {
    className: style.textSection
  }, /*#__PURE__*/React.createElement("span", {
    className: style.title
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: title
    }
  }), /*#__PURE__*/React.createElement("span", {
    className: style.subTitle
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: subTitle
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: style.buttonWrapper
  }, /*#__PURE__*/React.createElement(Button, {
    type: "link",
    "data-name": "learn-more-button",
    onClick: onClick,
    submitValue: submitValue,
    className: style.ctaButton,
    style: {
      backgroundColor: '#D5FD42'
    }
  }))), /*#__PURE__*/React.createElement("img", {
    className: style.image,
    src: image
  }));
};
Go1Banner.propTypes = process.env.NODE_ENV !== "production" ? {
  image: PropTypes.string,
  title: PropTypes.string,
  subTitle: PropTypes.string,
  onClick: Button.propTypes.onClick,
  submitValue: Button.propTypes.submitValue
} : {};
export default Go1Banner;
//# sourceMappingURL=index.js.map