import PropTypes from 'prop-types';
declare const propTypes: {
    'aria-label': PropTypes.Requireable<string>;
    cardIndex: PropTypes.Requireable<number>;
    skillTitle: PropTypes.Requireable<string>;
    skillAriaLabel: PropTypes.Requireable<string>;
    focus: PropTypes.Requireable<boolean>;
    metrics: PropTypes.Requireable<PropTypes.InferProps<{
        content: PropTypes.Requireable<number>;
        score: PropTypes.Requireable<number>;
        questionsToReview: PropTypes.Requireable<number>;
    }>>;
    icon: PropTypes.Requireable<PropTypes.InferProps<{
        color: PropTypes.Requireable<string>;
        name: PropTypes.Requireable<string>;
    }>>;
    onExploreClick: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare type LearnerSkillCardProps = {
    'aria-label'?: string;
    cardIndex: number;
    skillTitle: string;
    skillAriaLabel?: string;
    focus: boolean;
    metrics: {
        content: number;
        score: number;
        questionsToReview?: number;
    };
    icon: {
        color: string;
        name: string;
    };
    onExploreClick: () => void;
};
export default propTypes;
//# sourceMappingURL=prop-types.d.ts.map