/// <reference types="react" />
import { WebContextValues } from '../../atom/provider/web-context';
import { FormatedDataType, LearningProfileRadarChartPropTypes } from './types';
export declare const formatData: (legend: {
    [ref: string]: string;
}, data_: LearningProfileRadarChartPropTypes['data']) => FormatedDataType[];
export declare const LearningProfileRadarChart: {
    ({ data, legend, totalDataset, colors: colorsProps, onClick, onExploreClick, width, height, margin }: LearningProfileRadarChartPropTypes, legacyContext: WebContextValues): JSX.Element;
    contextTypes: {
        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
            common: import("prop-types").Requireable<{
                [x: string]: any;
            }>;
            images: import("prop-types").Requireable<import("prop-types").InferProps<{
                'logo-mobile': import("prop-types").Requireable<any>;
                logo: import("prop-types").Requireable<any>;
                'logo-email': import("prop-types").Requireable<any>;
                login: import("prop-types").Requireable<any>;
            }>>;
            icons: import("prop-types").Requireable<{
                [x: string]: any;
            }>;
            mod: import("prop-types").Requireable<{
                [x: string]: any;
            }>;
            courses: import("prop-types").Requireable<any[]>;
            texts: import("prop-types").Requireable<{
                [x: string]: any;
            }>;
        }>>;
        translate: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    propTypes: {
        data: import("prop-types").Validator<{
            [x: string]: NonNullable<number | (number | null | undefined)[] | null | undefined> | null | undefined;
        }>;
        totalDataset: import("prop-types").Validator<number>;
        onDotClick: import("prop-types").Requireable<(...args: any[]) => any>;
        colors: import("prop-types").Requireable<(import("prop-types").InferProps<{
            gradient: import("prop-types").Requireable<import("prop-types").InferProps<{
                fill: import("prop-types").Requireable<(string | null | undefined)[]>;
                stroke: import("prop-types").Requireable<(string | null | undefined)[]>;
            }>>;
            percentage: import("prop-types").Requireable<import("prop-types").InferProps<{
                color: import("prop-types").Requireable<string>;
                background: import("prop-types").Requireable<string>;
            }>>;
            label: import("prop-types").Requireable<import("prop-types").InferProps<{
                color: import("prop-types").Requireable<string>;
            }>>;
        }> | null | undefined)[]>;
        width: import("prop-types").Requireable<number>;
        height: import("prop-types").Requireable<number>;
        onExploreClick: import("prop-types").Requireable<(...args: any[]) => any>;
    };
};
declare const ResponsiveLearningProfileRadarChart: {
    (props: LearningProfileRadarChartPropTypes): JSX.Element;
    propTypes: {
        data: import("prop-types").Validator<{
            [x: string]: NonNullable<number | (number | null | undefined)[] | null | undefined> | null | undefined;
        }>;
        totalDataset: import("prop-types").Validator<number>;
        onDotClick: import("prop-types").Requireable<(...args: any[]) => any>;
        colors: import("prop-types").Requireable<(import("prop-types").InferProps<{
            gradient: import("prop-types").Requireable<import("prop-types").InferProps<{
                fill: import("prop-types").Requireable<(string | null | undefined)[]>;
                stroke: import("prop-types").Requireable<(string | null | undefined)[]>;
            }>>;
            percentage: import("prop-types").Requireable<import("prop-types").InferProps<{
                color: import("prop-types").Requireable<string>;
                background: import("prop-types").Requireable<string>;
            }>>;
            label: import("prop-types").Requireable<import("prop-types").InferProps<{
                color: import("prop-types").Requireable<string>;
            }>>;
        }> | null | undefined)[]>;
        width: import("prop-types").Requireable<number>;
        height: import("prop-types").Requireable<number>;
        onExploreClick: import("prop-types").Requireable<(...args: any[]) => any>;
    };
};
export default ResponsiveLearningProfileRadarChart;
//# sourceMappingURL=index.d.ts.map