import PropTypes from 'prop-types';
export declare const learningProfileRadarChartPropTypes: {
    data: PropTypes.Validator<{
        [x: string]: NonNullable<number | (number | null | undefined)[] | null | undefined> | null | undefined;
    }>;
    totalDataset: PropTypes.Validator<number>;
    onDotClick: PropTypes.Requireable<(...args: any[]) => any>;
    colors: PropTypes.Requireable<(PropTypes.InferProps<{
        gradient: PropTypes.Requireable<PropTypes.InferProps<{
            fill: PropTypes.Requireable<(string | null | undefined)[]>;
            stroke: PropTypes.Requireable<(string | null | undefined)[]>;
        }>>;
        percentage: PropTypes.Requireable<PropTypes.InferProps<{
            color: PropTypes.Requireable<string>;
            background: PropTypes.Requireable<string>;
        }>>;
        label: PropTypes.Requireable<PropTypes.InferProps<{
            color: PropTypes.Requireable<string>;
        }>>;
    }> | null | undefined)[]>;
    width: PropTypes.Requireable<number>;
    height: PropTypes.Requireable<number>;
    onExploreClick: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const customDotPropTypes: {
    cx: PropTypes.Requireable<number>;
    cy: PropTypes.Requireable<number>;
    payload: PropTypes.Requireable<PropTypes.InferProps<{
        payload: PropTypes.Requireable<PropTypes.InferProps<{
            value: PropTypes.Requireable<number>;
            subject: PropTypes.Requireable<string>;
        }>>;
        name: PropTypes.Requireable<string>;
    }>>;
    onDotClick: PropTypes.Requireable<(...args: any[]) => any>;
    index: PropTypes.Requireable<number>;
    activeDot: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<number>;
        key: PropTypes.Requireable<string>;
    }>>;
    dataKey: PropTypes.Requireable<string>;
    stroke: PropTypes.Requireable<string>;
};
export declare const customTooltipPropTypes: {
    active: PropTypes.Requireable<boolean>;
    payload: PropTypes.Requireable<(PropTypes.InferProps<{
        value: PropTypes.Requireable<number>;
    }> | null | undefined)[]>;
    label: PropTypes.Requireable<string>;
};
export declare const gradientPropTypes: {
    type: PropTypes.Requireable<string>;
    colors: PropTypes.Requireable<(string | null | undefined)[]>;
};
export declare type ColorType = {
    gradient?: {
        fill?: string[];
        stroke?: string[];
    };
    percentage?: {
        color?: string;
        background?: string;
    };
    label?: {
        color?: string;
    };
};
export declare type LearningProfileRadarChartPropTypes = {
    data: {
        [ref: string]: number | number[];
    };
    legend: {
        [ref: string]: string;
    };
    totalDataset: number;
    onClick: (skillRef?: string) => void;
    onExploreClick: (label?: string) => void;
    colors?: ColorType[];
    width?: number;
    height?: number;
    margin?: {
        top?: number;
        right?: number;
        bottom?: number;
        left?: number;
    };
};
export declare type CustomDotPropTypes = {
    cx: number;
    cy: number;
    payload: {
        payload: {
            value: number;
            subject: string;
        };
        name: string;
    };
    onDotClick: (name: string) => void;
    index: number;
    activeDot?: {
        label: string;
        value: number;
        key: string;
    };
    dataKey: string;
    stroke: string;
};
export declare type CustomTooltipPropTypes = {
    active: boolean;
    payload: {
        value: number;
    }[];
    label: string;
};
export declare type GradientPropTypes = {
    type: string;
    colors: string[];
};
export declare type TickType = {
    offset: {
        x: number;
        y: number;
    };
    alignment: 'center' | 'start' | 'end';
    margin?: 'auto';
    marginLeft?: 'auto';
    marginRight?: 'auto';
};
export declare type FormatedColorsType = {
    gradient: {
        fill: string[];
        stroke: string[];
    };
    percentage: {
        color: string;
        background: string;
    };
    label: {
        color: string;
    };
};
export declare type FormatedDataType = {
    subject: string;
} & {
    [key: string]: number | string;
};
export declare type ActiveDotType = {
    key: string;
    value: number | string;
    label: string;
};
//# sourceMappingURL=types.d.ts.map