import PropTypes from 'prop-types';

// PROPTYPES
export const learningProfileRadarChartPropTypes = {
  data: PropTypes.objectOf(PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.number), PropTypes.number])).isRequired,
  totalDataset: PropTypes.number.isRequired,
  onDotClick: PropTypes.func,
  colors: PropTypes.arrayOf(PropTypes.shape({
    gradient: PropTypes.shape({
      fill: PropTypes.arrayOf(PropTypes.string),
      stroke: PropTypes.arrayOf(PropTypes.string)
    }),
    percentage: PropTypes.shape({
      color: PropTypes.string,
      background: PropTypes.string
    }),
    label: PropTypes.shape({
      color: PropTypes.string
    })
  })),
  width: PropTypes.number,
  height: PropTypes.number,
  onExploreClick: PropTypes.func
};
export const customDotPropTypes = {
  cx: PropTypes.number,
  cy: PropTypes.number,
  payload: PropTypes.shape({
    payload: PropTypes.shape({
      value: PropTypes.number,
      subject: PropTypes.string
    }),
    name: PropTypes.string
  }),
  onDotClick: PropTypes.func,
  index: PropTypes.number,
  activeDot: PropTypes.shape({
    label: PropTypes.string,
    value: PropTypes.number,
    key: PropTypes.string
  }),
  dataKey: PropTypes.string,
  stroke: PropTypes.string
};
export const customTooltipPropTypes = {
  active: PropTypes.bool,
  payload: PropTypes.arrayOf(PropTypes.shape({
    value: PropTypes.number
  })),
  label: PropTypes.string
};
export const gradientPropTypes = {
  type: PropTypes.string,
  colors: PropTypes.arrayOf(PropTypes.string)
};

// TYPES
//# sourceMappingURL=types.js.map