import PropTypes from 'prop-types';
export declare const propTypes: {
    title: PropTypes.Requireable<string>;
    numberOfDisplayedItems: PropTypes.Requireable<number>;
    isDesktopMode: PropTypes.Requireable<boolean>;
    withScroll: PropTypes.Requireable<boolean>;
    showMoreItem: PropTypes.Requireable<PropTypes.InferProps<{
        showMoreText: PropTypes.Requireable<string>;
        showLessText: PropTypes.Requireable<string>;
        isSelected: PropTypes.Requireable<boolean>;
    }>>;
    items: PropTypes.Requireable<(PropTypes.InferProps<{
        text: PropTypes.Requireable<string>;
        isSelected: PropTypes.Requireable<boolean>;
        handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
        ariaLabel: PropTypes.Requireable<string>;
    }> | null | undefined)[]>;
};
export declare type Item = {
    text: string;
    isSelected?: boolean;
    ariaLabel?: string;
    handleOnclick: () => void;
    icon?: IconsType;
};
export declare type ShowMoreItem = {
    showMoreText: string;
    showLessText: string;
};
export declare type IconsType = 'mobilePhone' | 'chatBubbleCircleQuestionMark' | 'networkAlert' | 'binoculaire' | 'contentBook';
export declare type Props = {
    title: string;
    isDesktopMode: boolean;
    withScroll?: boolean;
    showMoreItem: ShowMoreItem;
    numberOfDisplayedItems: number;
    items: Item[];
};
//# sourceMappingURL=types.d.ts.map