import PropTypes from 'prop-types';
declare const propTypes: {
    type: PropTypes.Requireable<string>;
    resultLabel: PropTypes.Requireable<string>;
    information: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        message: PropTypes.Requireable<string>;
    }>>;
    next: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        'data-name': PropTypes.Requireable<string>;
        'aria-label': PropTypes.Requireable<string>;
    }>>;
    klf: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        tooltip: PropTypes.Requireable<string>;
    }>>;
};
export declare type ReviewCorrectionPopinKLFProps = {
    label: string;
    tooltip: string;
};
export declare type ReviewCorrectionPopinProps = {
    klf?: ReviewCorrectionPopinKLFProps;
    information: {
        label: string;
        message: string;
    };
    next: {
        label: string;
        onClick: () => void;
        'data-name'?: string;
        'aria-label': string;
    };
    resultLabel: string;
    type: 'right' | 'wrong';
};
export declare type Fixture = {
    props: ReviewCorrectionPopinProps;
};
export default propTypes;
//# sourceMappingURL=prop-types.d.ts.map