import React from 'react';
import PropTypes from 'prop-types';
import DraggableList from '../draggable-list';
import SetupSection from '../setup-section';
import Loader from '../../atom/loader';
import style from './style.css';
const Loading = () => /*#__PURE__*/React.createElement("div", {
  className: style.loading
}, /*#__PURE__*/React.createElement(Loader, null));
const SetupSections = ({
  sections,
  loading,
  onDrop
}) => {
  if (loading) return /*#__PURE__*/React.createElement(Loading, null);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(DraggableList, {
    itemType: "setup-section",
    items: sections,
    onDrop: onDrop
  }));
};
SetupSections.propTypes = process.env.NODE_ENV !== "production" ? {
  sections: PropTypes.arrayOf(PropTypes.shape(SetupSection.propTypes)),
  loading: PropTypes.bool,
  onDrop: PropTypes.func
} : {};
export default SetupSections;
//# sourceMappingURL=index.js.map