import React from 'react';
import PropTypes from 'prop-types';
import style from './style.css';
const SsMenuList = props => {
  const {
    items = []
  } = props;
  const itemsView = items.map(({
    title,
    href
  }, index) => /*#__PURE__*/React.createElement("li", {
    key: index,
    className: style.item
  }, /*#__PURE__*/React.createElement("a", {
    href: href
  }, title)));
  return /*#__PURE__*/React.createElement("ul", {
    className: style.list
  }, itemsView);
};
SsMenuList.propTypes = process.env.NODE_ENV !== "production" ? {
  items: PropTypes.arrayOf(PropTypes.shape({
    href: PropTypes.string,
    title: PropTypes.string
  }))
} : {};
export default SsMenuList;
//# sourceMappingURL=index.js.map