export namespace JWPlayerPropTypes {
    const mimeType: PropTypes.Requireable<string>;
    const scriptErrorMessage: PropTypes.Requireable<string>;
    const disableAutostart: PropTypes.Requireable<boolean>;
    const loading: PropTypes.Requireable<boolean>;
    const jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
        file: PropTypes.Requireable<any>;
        customProps: PropTypes.Requireable<PropTypes.InferProps<{
            aspectratio: PropTypes.Requireable<string>;
            tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                file: PropTypes.Requireable<any>;
                label: PropTypes.Requireable<string>;
                kind: PropTypes.Requireable<string>;
                default: PropTypes.Requireable<boolean>;
            }> | null | undefined)[]>;
            autostart: PropTypes.Requireable<string>;
            width: PropTypes.Requireable<string>;
            skin: PropTypes.Requireable<PropTypes.InferProps<{
                name: PropTypes.Requireable<string>;
            }>>;
        }>>;
        licenseKey: PropTypes.Validator<string>;
        playerScript: PropTypes.Validator<any>;
        playerId: PropTypes.Validator<string>;
    }>>;
    const onPlay: PropTypes.Requireable<(...args: any[]) => any>;
    const onResume: PropTypes.Requireable<(...args: any[]) => any>;
    const onPause: PropTypes.Requireable<(...args: any[]) => any>;
    const onEnded: PropTypes.Requireable<(...args: any[]) => any>;
    const onError: PropTypes.Requireable<(...args: any[]) => any>;
    const onPlayAttemptFailed: PropTypes.Requireable<(...args: any[]) => any>;
    const onAutostartNotAllowed: PropTypes.Requireable<(...args: any[]) => any>;
    const onSetupError: PropTypes.Requireable<(...args: any[]) => any>;
    const onWarning: PropTypes.Requireable<(...args: any[]) => any>;
}
declare namespace _default {
    export const id: PropTypes.Requireable<string>;
    export const width: PropTypes.Requireable<string>;
    export const height: PropTypes.Requireable<string>;
    export { SrcPropType as url };
    const onPlay_1: PropTypes.Requireable<(...args: any[]) => any>;
    export { onPlay_1 as onPlay };
    const onResume_1: PropTypes.Requireable<(...args: any[]) => any>;
    export { onResume_1 as onResume };
    const onPause_1: PropTypes.Requireable<(...args: any[]) => any>;
    export { onPause_1 as onPause };
    const onEnded_1: PropTypes.Requireable<(...args: any[]) => any>;
    export { onEnded_1 as onEnded };
    const onError_1: PropTypes.Requireable<(...args: any[]) => any>;
    export { onError_1 as onError };
    export const autoplay: PropTypes.Requireable<boolean>;
    const disableAutostart_1: PropTypes.Requireable<boolean>;
    export { disableAutostart_1 as disableAutostart };
    const loading_1: PropTypes.Requireable<boolean>;
    export { loading_1 as loading };
    import jwpOptions_1 = JWPlayerPropTypes.jwpOptions;
    export { jwpOptions_1 as jwpOptions };
    const mimeType_1: PropTypes.Validator<string>;
    export { mimeType_1 as mimeType };
}
export default _default;
import PropTypes from "prop-types";
import { SrcPropType } from "../../util/proptypes";
//# sourceMappingURL=prop-types.d.ts.map