import React from 'react';
import { ContentSkillModalProps } from './types';
declare const ContentSkillModal: {
    (props: ContentSkillModalProps): JSX.Element | null;
    contextTypes: {
        translate: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    propTypes: {
        contentList: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            'aria-label': import("prop-types").Requireable<string>;
            buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                usage: import("prop-types").Requireable<string>;
                label: import("prop-types").Requireable<string>;
                content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                'aria-label': import("prop-types").Requireable<string>;
                tooltipText: import("prop-types").Requireable<string>;
                tooltipPlacement: import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                'data-testid': import("prop-types").Requireable<string>;
                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                    position: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        name: import("prop-types").Validator<string>;
                        color: import("prop-types").Requireable<string>;
                        backgroundColor: import("prop-types").Requireable<string>;
                        size: import("prop-types").Requireable<number>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                    href: import("prop-types").Requireable<string>;
                    download: import("prop-types").Requireable<boolean>;
                    target: import("prop-types").Requireable<string>;
                }>>;
                hoverBackgroundColor: import("prop-types").Requireable<string>;
                hoverColor: import("prop-types").Requireable<string>;
                disabled: import("prop-types").Requireable<boolean>;
                className: import("prop-types").Requireable<string>;
                customStyle: import("prop-types").Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: import("prop-types").Requireable<boolean>;
                customLabelClassName: import("prop-types").Requireable<string>;
            }>>;
            selectMultiple: import("prop-types").Requireable<import("prop-types").InferProps<{
                title: import("prop-types").Requireable<string>;
                placeholder: import("prop-types").Requireable<string>;
                description: import("prop-types").Requireable<string>;
                hint: import("prop-types").Requireable<string>;
                options: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                    selected: import("prop-types").Validator<boolean>;
                    name: import("prop-types").Validator<string>;
                    value: import("prop-types").Requireable<string>;
                }>>[]>;
                onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                multiple: import("prop-types").Requireable<boolean>;
                modified: import("prop-types").Requireable<boolean>;
                disabled: import("prop-types").Requireable<boolean>;
                error: import("prop-types").Requireable<string>;
                theme: import("prop-types").Requireable<string>;
            }>>;
            content: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                items: import("prop-types").Requireable<(import("prop-types").InferProps<{
                    title: import("prop-types").Validator<string>;
                    subtitle: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    provider: import("prop-types").Requireable<import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                    }>>;
                    selected: import("prop-types").Requireable<boolean>;
                    selectedColor: import("prop-types").Requireable<string>;
                    dataColumns: import("prop-types").Requireable<(import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        className: import("prop-types").Requireable<string>;
                    }> | null | undefined)[]>;
                    buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                        type: import("prop-types").Requireable<string>;
                        label: import("prop-types").Requireable<string>;
                        ariaLabel: import("prop-types").Requireable<string>;
                        dataName: import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            position: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                        }>>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    }>>;
                    secondButtonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                        type: import("prop-types").Requireable<string>;
                        label: import("prop-types").Requireable<string>;
                        ariaLabel: import("prop-types").Requireable<string>;
                        dataName: import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            position: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                        }>>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    }>>;
                    bulletPointMenuButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                        buttonAriaLabel: import("prop-types").Requireable<string>;
                        menuAriaLabel: import("prop-types").Requireable<string>;
                        buttons: import("prop-types").Requireable<(import("prop-types").InferProps<{
                            'data-name': import("prop-types").Requireable<string>;
                            label: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                        }> | null | undefined)[]>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    }>>;
                    tags: import("prop-types").Requireable<(import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                    }> | null | undefined)[]>;
                    disabled: import("prop-types").Requireable<boolean>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    isBulkStyle: import("prop-types").Requireable<boolean>;
                    isOverflowHidden: import("prop-types").Requireable<boolean>;
                    order: import("prop-types").Requireable<number>;
                    'aria-label': import("prop-types").Requireable<string>;
                    contentType: import("prop-types").Requireable<string>;
                    id: import("prop-types").Requireable<string>;
                    leftIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        iconName: import("prop-types").Requireable<string>;
                        iconColor: import("prop-types").Requireable<string>;
                        backgroundColor: import("prop-types").Requireable<string>;
                        borderRadius: import("prop-types").Requireable<string>;
                        preset: import("prop-types").Requireable<string>;
                        gradientBackground: import("prop-types").Requireable<boolean>;
                        size: import("prop-types").Requireable<number>;
                        wrapperSize: import("prop-types").Requireable<number>;
                    }>>;
                    image: import("prop-types").Requireable<string>;
                    checkbox: import("prop-types").Requireable<import("prop-types").InferProps<{
                        title: import("prop-types").Requireable<string>;
                        name: import("prop-types").Requireable<string>;
                        checked: import("prop-types").Requireable<boolean>;
                        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                        'aria-label': import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            iconName: import("prop-types").Requireable<string>;
                            iconColor: import("prop-types").Requireable<string>;
                            preset: import("prop-types").Requireable<string>;
                        }>>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }> | null | undefined)[]>;
                type: import("prop-types").Requireable<string>;
                itemType: import("prop-types").Requireable<string>;
                onDrop: import("prop-types").Requireable<(...args: any[]) => any>;
                isDraggable: import("prop-types").Requireable<boolean>;
                tableHeader: import("prop-types").Requireable<(string | null | undefined)[]>;
                emptyResult: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    description: import("prop-types").Requireable<string>;
                    button: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                        type: import("prop-types").Requireable<string>;
                        usage: import("prop-types").Requireable<string>;
                        label: import("prop-types").Requireable<string>;
                        content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                        'aria-label': import("prop-types").Requireable<string>;
                        tooltipText: import("prop-types").Requireable<string>;
                        tooltipPlacement: import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        'data-testid': import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            position: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                name: import("prop-types").Validator<string>;
                                color: import("prop-types").Requireable<string>;
                                backgroundColor: import("prop-types").Requireable<string>;
                                size: import("prop-types").Requireable<number>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                        link: import("prop-types").Requireable<import("prop-types").InferProps<{
                            href: import("prop-types").Requireable<string>;
                            download: import("prop-types").Requireable<boolean>;
                            target: import("prop-types").Requireable<string>;
                        }>>;
                        hoverBackgroundColor: import("prop-types").Requireable<string>;
                        hoverColor: import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        className: import("prop-types").Requireable<string>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: import("prop-types").Requireable<boolean>;
                        customLabelClassName: import("prop-types").Requireable<string>;
                    }> | import("prop-types").InferProps<{
                        button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                            type: import("prop-types").Requireable<string>;
                            usage: import("prop-types").Requireable<string>;
                            label: import("prop-types").Requireable<string>;
                            content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                            'aria-label': import("prop-types").Requireable<string>;
                            tooltipText: import("prop-types").Requireable<string>;
                            tooltipPlacement: import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            'data-testid': import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                position: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    name: import("prop-types").Validator<string>;
                                    color: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    size: import("prop-types").Requireable<number>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                            link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                href: import("prop-types").Requireable<string>;
                                download: import("prop-types").Requireable<boolean>;
                                target: import("prop-types").Requireable<string>;
                            }>>;
                            hoverBackgroundColor: import("prop-types").Requireable<string>;
                            hoverColor: import("prop-types").Requireable<string>;
                            disabled: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: import("prop-types").Requireable<boolean>;
                            customLabelClassName: import("prop-types").Requireable<string>;
                        }>>>;
                        menu: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                            buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                                'data-name': import("prop-types").Requireable<string>;
                                disabled: import("prop-types").Requireable<boolean>;
                                label: import("prop-types").Validator<string>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                type: import("prop-types").Requireable<string>;
                                buttonLinkType: import("prop-types").Requireable<string>;
                                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    theme: import("prop-types").Requireable<string>;
                                    position: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        name: import("prop-types").Validator<string>;
                                        color: import("prop-types").Requireable<string>;
                                        backgroundColor: import("prop-types").Requireable<string>;
                                        size: import("prop-types").Requireable<number>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: import("prop-types").Requireable<string>;
                            }> | null | undefined)[]>;
                            'data-name': import("prop-types").Requireable<string>;
                            'aria-label': import("prop-types").Requireable<string>;
                            enableScroll: import("prop-types").Requireable<boolean>;
                        }>>>;
                        menuWrapper: import("prop-types").Requireable<import("prop-types").InferProps<{
                            ariaLabel: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                            }>;
                        }>>;
                        type: import("prop-types").Requireable<string>;
                        primaryColor: import("prop-types").Requireable<string>;
                        closeOnClick: import("prop-types").Requireable<boolean>;
                        enableScroll: import("prop-types").Requireable<boolean>;
                    }> | null | undefined>>;
                }>>;
            }> | import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                columns: import("prop-types").Requireable<(import("prop-types").InferProps<{
                    title: import("prop-types").Validator<string>;
                }> | null | undefined)[]>;
                rows: import("prop-types").Requireable<(import("prop-types").InferProps<{
                    fields: import("prop-types").Requireable<(NonNullable<string | import("prop-types").InferProps<{
                        type: import("prop-types").Requireable<string>;
                        current: import("prop-types").Requireable<boolean>;
                        selected: import("prop-types").Requireable<boolean>;
                        icon: import("prop-types").Requireable<string>;
                        value: import("prop-types").Requireable<string>;
                    }> | null | undefined> | null | undefined)[]>;
                    isRowExpandible: import("prop-types").Requireable<boolean>;
                    lastField: import("prop-types").Requireable<NonNullable<string | import("prop-types").InferProps<{
                        type: import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        buttonAriaLabel: import("prop-types").Requireable<string>;
                        menuAriaLabel: import("prop-types").Requireable<string>;
                        buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                            'data-name': import("prop-types").Requireable<string>;
                            disabled: import("prop-types").Requireable<boolean>;
                            label: import("prop-types").Validator<string>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                            type: import("prop-types").Requireable<string>;
                            buttonLinkType: import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                theme: import("prop-types").Requireable<string>;
                                position: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    name: import("prop-types").Validator<string>;
                                    color: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    size: import("prop-types").Requireable<number>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            customLabelClassName: import("prop-types").Requireable<string>;
                        }> | null | undefined)[]>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                        menuButtonClassName: import("prop-types").Requireable<string>;
                        isBulkMenu: import("prop-types").Requireable<boolean>;
                    }> | null | undefined>>;
                }> | null | undefined)[]>;
                stickyFirstColumn: import("prop-types").Requireable<boolean>;
                stickyLastColumn: import("prop-types").Requireable<boolean>;
                columnWidth: import("prop-types").Requireable<string>;
                ariaDescribedby: import("prop-types").Requireable<string>;
                lastField: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                    componentType: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                    usage: import("prop-types").Requireable<string>;
                    label: import("prop-types").Requireable<string>;
                    content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                    'aria-label': import("prop-types").Requireable<string>;
                    tooltipText: import("prop-types").Requireable<string>;
                    tooltipPlacement: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    'data-testid': import("prop-types").Requireable<string>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            name: import("prop-types").Validator<string>;
                            color: import("prop-types").Requireable<string>;
                            backgroundColor: import("prop-types").Requireable<string>;
                            size: import("prop-types").Requireable<number>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                    }>>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    link: import("prop-types").Requireable<import("prop-types").InferProps<{
                        href: import("prop-types").Requireable<string>;
                        download: import("prop-types").Requireable<boolean>;
                        target: import("prop-types").Requireable<string>;
                    }>>;
                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                    hoverColor: import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    className: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    useTitle: import("prop-types").Requireable<boolean>;
                    customLabelClassName: import("prop-types").Requireable<string>;
                }> | import("prop-types").InferProps<{
                    componentType: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    buttonAriaLabel: import("prop-types").Requireable<string>;
                    menuAriaLabel: import("prop-types").Requireable<string>;
                    buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                        'data-name': import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        label: import("prop-types").Validator<string>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                        type: import("prop-types").Requireable<string>;
                        buttonLinkType: import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            theme: import("prop-types").Requireable<string>;
                            position: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                name: import("prop-types").Validator<string>;
                                color: import("prop-types").Requireable<string>;
                                backgroundColor: import("prop-types").Requireable<string>;
                                size: import("prop-types").Requireable<number>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        customLabelClassName: import("prop-types").Requireable<string>;
                    }> | null | undefined)[]>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    menuButtonClassName: import("prop-types").Requireable<string>;
                    isBulkMenu: import("prop-types").Requireable<boolean>;
                }> | null | undefined>>;
                isNestedTable: import("prop-types").Requireable<boolean>;
                emptyStateFirstMessage: import("prop-types").Requireable<string>;
                emptyStateSecondMessage: import("prop-types").Requireable<string>;
            }> | null | undefined>>;
            title: import("prop-types").Requireable<NonNullable<string | import("prop-types").InferProps<{
                title: import("prop-types").Requireable<string>;
                subtitle: import("prop-types").Requireable<string>;
                type: import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                titleSize: import("prop-types").Requireable<string>;
                subtitleSize: import("prop-types").Requireable<string>;
                icon: import("prop-types").Requireable<import("prop-types").InferProps<import("prop-types").ValidationMap<any>>>;
                tag: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                    size: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        iconName?: React.Validator<string> | undefined;
                        iconColor?: React.Validator<string | null | undefined> | undefined;
                        backgroundColor?: React.Validator<string | null | undefined> | undefined;
                        gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                        borderRadius?: React.Validator<string | null | undefined> | undefined;
                        preset?: React.Validator<string | null | undefined> | undefined;
                        size?: React.Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                        customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                    }>>;
                }>>;
                button: import("prop-types").Requireable<import("prop-types").InferProps<{
                    type: import("prop-types").Requireable<string>;
                    usage: import("prop-types").Requireable<string>;
                    label: import("prop-types").Requireable<string>;
                    content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                    'aria-label': import("prop-types").Requireable<string>;
                    tooltipText: import("prop-types").Requireable<string>;
                    tooltipPlacement: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    'data-testid': import("prop-types").Requireable<string>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            name: import("prop-types").Validator<string>;
                            color: import("prop-types").Requireable<string>;
                            backgroundColor: import("prop-types").Requireable<string>;
                            size: import("prop-types").Requireable<number>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                    }>>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    link: import("prop-types").Requireable<import("prop-types").InferProps<{
                        href: import("prop-types").Requireable<string>;
                        download: import("prop-types").Requireable<boolean>;
                        target: import("prop-types").Requireable<string>;
                    }>>;
                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                    hoverColor: import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    className: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    useTitle: import("prop-types").Requireable<boolean>;
                    customLabelClassName: import("prop-types").Requireable<string>;
                }>>;
                required: import("prop-types").Requireable<boolean>;
            }> | null | undefined>>;
            isFetching: import("prop-types").Requireable<boolean>;
            search: import("prop-types").Requireable<import("prop-types").InferProps<{
                value: import("prop-types").Requireable<string>;
                placeholder: import("prop-types").Validator<string>;
                onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                onClear: import("prop-types").Requireable<(...args: any[]) => any>;
                onFocus: import("prop-types").Requireable<(...args: any[]) => any>;
                onBlur: import("prop-types").Requireable<(...args: any[]) => any>;
                theme: import("prop-types").Requireable<string>;
                dataTestId: import("prop-types").Requireable<string>;
            }>>;
            checkboxWithTitle: import("prop-types").Requireable<import("prop-types").InferProps<{
                title: import("prop-types").Requireable<string>;
                name: import("prop-types").Requireable<string>;
                checked: import("prop-types").Requireable<boolean>;
                onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                'aria-label': import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                    iconName: import("prop-types").Requireable<string>;
                    iconColor: import("prop-types").Requireable<string>;
                    preset: import("prop-types").Requireable<string>;
                }>>;
                customStyle: import("prop-types").Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            actionButtons: import("prop-types").Requireable<(import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                usage: import("prop-types").Requireable<string>;
                label: import("prop-types").Requireable<string>;
                content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                'aria-label': import("prop-types").Requireable<string>;
                tooltipText: import("prop-types").Requireable<string>;
                tooltipPlacement: import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                'data-testid': import("prop-types").Requireable<string>;
                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                    position: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        name: import("prop-types").Validator<string>;
                        color: import("prop-types").Requireable<string>;
                        backgroundColor: import("prop-types").Requireable<string>;
                        size: import("prop-types").Requireable<number>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                    href: import("prop-types").Requireable<string>;
                    download: import("prop-types").Requireable<boolean>;
                    target: import("prop-types").Requireable<string>;
                }>>;
                hoverBackgroundColor: import("prop-types").Requireable<string>;
                hoverColor: import("prop-types").Requireable<string>;
                disabled: import("prop-types").Requireable<boolean>;
                className: import("prop-types").Requireable<string>;
                customStyle: import("prop-types").Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: import("prop-types").Requireable<boolean>;
                customLabelClassName: import("prop-types").Requireable<string>;
            }> | null | undefined)[]>;
            buttonMenuAction: import("prop-types").Requireable<import("prop-types").InferProps<{
                button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    type: import("prop-types").Requireable<string>;
                    usage: import("prop-types").Requireable<string>;
                    label: import("prop-types").Requireable<string>;
                    content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                    'aria-label': import("prop-types").Requireable<string>;
                    tooltipText: import("prop-types").Requireable<string>;
                    tooltipPlacement: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    'data-testid': import("prop-types").Requireable<string>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            name: import("prop-types").Validator<string>;
                            color: import("prop-types").Requireable<string>;
                            backgroundColor: import("prop-types").Requireable<string>;
                            size: import("prop-types").Requireable<number>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                    }>>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    link: import("prop-types").Requireable<import("prop-types").InferProps<{
                        href: import("prop-types").Requireable<string>;
                        download: import("prop-types").Requireable<boolean>;
                        target: import("prop-types").Requireable<string>;
                    }>>;
                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                    hoverColor: import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    className: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    useTitle: import("prop-types").Requireable<boolean>;
                    customLabelClassName: import("prop-types").Requireable<string>;
                }>>>;
                menu: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                        'data-name': import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        label: import("prop-types").Validator<string>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                        type: import("prop-types").Requireable<string>;
                        buttonLinkType: import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            theme: import("prop-types").Requireable<string>;
                            position: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                name: import("prop-types").Validator<string>;
                                color: import("prop-types").Requireable<string>;
                                backgroundColor: import("prop-types").Requireable<string>;
                                size: import("prop-types").Requireable<number>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        customLabelClassName: import("prop-types").Requireable<string>;
                    }> | null | undefined)[]>;
                    'data-name': import("prop-types").Requireable<string>;
                    'aria-label': import("prop-types").Requireable<string>;
                    enableScroll: import("prop-types").Requireable<boolean>;
                }>>>;
                menuWrapper: import("prop-types").Requireable<import("prop-types").InferProps<{
                    ariaLabel: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                    }>;
                }>>;
                type: import("prop-types").Requireable<string>;
                primaryColor: import("prop-types").Requireable<string>;
                closeOnClick: import("prop-types").Requireable<boolean>;
                enableScroll: import("prop-types").Requireable<boolean>;
            }>>;
        }>>>;
        filters: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            title: import("prop-types").Requireable<string>;
            onClearAll: import("prop-types").Requireable<(...args: any[]) => any>;
            options: import("prop-types").Requireable<(NonNullable<import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                options: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    onClear: import("prop-types").Requireable<(...args: any[]) => any>;
                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        selected: import("prop-types").Requireable<boolean>;
                        icon: import("prop-types").Requireable<string>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    }> | null | undefined)[]>;
                }>>;
            }> | import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                options: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    onClear: import("prop-types").Requireable<(...args: any[]) => any>;
                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        value: import("prop-types").Requireable<string>;
                        selected: import("prop-types").Requireable<boolean>;
                        ref: import("prop-types").Requireable<string>;
                        count: import("prop-types").Requireable<number>;
                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    }> | null | undefined)[]>;
                    searchOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                        value: import("prop-types").Requireable<string>;
                        placeholder: import("prop-types").Validator<string>;
                        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                        onClear: import("prop-types").Requireable<(...args: any[]) => any>;
                        onFocus: import("prop-types").Requireable<(...args: any[]) => any>;
                        onBlur: import("prop-types").Requireable<(...args: any[]) => any>;
                        theme: import("prop-types").Requireable<string>;
                        dataTestId: import("prop-types").Requireable<string>;
                    }>>;
                }>>;
            }> | null | undefined> | null | undefined)[]>;
        }>>>;
        modal: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            isOpen: import("prop-types").Requireable<boolean>;
            onCancel: import("prop-types").Requireable<(...args: any[]) => any>;
            onConfirm: import("prop-types").Requireable<(...args: any[]) => any>;
            onClose: import("prop-types").Requireable<(...args: any[]) => any>;
        }>>>;
    };
};
export default ContentSkillModal;
//# sourceMappingURL=index.d.ts.map