import PropTypes from 'prop-types';
declare const propTypes: {
    title: PropTypes.Requireable<string>;
    onClear: PropTypes.Requireable<(...args: any[]) => any>;
    options: PropTypes.Requireable<(PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<string>;
        selected: PropTypes.Requireable<boolean>;
        ref: PropTypes.Requireable<string>;
        count: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    }> | null | undefined)[]>;
    searchOptions: PropTypes.Requireable<PropTypes.InferProps<{
        value: PropTypes.Requireable<string>;
        placeholder: PropTypes.Validator<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onClear: PropTypes.Requireable<(...args: any[]) => any>;
        onFocus: PropTypes.Requireable<(...args: any[]) => any>;
        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        theme: PropTypes.Requireable<string>;
        dataTestId: PropTypes.Requireable<string>;
    }>>;
};
export declare type FilterCheckboxAndSearchOptions = {
    label: string;
    value: string;
    selected: boolean;
    ref: string;
    count: number;
    onClick: () => void;
};
declare type SearchType = {
    value?: string;
    placeholder: string;
    onChange?: () => void;
    onClear?: () => void;
    onFocus?: () => void;
    onBlur?: () => void;
    theme?: 'default' | 'coorpmanager';
    dataTestId?: string;
};
export declare type FilterCheckboxAndSearchProps = {
    title: string;
    onClear: () => void;
    searchOptions: SearchType;
    options: FilterCheckboxAndSearchOptions[];
};
export default propTypes;
//# sourceMappingURL=props-types.d.ts.map