import PropTypes from 'prop-types';
import bulletPointMenuButtonPropTypes from '../../molecule/bullet-point-menu-button/types';
import ButtonLinkPropTypes from '../../atom/button-link/types';
const closeButtonPropTypes = {
  size: PropTypes.oneOf(['default', 'small', 'responsive']).isRequired,
  icon: PropTypes.string.isRequired,
  'data-name': PropTypes.string.isRequired,
  'aria-label': PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired
};
const headerWithActionsPropTypes = {
  closeButton: PropTypes.shape(closeButtonPropTypes),
  title: PropTypes.string.isRequired,
  tag: PropTypes.shape({
    label: PropTypes.oneOf(['Published', 'Ongoing changes', 'Draft', 'Archived']).isRequired,
    type: PropTypes.oneOf(['success', 'progress', 'warning']).isRequired,
    size: PropTypes.string.isRequired
  }).isRequired,
  saveStatus: PropTypes.shape({
    display: PropTypes.bool.isRequired,
    label: PropTypes.oneOf(['Unsaved changes', 'Saved'])
  }).isRequired,
  bulletPointMenuButton: PropTypes.shape(bulletPointMenuButtonPropTypes),
  actionButtons: PropTypes.arrayOf(PropTypes.shape(ButtonLinkPropTypes)).isRequired
};
export default headerWithActionsPropTypes;
//# sourceMappingURL=types.js.map