import React from 'react';
import PropTypes from 'prop-types';
import { SrcPropType } from '../../util/proptypes';
import Picture from '../../atom/picture';
import MenuList from '../../molecule/menu-list';
import style from './style.css';
const Header = props => {
  const {
    menuItems,
    src,
    href
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.static
  }, /*#__PURE__*/React.createElement("div", {
    className: style.logo
  }, /*#__PURE__*/React.createElement("a", {
    href: href
  }, /*#__PURE__*/React.createElement(Picture, {
    src: src
  }))), /*#__PURE__*/React.createElement("div", {
    className: style.navigation
  }, /*#__PURE__*/React.createElement(MenuList, {
    menuItems: menuItems
  })));
};
Header.propTypes = process.env.NODE_ENV !== "production" ? {
  href: PropTypes.string,
  menuItems: PropTypes.arrayOf(PropTypes.shape({
    title: PropTypes.string
  })),
  src: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.objectOf(SrcPropType).isRequired])
} : {};
export default Header;
//# sourceMappingURL=index.js.map