/// <reference types="react" />
import type { WebContextValues } from '../../atom/provider/web-context';
import { IconEditorProps } from './types';
declare const IconEditor: {
    (props: IconEditorProps, legacyContext: WebContextValues): JSX.Element;
    contextTypes: {
        translate: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    propTypes: {
        iconPreview: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            title: import("prop-types").Requireable<string>;
            icon: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                name: import("prop-types").Validator<string>;
                color: import("prop-types").Requireable<string>;
            }>>>;
        }>>>;
        inputText: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            autoFocus: import("prop-types").Requireable<boolean>;
            title: import("prop-types").Requireable<string>;
            placeholder: import("prop-types").Requireable<string>;
            defaultValue: import("prop-types").Requireable<string>;
            theme: import("prop-types").Requireable<string>;
            disabled: import("prop-types").Requireable<boolean>;
            value: import("prop-types").Requireable<string>;
            hint: import("prop-types").Requireable<string>;
            error: import("prop-types").Requireable<string>;
            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
            description: import("prop-types").Requireable<string>;
            modified: import("prop-types").Requireable<boolean>;
            type: import("prop-types").Requireable<string>;
            valid: import("prop-types").Requireable<boolean>;
            'aria-label': import("prop-types").Requireable<string>;
            'data-name': import("prop-types").Requireable<string>;
            inputColor: import("prop-types").Requireable<boolean>;
        }>>>;
        buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
            type: import("prop-types").Requireable<string>;
            usage: import("prop-types").Requireable<string>;
            label: import("prop-types").Requireable<string>;
            content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
            'aria-label': import("prop-types").Requireable<string>;
            tooltipText: import("prop-types").Requireable<string>;
            tooltipPlacement: import("prop-types").Requireable<string>;
            'data-name': import("prop-types").Requireable<string>;
            'data-testid': import("prop-types").Requireable<string>;
            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                position: import("prop-types").Requireable<string>;
                type: import("prop-types").Requireable<string>;
                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                    name: import("prop-types").Validator<string>;
                    color: import("prop-types").Requireable<string>;
                    backgroundColor: import("prop-types").Requireable<string>;
                    size: import("prop-types").Requireable<number>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
            }>>;
            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
            link: import("prop-types").Requireable<import("prop-types").InferProps<{
                href: import("prop-types").Requireable<string>;
                download: import("prop-types").Requireable<boolean>;
                target: import("prop-types").Requireable<string>;
            }>>;
            hoverBackgroundColor: import("prop-types").Requireable<string>;
            hoverColor: import("prop-types").Requireable<string>;
            disabled: import("prop-types").Requireable<boolean>;
            className: import("prop-types").Requireable<string>;
            customStyle: import("prop-types").Requireable<{
                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
            }>;
            useTitle: import("prop-types").Requireable<boolean>;
            customLabelClassName: import("prop-types").Requireable<string>;
        }>>;
    };
};
export default IconEditor;
//# sourceMappingURL=index.d.ts.map