import { FC } from 'react';
import { ViewStyle, TextStyle, GestureResponderEvent } from 'react-native';
import { Theme } from '../../variables/theme.native';
interface ButtonProps {
    title: string;
    testID: string;
    selected: boolean;
    Icon: FC<{
        height: number;
        width: number;
        color?: string;
    }>;
    styles: StyleSheetType;
    theme: Theme;
    onPress: (event: GestureResponderEvent) => void;
}
export declare type NavItemType = {
    label: string;
    icon: ButtonProps['Icon'];
    action: (event: GestureResponderEvent) => void;
};
export interface Props {
    testID?: string;
    items: Array<NavItemType>;
    selectedItemIndex: number;
}
declare type StyleSheetType = {
    container: ViewStyle;
    navbar: ViewStyle;
    blur: ViewStyle;
    button: ViewStyle;
    buttonText: TextStyle;
    dot: ViewStyle;
    dotShadow: ViewStyle;
};
declare const NavigationBar: ({ items, selectedItemIndex }: Props) => JSX.Element | null;
export default NavigationBar;
//# sourceMappingURL=index.native.d.ts.map