export default MoocHeader;
declare class MoocHeader extends React.Component<any, any, any> {
    static propTypes: {
        logo: PropTypes.Requireable<PropTypes.InferProps<{
            src: PropTypes.Requireable<string>;
            srcMobile: PropTypes.Requireable<string>;
            href: PropTypes.Requireable<string>;
            'aria-label': PropTypes.Requireable<string>;
            'button-aria-label': PropTypes.Requireable<string>;
            toolTipText: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
        search: PropTypes.Requireable<PropTypes.InferProps<{
            value: PropTypes.Requireable<string>;
            placeholder: PropTypes.Validator<string>;
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
            onClear: PropTypes.Requireable<(...args: any[]) => any>;
            onFocus: PropTypes.Requireable<(...args: any[]) => any>;
            onBlur: PropTypes.Requireable<(...args: any[]) => any>;
            theme: PropTypes.Requireable<string>;
            dataTestId: PropTypes.Requireable<string>;
        }>>;
        'search-reset-aria-label': PropTypes.Requireable<string>;
        onSubmitSearch: PropTypes.Requireable<(...args: any[]) => any>;
        onResetSearch: PropTypes.Requireable<(...args: any[]) => any>;
        pages: PropTypes.Requireable<PropTypes.InferProps<{
            displayed: PropTypes.Requireable<(PropTypes.InferProps<{
                target: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                counter: PropTypes.Requireable<number>;
                'page-count-aria-label': PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            more: PropTypes.Requireable<(PropTypes.InferProps<{
                target: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                counter: PropTypes.Requireable<number>;
            }> | null | undefined)[]>;
        }>>;
        links: PropTypes.Requireable<(PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            submitValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            href: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            target: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            light: PropTypes.Requireable<boolean>;
            secondary: PropTypes.Requireable<boolean>;
            small: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
            logout: PropTypes.Requireable<boolean>;
            rectangular: PropTypes.Requireable<boolean>;
            fullWidth: PropTypes.Requireable<boolean>;
            certificationButton: PropTypes.Requireable<boolean>;
            useButtonTag: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        user: PropTypes.Requireable<PropTypes.InferProps<{
            picture: PropTypes.Requireable<string>;
            'picture-aria-label': PropTypes.Requireable<string>;
            profileAvatarAlt: PropTypes.Requireable<string>;
            href: PropTypes.Requireable<string>;
            notifications: PropTypes.Requireable<PropTypes.InferProps<{
                href: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<number>;
                'aria-label': PropTypes.Requireable<string>;
            }>>;
            stats: PropTypes.Requireable<PropTypes.InferProps<{
                stars: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                ranking: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                badge: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                myList: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
            }>>;
        }>>;
        'settings-aria-label': PropTypes.Requireable<string>;
        'active-page-aria-label': PropTypes.Requireable<string>;
        'group-settings-aria-label': PropTypes.Requireable<string>;
        settings: PropTypes.Requireable<(PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            type: PropTypes.Requireable<string>;
            color: PropTypes.Requireable<string>;
            'aria-label': PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<string>;
            options: PropTypes.Requireable<PropTypes.InferProps<{
                href: PropTypes.Requireable<string>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                value: PropTypes.Requireable<boolean>;
                target: PropTypes.Requireable<string>;
                values: PropTypes.Requireable<(PropTypes.InferProps<{
                    value: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                    selected: PropTypes.Requireable<boolean>;
                }> | null | undefined)[]>;
            }>>;
        }> | null | undefined)[]>;
        onMenuOpen: PropTypes.Requireable<(...args: any[]) => any>;
        onMenuClose: PropTypes.Requireable<(...args: any[]) => any>;
        enableScroll: PropTypes.Requireable<boolean>;
    };
    static contextTypes: {
        translate: PropTypes.Requireable<(...args: any[]) => any>;
        skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    };
    constructor(props: any);
    state: {
        isSettingsOpen: boolean;
        isMenuOpen: boolean;
        isFocus: boolean;
        isToolTipOpen: boolean;
    };
    handleSettingsToggle(): void;
    handleMenuToggle(): void;
    _checkOnClose(clickEvent: any): void;
    handleLinkClick(): void;
    setMenuSettings(el: any): void;
    handleSubmitSearch(): void;
    handleResetSearch(): void;
    handleOnFocus(): void;
    handleOnBlur(): void;
    handleOnMenuOpen(): void;
    handleOnMenuClose(): void;
    handleOnMouseOver(): void;
    handleOnMouseLeave(): void;
    handleKeyPress(event: any): void;
    componentDidUpdate(prevProps: any, prevState: any, prevContext: any): void;
    menuSettings: any;
    createMenuButtons: (items: any, primaryColor: any) => any;
    render(): JSX.Element | null;
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=index.d.ts.map