import React, { useState, useEffect } from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { NovaCompositionCoorpacademyEmptyStateHomeRevision as EmptyStateHomeRevision } from '@coorpacademy/nova-icons';
import { useTemplateContext } from '../../template/app-review/template-context';
const createStyleSheet = theme => StyleSheet.create({
  subtitle: {
    fontSize: theme.fontSize.xlarge,
    color: theme.colors.text.primary,
    marginBottom: theme.spacing.tiny
  },
  text: {
    fontSize: 16,
    lineHeight: 22,
    color: theme.colors.text.primary,
    opacity: 0.7,
    marginBottom: theme.spacing.base
  },
  noSkillsImage: {
    flex: 1,
    alignSelf: 'center',
    width: 320,
    height: 300
  }
});
const ReviewNoSkills = props => {
  const {
    titleNoSkills,
    textNoSkills,
    iconSkillAriaLabel
  } = props;
  const templateContext = useTemplateContext();
  const [styleSheet, setStylesheet] = useState(null);
  const {
    theme
  } = templateContext;
  useEffect(() => {
    const _stylesheet = createStyleSheet(theme);
    setStylesheet(_stylesheet);
  }, [theme]);
  if (!styleSheet) {
    return null;
  }
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
    style: styleSheet.subtitle
  }, titleNoSkills), /*#__PURE__*/React.createElement(Text, {
    style: styleSheet.text
  }, textNoSkills), /*#__PURE__*/React.createElement(EmptyStateHomeRevision, {
    style: styleSheet.noSkillsImage,
    iconSkillAriaLabel: iconSkillAriaLabel
  }));
};
export default ReviewNoSkills;
//# sourceMappingURL=index.native.js.map