import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import TitleAndCheckBoxWrapper from '../../molecule/title-and-checkbox-wrapper';
import style from './style.css';
const RewardsForm = ({
  items
}) => {
  const itemsView = items.map(({
    childType,
    ...item
  }, index) => {
    return /*#__PURE__*/React.createElement("li", {
      key: index,
      className: classnames(style.item, childType === 'input-text' && style.inputText),
      "data-name": `reward-${index}`
    }, /*#__PURE__*/React.createElement(TitleAndCheckBoxWrapper, item));
  });
  return /*#__PURE__*/React.createElement("ul", {
    className: style.list
  }, itemsView);
};
RewardsForm.propTypes = process.env.NODE_ENV !== "production" ? {
  items: PropTypes.arrayOf(PropTypes.shape(TitleAndCheckBoxWrapper.propTypes))
} : {};
export default RewardsForm;
//# sourceMappingURL=index.js.map