export function InputTextItem(props: any): JSX.Element;
export namespace InputTextItem {
    namespace propTypes {
        const index: PropTypes.Requireable<number>;
        const title: PropTypes.Validator<string>;
        const name: PropTypes.Requireable<string>;
        const disabled: PropTypes.Requireable<boolean>;
        const value: PropTypes.Validator<string>;
        const placeholder: PropTypes.Requireable<string>;
        const onChange: PropTypes.Requireable<(...args: any[]) => any>;
        const uppercase: PropTypes.Requireable<boolean>;
    }
}
export function SelectItem({ name, index, onChange, title, options, uppercase }: {
    name: any;
    index: any;
    onChange: any;
    title: any;
    options: any;
    uppercase?: boolean | undefined;
}): JSX.Element;
export namespace SelectItem {
    export namespace propTypes_1 {
        const index_1: PropTypes.Requireable<number>;
        export { index_1 as index };
        const title_1: PropTypes.Validator<string>;
        export { title_1 as title };
        const name_1: PropTypes.Requireable<string>;
        export { name_1 as name };
        export const options: PropTypes.Validator<(PropTypes.InferProps<{
            name: PropTypes.Validator<string>;
            value: PropTypes.Validator<string>;
            selected: PropTypes.Validator<boolean>;
        }> | null | undefined)[]>;
        const onChange_1: PropTypes.Requireable<(...args: any[]) => any>;
        export { onChange_1 as onChange };
        const uppercase_1: PropTypes.Requireable<boolean>;
        export { uppercase_1 as uppercase };
    }
    export { propTypes_1 as propTypes };
}
export function MultiSelectItem({ name, index, onChange, title, options, uppercase }: {
    name: any;
    index: any;
    onChange: any;
    title: any;
    options: any;
    uppercase?: boolean | undefined;
}): JSX.Element;
export namespace MultiSelectItem {
    import propTypes_2 = SelectItem.propTypes;
    export { propTypes_2 as propTypes };
}
export function LinkItem({ href, index, name, selected, color, title, onClick, uppercase, styles, children, setChildrenAsHtml, target, activeIcon }: {
    href: any;
    index: any;
    name: any;
    selected: any;
    color: any;
    title: any;
    onClick: any;
    uppercase?: boolean | undefined;
    styles: any;
    children: any;
    setChildrenAsHtml?: boolean | undefined;
    target?: string | undefined;
    activeIcon?: boolean | undefined;
}, context: any): JSX.Element;
export namespace LinkItem {
    export namespace propTypes_3 {
        const index_2: PropTypes.Requireable<number>;
        export { index_2 as index };
        const title_2: PropTypes.Validator<string>;
        export { title_2 as title };
        export const selected: PropTypes.Requireable<boolean>;
        const name_2: PropTypes.Requireable<string>;
        export { name_2 as name };
        export const href: PropTypes.Requireable<string>;
        export const color: PropTypes.Requireable<string>;
        export const onClick: PropTypes.Requireable<(...args: any[]) => any>;
        const uppercase_2: PropTypes.Requireable<boolean>;
        export { uppercase_2 as uppercase };
        export const setChildrenAsHtml: PropTypes.Requireable<boolean>;
        export const target: PropTypes.Requireable<string>;
        export const activeIcon: PropTypes.Requireable<boolean>;
    }
    export { propTypes_3 as propTypes };
    export namespace contextTypes {
        const skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    }
}
export function IconLinkItem({ index, name, onClick, uppercase, ...props }: {
    [x: string]: any;
    index: any;
    name?: string | undefined;
    onClick: any;
    uppercase?: boolean | undefined;
}): JSX.Element;
export namespace IconLinkItem {
    import propTypes_4 = LinkItem.propTypes;
    export { propTypes_4 as propTypes };
}
export function TitleItem({ name, index, title, uppercase }: {
    name: any;
    index: any;
    title: any;
    uppercase: any;
}): JSX.Element;
export namespace TitleItem {
    export namespace propTypes_5 {
        const index_3: PropTypes.Requireable<number>;
        export { index_3 as index };
        const title_3: PropTypes.Validator<string>;
        export { title_3 as title };
        const name_3: PropTypes.Requireable<string>;
        export { name_3 as name };
        const uppercase_3: PropTypes.Requireable<boolean>;
        export { uppercase_3 as uppercase };
    }
    export { propTypes_5 as propTypes };
}
export function ButtonItem({ index, onClick, color, neutralColor, name, href, title, cta, uppercase }: {
    index: any;
    onClick: any;
    color: any;
    neutralColor: any;
    name: any;
    href: any;
    title: any;
    cta: any;
    uppercase: any;
}): JSX.Element;
export namespace ButtonItem {
    export namespace propTypes_6 {
        const index_4: PropTypes.Requireable<number>;
        export { index_4 as index };
        const title_4: PropTypes.Validator<string>;
        export { title_4 as title };
        const name_4: PropTypes.Requireable<string>;
        export { name_4 as name };
        const href_1: PropTypes.Requireable<string>;
        export { href_1 as href };
        const color_1: PropTypes.Requireable<string>;
        export { color_1 as color };
        export const neutralColor: PropTypes.Requireable<boolean>;
        const onClick_1: PropTypes.Requireable<(...args: any[]) => any>;
        export { onClick_1 as onClick };
        export const cta: PropTypes.Requireable<NonNullable<boolean | PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            submitValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            href: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            target: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            light: PropTypes.Requireable<boolean>;
            secondary: PropTypes.Requireable<boolean>;
            small: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
            logout: PropTypes.Requireable<boolean>;
            rectangular: PropTypes.Requireable<boolean>;
            fullWidth: PropTypes.Requireable<boolean>;
            certificationButton: PropTypes.Requireable<boolean>;
            useButtonTag: PropTypes.Requireable<boolean>;
        }> | null | undefined>>;
        const uppercase_4: PropTypes.Requireable<boolean>;
        export { uppercase_4 as uppercase };
    }
    export { propTypes_6 as propTypes };
}
export function InfoItem({ onClick, index, name, color, neutralColor, title, value, uppercase }: {
    onClick: any;
    index: any;
    name: any;
    color: any;
    neutralColor: any;
    title: any;
    value: any;
    uppercase: any;
}): JSX.Element;
export namespace InfoItem {
    export namespace propTypes_7 {
        const index_5: PropTypes.Requireable<number>;
        export { index_5 as index };
        const title_5: PropTypes.Validator<string>;
        export { title_5 as title };
        const name_5: PropTypes.Requireable<string>;
        export { name_5 as name };
        const color_2: PropTypes.Requireable<string>;
        export { color_2 as color };
        const neutralColor_1: PropTypes.Requireable<boolean>;
        export { neutralColor_1 as neutralColor };
        const value_1: PropTypes.Validator<string>;
        export { value_1 as value };
        const onClick_2: PropTypes.Requireable<(...args: any[]) => any>;
        export { onClick_2 as onClick };
        const uppercase_5: PropTypes.Requireable<boolean>;
        export { uppercase_5 as uppercase };
    }
    export { propTypes_7 as propTypes };
}
export default Sidebar;
import PropTypes from "prop-types";
declare function Sidebar({ items }: {
    items: any;
}, context: any): JSX.Element;
declare namespace Sidebar {
    export namespace propTypes_8 {
        const items: PropTypes.Validator<(NonNullable<(PropTypes.InferPropsInner<Pick<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }, PropTypes.RequiredKeys<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }>>> & Partial<PropTypes.InferPropsInner<Pick<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }, "name" | "uppercase" | "index">>>) | ((PropTypes.InferPropsInner<Pick<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }, PropTypes.RequiredKeys<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }>>> & Partial<PropTypes.InferPropsInner<Pick<{
            type: PropTypes.Validator<string>;
            index: PropTypes.Requireable<number>;
            title: PropTypes.Validator<string>;
            name: PropTypes.Requireable<string>;
            uppercase: PropTypes.Requireable<boolean>;
        }, "name" | "uppercase" | "index">>>) | null | undefined)[] | null | undefined> | null | undefined)[]>;
    }
    export { propTypes_8 as propTypes };
    export namespace contextTypes_1 {
        const skin_1: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
        export { skin_1 as skin };
    }
    export { contextTypes_1 as contextTypes };
}
//# sourceMappingURL=index.d.ts.map