/// <reference types="react" />
import { SkillEditionPropsType } from './types';
declare const SkillEdition: {
    (props: SkillEditionPropsType): JSX.Element;
    propTypes: {
        skillInformations: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            form: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                title: import("prop-types").Requireable<string>;
                subtitle: import("prop-types").Requireable<string>;
                select: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    subtitle: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    field: import("prop-types").Requireable<import("prop-types").InferProps<{
                        options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                            name: import("prop-types").Validator<string>;
                            value: import("prop-types").Requireable<NonNullable<string | number | null | undefined>>;
                            selected: import("prop-types").Requireable<boolean>;
                            validOption: import("prop-types").Requireable<boolean>;
                        }> | null | undefined)[]>;
                        'aria-label': import("prop-types").Requireable<string>;
                        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                    }>>;
                }>>;
                inputText: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    field: import("prop-types").Requireable<import("prop-types").InferProps<{
                        autoFocus: import("prop-types").Requireable<boolean>;
                        title: import("prop-types").Requireable<string>;
                        placeholder: import("prop-types").Requireable<string>;
                        defaultValue: import("prop-types").Requireable<string>;
                        theme: import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        value: import("prop-types").Requireable<string>;
                        hint: import("prop-types").Requireable<string>;
                        error: import("prop-types").Requireable<string>;
                        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                        description: import("prop-types").Requireable<string>;
                        modified: import("prop-types").Requireable<boolean>;
                        type: import("prop-types").Requireable<string>;
                        valid: import("prop-types").Requireable<boolean>;
                        'aria-label': import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        inputColor: import("prop-types").Requireable<boolean>;
                    }>>;
                }>>;
                inputTextArea: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    field: import("prop-types").Requireable<import("prop-types").InferProps<{
                        placeholder: import("prop-types").Requireable<string>;
                        title: import("prop-types").Requireable<string>;
                        name: import("prop-types").Requireable<string>;
                        theme: import("prop-types").Requireable<string>;
                        disabled: import("prop-types").Requireable<boolean>;
                        value: import("prop-types").Requireable<string>;
                        hint: import("prop-types").Requireable<string>;
                        error: import("prop-types").Requireable<string>;
                        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                        description: import("prop-types").Requireable<string>;
                        modified: import("prop-types").Requireable<boolean>;
                        valid: import("prop-types").Requireable<boolean>;
                    }>>;
                }>>;
            }>>>;
            iconEditor: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                title: import("prop-types").Validator<string>;
                iconPreview: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    icon: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                        name: import("prop-types").Validator<string>;
                        color: import("prop-types").Requireable<string>;
                    }>>>;
                }>>>;
                inputText: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    autoFocus: import("prop-types").Requireable<boolean>;
                    title: import("prop-types").Requireable<string>;
                    placeholder: import("prop-types").Requireable<string>;
                    defaultValue: import("prop-types").Requireable<string>;
                    theme: import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    value: import("prop-types").Requireable<string>;
                    hint: import("prop-types").Requireable<string>;
                    error: import("prop-types").Requireable<string>;
                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                    description: import("prop-types").Requireable<string>;
                    modified: import("prop-types").Requireable<boolean>;
                    type: import("prop-types").Requireable<string>;
                    valid: import("prop-types").Requireable<boolean>;
                    'aria-label': import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    inputColor: import("prop-types").Requireable<boolean>;
                }>>>;
                buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    ariaLabel: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                }>>;
            }>>>;
        }>>>;
        translations: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            title: import("prop-types").Validator<string>;
            subtitle: import("prop-types").Validator<string>;
            localesOptions: import("prop-types").Validator<(import("prop-types").InferProps<{
                label: import("prop-types").Validator<string>;
                ref: import("prop-types").Validator<string>;
                onClick: import("prop-types").Validator<(...args: any[]) => any>;
            }> | null | undefined)[]>;
            items: import("prop-types").Requireable<{
                [x: string]: NonNullable<import("prop-types").InferProps<{
                    title: import("prop-types").Validator<string>;
                    onEditClick: import("prop-types").Validator<(...args: any[]) => any>;
                    onDeleteClick: import("prop-types").Validator<(...args: any[]) => any>;
                }>>;
            }>;
            button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                label: import("prop-types").Validator<string>;
                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                disabled: import("prop-types").Requireable<boolean>;
            }>>>;
        }>>>;
        content: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
            title: import("prop-types").Validator<string>;
            subtitle: import("prop-types").Validator<string>;
            button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                label: import("prop-types").Validator<string>;
                onClick: import("prop-types").Validator<(...args: any[]) => any>;
            }>>>;
            list: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                items: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                    ref: import("prop-types").Validator<string>;
                    title: import("prop-types").Validator<string>;
                    subtitle: import("prop-types").Validator<string>;
                    image: import("prop-types").Validator<string>;
                    tags: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                        label: import("prop-types").Validator<string>;
                        iconName: import("prop-types").Validator<string>;
                    }>>>;
                    checkbox: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                        checked: import("prop-types").Validator<boolean>;
                        onChange: import("prop-types").Validator<(...args: any[]) => any>;
                    }>>>;
                }>>[]>;
                search: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    value: import("prop-types").Validator<string>;
                    placeholder: import("prop-types").Validator<string>;
                    onChange: import("prop-types").Validator<(...args: any[]) => any>;
                }>>>;
                emptyResult: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Validator<string>;
                    description: import("prop-types").Validator<string>;
                }>>;
                checkbox: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Validator<string>;
                    checked: import("prop-types").Validator<boolean>;
                    onChange: import("prop-types").Validator<(...args: any[]) => any>;
                }>>;
            }>>>;
        }>>>;
    };
};
export default SkillEdition;
//# sourceMappingURL=index.d.ts.map