export default Summary;
declare function Summary(props: any, context: any): JSX.Element;
declare namespace Summary {
    namespace contextTypes {
        const skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    }
    namespace propTypes {
        const header: PropTypes.Requireable<PropTypes.InferProps<{
            cta: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                nextStepTitle: PropTypes.Requireable<string>;
                showNextLevel: PropTypes.Requireable<boolean>;
                children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                className: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                target: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                download: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
                useButtonTag: PropTypes.Requireable<boolean>;
                style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
                disabled: PropTypes.Requireable<boolean>;
            }>>;
            type: PropTypes.Validator<string>;
            extraLifeGranted: PropTypes.Requireable<boolean>;
            failed: PropTypes.Requireable<boolean>;
            gameOver: PropTypes.Requireable<boolean>;
            lives: PropTypes.Requireable<number>;
            title: PropTypes.Requireable<string>;
            subtitle: PropTypes.Requireable<string>;
            animated: PropTypes.Requireable<boolean>;
            stars: PropTypes.Requireable<string>;
            rank: PropTypes.Requireable<string>;
            corrections: PropTypes.Requireable<(PropTypes.InferProps<{
                answer: PropTypes.Validator<string>;
                isCorrect: PropTypes.Validator<boolean>;
            }> | null | undefined)[]>;
            mode: PropTypes.Requireable<string>;
        }>>;
        const footer: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            href: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
        const comment: PropTypes.Requireable<PropTypes.InferProps<{
            isSent: PropTypes.Requireable<boolean>;
            edition: PropTypes.Requireable<PropTypes.InferProps<{
                avatar: PropTypes.Requireable<any>;
                loading: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                profileAvatarAlt: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                onPost: PropTypes.Requireable<(...args: any[]) => any>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                threads: PropTypes.Requireable<(PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    date: PropTypes.Requireable<string>;
                    message: PropTypes.Requireable<string>;
                    avatar: PropTypes.Requireable<any>;
                    answerAvatar: PropTypes.Requireable<any>;
                    answer: PropTypes.Requireable<string>;
                    edition: PropTypes.Requireable<string>;
                    showAnswerBox: PropTypes.Requireable<boolean>;
                    showEditBox: PropTypes.Requireable<boolean>;
                    mainPost: PropTypes.Requireable<boolean>;
                    onAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onEdit: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onModerate: PropTypes.Requireable<(...args: any[]) => any>;
                    onDelete: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                textareaDisabled: PropTypes.Requireable<boolean>;
                postDisabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                hideComments: PropTypes.Requireable<boolean>;
            }>>;
            confirmation: PropTypes.Requireable<PropTypes.InferProps<{
                commentSectionTitle: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                confirmationLinkText: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }>>;
        const action: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Validator<string>;
        }>>;
        const recommendation: PropTypes.Requireable<PropTypes.InferProps<{
            contentType: PropTypes.Requireable<string>;
            dataName: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
            showMore: PropTypes.Requireable<string>;
            cards: PropTypes.Requireable<(NonNullable<PropTypes.InferProps<{
                badge: PropTypes.Requireable<string>;
                image: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                adaptiv: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                author: PropTypes.Requireable<string>;
                certifiedAuthor: PropTypes.Requireable<boolean>;
                customer: PropTypes.Requireable<PropTypes.InferProps<{
                    theme: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                    coorpOriginal: PropTypes.Validator<boolean>;
                    disabled: PropTypes.Requireable<boolean>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                progress: PropTypes.Requireable<number>;
                favorite: PropTypes.Requireable<boolean>;
                addFavoriteToolTip: PropTypes.Requireable<string>;
                removeFavoriteToolTip: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onFavoriteClick: PropTypes.Requireable<(...args: any[]) => any>;
                isSelected: PropTypes.Requireable<boolean>;
                notification: PropTypes.Requireable<PropTypes.InferProps<{
                    message: PropTypes.Validator<string>;
                    icon: PropTypes.Validator<string>;
                }>>;
                badgeCategory: PropTypes.Requireable<string>;
                badgeLabel: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                disabledContent: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                'background-aria-label': PropTypes.Requireable<string>;
                'favorite-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    favorite: PropTypes.Requireable<string>;
                    addToFavorite: PropTypes.Requireable<string>;
                    removeFromFavorite: PropTypes.Requireable<string>;
                }>>;
                'selectable-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    select: PropTypes.Requireable<string>;
                    unSelect: PropTypes.Requireable<string>;
                }>>;
                'customer-aria-label': PropTypes.Requireable<string>;
                'badge-aria-label': PropTypes.Requireable<string>;
                'disabled-aria-label': PropTypes.Requireable<string>;
                'card-content-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    progression: PropTypes.Requireable<string>;
                    adaptive: PropTypes.Requireable<string>;
                }>>;
            }> | PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                tagLabel: PropTypes.Requireable<string>;
                progression: PropTypes.Requireable<number>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }> | null | undefined> | null | undefined)[]>;
            customStyle: PropTypes.Requireable<{
                [x: string]: string | null | undefined;
            }>;
            onScroll: PropTypes.Requireable<(...args: any[]) => any>;
            onShowMore: PropTypes.Requireable<(...args: any[]) => any>;
            'arrows-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                showMoreOnLeftAriaLabel: PropTypes.Requireable<string>;
                showMoreOnRightAriaLabel: PropTypes.Requireable<string>;
            }>>;
            type: PropTypes.Requireable<string>;
            testingSizes: PropTypes.Requireable<any>;
        }>>;
        const feedback: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            description: PropTypes.Requireable<string>;
            media: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                src: PropTypes.Requireable<any[]>;
            }>>;
            mediaDescription: PropTypes.Requireable<string>;
        }>>;
        const mode: PropTypes.Requireable<string>;
    }
}
import PropTypes from "prop-types";
//# sourceMappingURL=summary.d.ts.map