import React from 'react';
import isNil from 'lodash/fp/isNil';
import classnames from 'classnames';
import ReviewCongrats from '../../../organism/review-congrats';
import ReviewHeader from '../../../organism/review-header';
import StackedSlides from '../../../organism/review-stacked-slides';
import CMPopin from '../../../molecule/cm-popin';
import ReviewBackground from './background-review';
import style from './style.css';
import propTypes from './prop-types';
const PlayerReview = ({
  header,
  stack,
  congrats,
  quitPopin
}) => {
  return /*#__PURE__*/React.createElement("div", {
    key: "review-player-container",
    "data-name": "review-player-container",
    className: style.playerReviewContainer
  }, /*#__PURE__*/React.createElement("div", {
    key: "player-background-container",
    className: style.playerBackground
  }, /*#__PURE__*/React.createElement(ReviewBackground, null)), /*#__PURE__*/React.createElement("div", {
    key: "review-header-wrapper",
    className: classnames(style.reviewHeaderContainer, congrats && style.reviewHeaderContainerCongrats)
  }, /*#__PURE__*/React.createElement(ReviewHeader, header)), isNil(stack) ? null : /*#__PURE__*/React.createElement(StackedSlides, stack), isNil(congrats) ? null : /*#__PURE__*/React.createElement("div", {
    className: style.congrats,
    "data-testid": "congrats-container"
  }, /*#__PURE__*/React.createElement(ReviewCongrats, congrats)), isNil(quitPopin) ? null : /*#__PURE__*/React.createElement("div", {
    className: style.quitPopin,
    "data-testid": "quit-popin-container"
  }, /*#__PURE__*/React.createElement(CMPopin, quitPopin)));
};
PlayerReview.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
export default PlayerReview;
//# sourceMappingURL=index.js.map