/// <reference types="react" />
import PropTypes from 'prop-types';
import { ReviewPlayerProps } from './player/prop-types';
export declare type ViewName = 'slides' | 'loader';
export declare type AppReviewProps = {
    viewName: ViewName;
    slides?: ReviewPlayerProps;
    navigateBack?: () => void;
};
declare const propTypes: {
    viewName: PropTypes.Requireable<string>;
    slides: PropTypes.Requireable<PropTypes.InferProps<{
        header: PropTypes.Requireable<PropTypes.InferProps<{
            steps: PropTypes.Requireable<(PropTypes.InferProps<{
                current: PropTypes.Requireable<boolean>;
                selected: PropTypes.Requireable<boolean>;
                icon: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            mode: PropTypes.Validator<string>;
            skillName: PropTypes.Validator<string>;
            'aria-label': PropTypes.Requireable<string>;
            closeButtonAriaLabel: PropTypes.Requireable<string>;
            onQuitClick: PropTypes.Requireable<(...args: any[]) => any>;
            hiddenSteps: PropTypes.Requireable<boolean>;
        }>>;
        stack: PropTypes.Requireable<PropTypes.InferProps<{
            validateButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Validator<string>;
                onClick: PropTypes.Validator<(...args: any[]) => any>;
                disabled: PropTypes.Requireable<boolean>;
            }>>;
            correctionPopinProps: PropTypes.Requireable<PropTypes.InferProps<{
                klf: PropTypes.Requireable<PropTypes.InferProps<{
                    label: PropTypes.Requireable<string>;
                    tooltip: PropTypes.Requireable<string>;
                }>>;
                information: PropTypes.Requireable<PropTypes.InferProps<{
                    label: PropTypes.Requireable<string>;
                    message: PropTypes.Requireable<string>;
                }>>;
                next: PropTypes.Requireable<PropTypes.InferProps<{
                    label: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                resultLabel: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
            }>>;
            slides: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                '0': PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<number>;
                    loading: PropTypes.Requireable<boolean>;
                    loadingAriaLabel: PropTypes.Requireable<string>;
                    animationType: PropTypes.Requireable<string>;
                    isCorrect: PropTypes.Requireable<boolean>;
                    animateCorrectionPopin: PropTypes.Requireable<boolean>;
                    showCorrectionPopin: PropTypes.Requireable<boolean>;
                    disableContent: PropTypes.Requireable<boolean>;
                    parentContentTitle: PropTypes.Requireable<string>;
                    questionText: PropTypes.Requireable<string>;
                    answerUI: PropTypes.Requireable<PropTypes.InferProps<{
                        model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            answer: PropTypes.Requireable<(PropTypes.InferProps<{
                                title: PropTypes.Validator<string>;
                                'aria-label': PropTypes.Requireable<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                selected: PropTypes.Requireable<boolean>;
                                image: PropTypes.Requireable<string>;
                                options: PropTypes.Requireable<(PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                    selected: PropTypes.Requireable<boolean>;
                                    validOption: PropTypes.Requireable<boolean>;
                                    value: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                type: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                        }>>>;
                        help: PropTypes.Requireable<string>;
                        question: PropTypes.Requireable<string>;
                        media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            id: PropTypes.Requireable<string>;
                            width: PropTypes.Requireable<string>;
                            height: PropTypes.Requireable<string>;
                            url: PropTypes.Requireable<any>;
                            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                            onResume: PropTypes.Requireable<(...args: any[]) => any>;
                            onPause: PropTypes.Requireable<(...args: any[]) => any>;
                            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                            onError: PropTypes.Requireable<(...args: any[]) => any>;
                            autoplay: PropTypes.Requireable<boolean>;
                            disableAutostart: PropTypes.Requireable<boolean>;
                            loading: PropTypes.Requireable<boolean>;
                            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                                file: PropTypes.Requireable<any>;
                                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                    aspectratio: PropTypes.Requireable<string>;
                                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                        file: PropTypes.Requireable<any>;
                                        label: PropTypes.Requireable<string>;
                                        kind: PropTypes.Requireable<string>;
                                        default: PropTypes.Requireable<boolean>;
                                    }> | null | undefined)[]>;
                                    autostart: PropTypes.Requireable<string>;
                                    width: PropTypes.Requireable<string>;
                                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Requireable<string>;
                                    }>>;
                                }>>;
                                licenseKey: PropTypes.Validator<string>;
                                playerScript: PropTypes.Validator<any>;
                                playerId: PropTypes.Validator<string>;
                            }>>;
                            mimeType: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            url: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            mediaUrl: PropTypes.Validator<string>;
                        }> | null | undefined>>;
                    }>>;
                }>>;
                '1': PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<number>;
                    loading: PropTypes.Requireable<boolean>;
                    loadingAriaLabel: PropTypes.Requireable<string>;
                    animationType: PropTypes.Requireable<string>;
                    isCorrect: PropTypes.Requireable<boolean>;
                    animateCorrectionPopin: PropTypes.Requireable<boolean>;
                    showCorrectionPopin: PropTypes.Requireable<boolean>;
                    disableContent: PropTypes.Requireable<boolean>;
                    parentContentTitle: PropTypes.Requireable<string>;
                    questionText: PropTypes.Requireable<string>;
                    answerUI: PropTypes.Requireable<PropTypes.InferProps<{
                        model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            answer: PropTypes.Requireable<(PropTypes.InferProps<{
                                title: PropTypes.Validator<string>;
                                'aria-label': PropTypes.Requireable<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                selected: PropTypes.Requireable<boolean>;
                                image: PropTypes.Requireable<string>;
                                options: PropTypes.Requireable<(PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                    selected: PropTypes.Requireable<boolean>;
                                    validOption: PropTypes.Requireable<boolean>;
                                    value: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                type: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                        }>>>;
                        help: PropTypes.Requireable<string>;
                        question: PropTypes.Requireable<string>;
                        media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            id: PropTypes.Requireable<string>;
                            width: PropTypes.Requireable<string>;
                            height: PropTypes.Requireable<string>;
                            url: PropTypes.Requireable<any>;
                            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                            onResume: PropTypes.Requireable<(...args: any[]) => any>;
                            onPause: PropTypes.Requireable<(...args: any[]) => any>;
                            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                            onError: PropTypes.Requireable<(...args: any[]) => any>;
                            autoplay: PropTypes.Requireable<boolean>;
                            disableAutostart: PropTypes.Requireable<boolean>;
                            loading: PropTypes.Requireable<boolean>;
                            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                                file: PropTypes.Requireable<any>;
                                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                    aspectratio: PropTypes.Requireable<string>;
                                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                        file: PropTypes.Requireable<any>;
                                        label: PropTypes.Requireable<string>;
                                        kind: PropTypes.Requireable<string>;
                                        default: PropTypes.Requireable<boolean>;
                                    }> | null | undefined)[]>;
                                    autostart: PropTypes.Requireable<string>;
                                    width: PropTypes.Requireable<string>;
                                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Requireable<string>;
                                    }>>;
                                }>>;
                                licenseKey: PropTypes.Validator<string>;
                                playerScript: PropTypes.Validator<any>;
                                playerId: PropTypes.Validator<string>;
                            }>>;
                            mimeType: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            url: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            mediaUrl: PropTypes.Validator<string>;
                        }> | null | undefined>>;
                    }>>;
                }>>;
                '2': PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<number>;
                    loading: PropTypes.Requireable<boolean>;
                    loadingAriaLabel: PropTypes.Requireable<string>;
                    animationType: PropTypes.Requireable<string>;
                    isCorrect: PropTypes.Requireable<boolean>;
                    animateCorrectionPopin: PropTypes.Requireable<boolean>;
                    showCorrectionPopin: PropTypes.Requireable<boolean>;
                    disableContent: PropTypes.Requireable<boolean>;
                    parentContentTitle: PropTypes.Requireable<string>;
                    questionText: PropTypes.Requireable<string>;
                    answerUI: PropTypes.Requireable<PropTypes.InferProps<{
                        model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            answer: PropTypes.Requireable<(PropTypes.InferProps<{
                                title: PropTypes.Validator<string>;
                                'aria-label': PropTypes.Requireable<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                selected: PropTypes.Requireable<boolean>;
                                image: PropTypes.Requireable<string>;
                                options: PropTypes.Requireable<(PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                    selected: PropTypes.Requireable<boolean>;
                                    validOption: PropTypes.Requireable<boolean>;
                                    value: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                type: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                        }>>>;
                        help: PropTypes.Requireable<string>;
                        question: PropTypes.Requireable<string>;
                        media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            id: PropTypes.Requireable<string>;
                            width: PropTypes.Requireable<string>;
                            height: PropTypes.Requireable<string>;
                            url: PropTypes.Requireable<any>;
                            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                            onResume: PropTypes.Requireable<(...args: any[]) => any>;
                            onPause: PropTypes.Requireable<(...args: any[]) => any>;
                            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                            onError: PropTypes.Requireable<(...args: any[]) => any>;
                            autoplay: PropTypes.Requireable<boolean>;
                            disableAutostart: PropTypes.Requireable<boolean>;
                            loading: PropTypes.Requireable<boolean>;
                            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                                file: PropTypes.Requireable<any>;
                                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                    aspectratio: PropTypes.Requireable<string>;
                                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                        file: PropTypes.Requireable<any>;
                                        label: PropTypes.Requireable<string>;
                                        kind: PropTypes.Requireable<string>;
                                        default: PropTypes.Requireable<boolean>;
                                    }> | null | undefined)[]>;
                                    autostart: PropTypes.Requireable<string>;
                                    width: PropTypes.Requireable<string>;
                                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Requireable<string>;
                                    }>>;
                                }>>;
                                licenseKey: PropTypes.Validator<string>;
                                playerScript: PropTypes.Validator<any>;
                                playerId: PropTypes.Validator<string>;
                            }>>;
                            mimeType: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            url: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            mediaUrl: PropTypes.Validator<string>;
                        }> | null | undefined>>;
                    }>>;
                }>>;
                '3': PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<number>;
                    loading: PropTypes.Requireable<boolean>;
                    loadingAriaLabel: PropTypes.Requireable<string>;
                    animationType: PropTypes.Requireable<string>;
                    isCorrect: PropTypes.Requireable<boolean>;
                    animateCorrectionPopin: PropTypes.Requireable<boolean>;
                    showCorrectionPopin: PropTypes.Requireable<boolean>;
                    disableContent: PropTypes.Requireable<boolean>;
                    parentContentTitle: PropTypes.Requireable<string>;
                    questionText: PropTypes.Requireable<string>;
                    answerUI: PropTypes.Requireable<PropTypes.InferProps<{
                        model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            answer: PropTypes.Requireable<(PropTypes.InferProps<{
                                title: PropTypes.Validator<string>;
                                'aria-label': PropTypes.Requireable<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                selected: PropTypes.Requireable<boolean>;
                                image: PropTypes.Requireable<string>;
                                options: PropTypes.Requireable<(PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                    selected: PropTypes.Requireable<boolean>;
                                    validOption: PropTypes.Requireable<boolean>;
                                    value: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                type: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                        }>>>;
                        help: PropTypes.Requireable<string>;
                        question: PropTypes.Requireable<string>;
                        media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            id: PropTypes.Requireable<string>;
                            width: PropTypes.Requireable<string>;
                            height: PropTypes.Requireable<string>;
                            url: PropTypes.Requireable<any>;
                            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                            onResume: PropTypes.Requireable<(...args: any[]) => any>;
                            onPause: PropTypes.Requireable<(...args: any[]) => any>;
                            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                            onError: PropTypes.Requireable<(...args: any[]) => any>;
                            autoplay: PropTypes.Requireable<boolean>;
                            disableAutostart: PropTypes.Requireable<boolean>;
                            loading: PropTypes.Requireable<boolean>;
                            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                                file: PropTypes.Requireable<any>;
                                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                    aspectratio: PropTypes.Requireable<string>;
                                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                        file: PropTypes.Requireable<any>;
                                        label: PropTypes.Requireable<string>;
                                        kind: PropTypes.Requireable<string>;
                                        default: PropTypes.Requireable<boolean>;
                                    }> | null | undefined)[]>;
                                    autostart: PropTypes.Requireable<string>;
                                    width: PropTypes.Requireable<string>;
                                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Requireable<string>;
                                    }>>;
                                }>>;
                                licenseKey: PropTypes.Validator<string>;
                                playerScript: PropTypes.Validator<any>;
                                playerId: PropTypes.Validator<string>;
                            }>>;
                            mimeType: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            url: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            mediaUrl: PropTypes.Validator<string>;
                        }> | null | undefined>>;
                    }>>;
                }>>;
                '4': PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<number>;
                    loading: PropTypes.Requireable<boolean>;
                    loadingAriaLabel: PropTypes.Requireable<string>;
                    animationType: PropTypes.Requireable<string>;
                    isCorrect: PropTypes.Requireable<boolean>;
                    animateCorrectionPopin: PropTypes.Requireable<boolean>;
                    showCorrectionPopin: PropTypes.Requireable<boolean>;
                    disableContent: PropTypes.Requireable<boolean>;
                    parentContentTitle: PropTypes.Requireable<string>;
                    questionText: PropTypes.Requireable<string>;
                    answerUI: PropTypes.Requireable<PropTypes.InferProps<{
                        model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            answer: PropTypes.Requireable<(PropTypes.InferProps<{
                                title: PropTypes.Validator<string>;
                                'aria-label': PropTypes.Requireable<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                selected: PropTypes.Requireable<boolean>;
                                image: PropTypes.Requireable<string>;
                                options: PropTypes.Requireable<(PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                    selected: PropTypes.Requireable<boolean>;
                                    validOption: PropTypes.Requireable<boolean>;
                                    value: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                type: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                        }>>>;
                        help: PropTypes.Requireable<string>;
                        question: PropTypes.Requireable<string>;
                        media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            id: PropTypes.Requireable<string>;
                            width: PropTypes.Requireable<string>;
                            height: PropTypes.Requireable<string>;
                            url: PropTypes.Requireable<any>;
                            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                            onResume: PropTypes.Requireable<(...args: any[]) => any>;
                            onPause: PropTypes.Requireable<(...args: any[]) => any>;
                            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                            onError: PropTypes.Requireable<(...args: any[]) => any>;
                            autoplay: PropTypes.Requireable<boolean>;
                            disableAutostart: PropTypes.Requireable<boolean>;
                            loading: PropTypes.Requireable<boolean>;
                            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                                file: PropTypes.Requireable<any>;
                                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                    aspectratio: PropTypes.Requireable<string>;
                                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                        file: PropTypes.Requireable<any>;
                                        label: PropTypes.Requireable<string>;
                                        kind: PropTypes.Requireable<string>;
                                        default: PropTypes.Requireable<boolean>;
                                    }> | null | undefined)[]>;
                                    autostart: PropTypes.Requireable<string>;
                                    width: PropTypes.Requireable<string>;
                                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Requireable<string>;
                                    }>>;
                                }>>;
                                licenseKey: PropTypes.Validator<string>;
                                playerScript: PropTypes.Validator<any>;
                                playerId: PropTypes.Validator<string>;
                            }>>;
                            mimeType: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            url: PropTypes.Validator<string>;
                        }> | PropTypes.InferProps<{
                            type: PropTypes.Validator<string>;
                            mediaUrl: PropTypes.Validator<string>;
                        }> | null | undefined>>;
                    }>>;
                }>>;
            }>>>;
            endReview: PropTypes.Requireable<boolean>;
        }>>;
        congrats: PropTypes.Requireable<PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                animationSrc: PropTypes.Validator<string>;
                loop: PropTypes.Requireable<boolean>;
                rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
                    hideOnTransparent: PropTypes.Requireable<boolean>;
                    className: PropTypes.Requireable<string>;
                }>>;
                height: PropTypes.Requireable<number>;
                width: PropTypes.Requireable<number>;
                className: PropTypes.Requireable<string>;
                autoplay: PropTypes.Requireable<boolean>;
                animationControl: PropTypes.Requireable<string>;
            }>>;
            title: PropTypes.Requireable<string>;
            cardCongratsStar: PropTypes.Requireable<PropTypes.InferProps<{
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
                    'aria-label': PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    animationSrc: PropTypes.Validator<string>;
                    loop: PropTypes.Requireable<boolean>;
                    rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
                        hideOnTransparent: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                    }>>;
                    height: PropTypes.Requireable<number>;
                    width: PropTypes.Requireable<number>;
                    className: PropTypes.Requireable<string>;
                    autoplay: PropTypes.Requireable<boolean>;
                    animationControl: PropTypes.Requireable<string>;
                }>>;
                cardType: PropTypes.Requireable<string>;
                iconAriaLabel: PropTypes.Requireable<string>;
                className: PropTypes.Requireable<string>;
                reviewCardTitle: PropTypes.Requireable<string>;
                reviewCardValue: PropTypes.Requireable<string>;
                rankSuffix: PropTypes.Requireable<string>;
                timerAnimation: PropTypes.Requireable<number>;
            }>>;
            cardCongratsRank: PropTypes.Requireable<PropTypes.InferProps<{
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
                    'aria-label': PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    animationSrc: PropTypes.Validator<string>;
                    loop: PropTypes.Requireable<boolean>;
                    rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
                        hideOnTransparent: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                    }>>;
                    height: PropTypes.Requireable<number>;
                    width: PropTypes.Requireable<number>;
                    className: PropTypes.Requireable<string>;
                    autoplay: PropTypes.Requireable<boolean>;
                    animationControl: PropTypes.Requireable<string>;
                }>>;
                cardType: PropTypes.Requireable<string>;
                iconAriaLabel: PropTypes.Requireable<string>;
                className: PropTypes.Requireable<string>;
                reviewCardTitle: PropTypes.Requireable<string>;
                reviewCardValue: PropTypes.Requireable<string>;
                rankSuffix: PropTypes.Requireable<string>;
                timerAnimation: PropTypes.Requireable<number>;
            }>>;
            buttonRevising: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
            }>>;
            buttonRevisingSkill: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
            }>>;
        }>>;
        quitPopin: PropTypes.Requireable<PropTypes.InferProps<{
            content: PropTypes.Requireable<string>;
            mode: PropTypes.Requireable<string>;
            header: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<PropTypes.InferProps<{
                    title: PropTypes.Requireable<string>;
                    subtitle: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    titleSize: PropTypes.Requireable<string>;
                    subtitleSize: PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                    tag: PropTypes.Requireable<PropTypes.InferProps<{
                        label: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            iconName?: import("react").Validator<string> | undefined;
                            iconColor?: import("react").Validator<string | null | undefined> | undefined;
                            backgroundColor?: import("react").Validator<string | null | undefined> | undefined;
                            gradientBackground?: import("react").Validator<boolean | null | undefined> | undefined;
                            borderRadius?: import("react").Validator<string | null | undefined> | undefined;
                            preset?: import("react").Validator<string | null | undefined> | undefined;
                            size?: import("react").Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                            customStyle?: import("react").Validator<import("react").CSSProperties | null | undefined> | undefined;
                        }>>;
                    }>>;
                    button: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    required: PropTypes.Requireable<boolean>;
                }>>;
                headerIcon: PropTypes.Requireable<string>;
                backgroundImage: PropTypes.Requireable<string>;
            }>>;
            firstButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            secondButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
            }>>;
            thirdButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            onClose: PropTypes.Requireable<(...args: any[]) => any>;
            icon: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                iconName: PropTypes.Validator<string>;
                iconColor: PropTypes.Requireable<string>;
                backgroundColor: PropTypes.Requireable<string>;
                gradientBackground: PropTypes.Requireable<boolean>;
                borderRadius: PropTypes.Requireable<string>;
                preset: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<PropTypes.InferProps<{
                    faSize: PropTypes.Validator<number>;
                    wrapperSize: PropTypes.Validator<number>;
                }>>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }> | null | undefined>>;
            backgroundImageUrl: PropTypes.Requireable<string>;
            descriptionText: PropTypes.Requireable<string>;
            cookieTitle: PropTypes.Requireable<string>;
            headerSubtitle: PropTypes.Requireable<string>;
            descriptionBtnTxt: PropTypes.Requireable<string>;
            listBtnSwicth: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                id: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                'aria-labelledby': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                titlePosition: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                details: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                requiredSelection: PropTypes.Requireable<boolean>;
                icon: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            items: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                list: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                    list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: string | null | undefined;
                    }>;
                    loading: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    'aria-label': PropTypes.Requireable<string>;
                    buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    selectMultiple: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Requireable<string>;
                        description: PropTypes.Requireable<string>;
                        hint: PropTypes.Requireable<string>;
                        options: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            selected: PropTypes.Validator<boolean>;
                            name: PropTypes.Validator<string>;
                            value: PropTypes.Requireable<string>;
                        }>>[]>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onError: PropTypes.Requireable<(...args: any[]) => any>;
                        multiple: PropTypes.Requireable<boolean>;
                        modified: PropTypes.Requireable<boolean>;
                        disabled: PropTypes.Requireable<boolean>;
                        error: PropTypes.Requireable<string>;
                        theme: PropTypes.Requireable<string>;
                    }>>;
                    content: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                        items: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                            subtitle: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            provider: PropTypes.Requireable<PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }>>;
                            selected: PropTypes.Requireable<boolean>;
                            selectedColor: PropTypes.Requireable<string>;
                            dataColumns: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                className: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            bulletPointMenuButton: PropTypes.Requireable<PropTypes.InferProps<{
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            tags: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            disabled: PropTypes.Requireable<boolean>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            isBulkStyle: PropTypes.Requireable<boolean>;
                            isOverflowHidden: PropTypes.Requireable<boolean>;
                            order: PropTypes.Requireable<number>;
                            'aria-label': PropTypes.Requireable<string>;
                            contentType: PropTypes.Requireable<string>;
                            id: PropTypes.Requireable<string>;
                            leftIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                iconName: PropTypes.Requireable<string>;
                                iconColor: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                borderRadius: PropTypes.Requireable<string>;
                                preset: PropTypes.Requireable<string>;
                                gradientBackground: PropTypes.Requireable<boolean>;
                                size: PropTypes.Requireable<number>;
                                wrapperSize: PropTypes.Requireable<number>;
                            }>>;
                            image: PropTypes.Requireable<string>;
                            checkbox: PropTypes.Requireable<PropTypes.InferProps<{
                                title: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                                checked: PropTypes.Requireable<boolean>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                'aria-label': PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    iconName: PropTypes.Requireable<string>;
                                    iconColor: PropTypes.Requireable<string>;
                                    preset: PropTypes.Requireable<string>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }> | null | undefined)[]>;
                        type: PropTypes.Requireable<string>;
                        itemType: PropTypes.Requireable<string>;
                        onDrop: PropTypes.Requireable<(...args: any[]) => any>;
                        isDraggable: PropTypes.Requireable<boolean>;
                        tableHeader: PropTypes.Requireable<(string | null | undefined)[]>;
                        emptyResult: PropTypes.Requireable<PropTypes.InferProps<{
                            title: PropTypes.Requireable<string>;
                            description: PropTypes.Requireable<string>;
                            button: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                usage: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                'aria-label': PropTypes.Requireable<string>;
                                tooltipText: PropTypes.Requireable<string>;
                                tooltipPlacement: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                'data-testid': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                link: PropTypes.Requireable<PropTypes.InferProps<{
                                    href: PropTypes.Requireable<string>;
                                    download: PropTypes.Requireable<boolean>;
                                    target: PropTypes.Requireable<string>;
                                }>>;
                                hoverBackgroundColor: PropTypes.Requireable<string>;
                                hoverColor: PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                className: PropTypes.Requireable<string>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: PropTypes.Requireable<boolean>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | PropTypes.InferProps<{
                                button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    type: PropTypes.Requireable<string>;
                                    usage: PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    tooltipText: PropTypes.Requireable<string>;
                                    tooltipPlacement: PropTypes.Requireable<string>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'data-testid': PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    link: PropTypes.Requireable<PropTypes.InferProps<{
                                        href: PropTypes.Requireable<string>;
                                        download: PropTypes.Requireable<boolean>;
                                        target: PropTypes.Requireable<string>;
                                    }>>;
                                    hoverBackgroundColor: PropTypes.Requireable<string>;
                                    hoverColor: PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    className: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    useTitle: PropTypes.Requireable<boolean>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }>>>;
                                menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                        'data-name': PropTypes.Requireable<string>;
                                        disabled: PropTypes.Requireable<boolean>;
                                        label: PropTypes.Validator<string>;
                                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                        type: PropTypes.Requireable<string>;
                                        buttonLinkType: PropTypes.Requireable<string>;
                                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                                            theme: PropTypes.Requireable<string>;
                                            position: PropTypes.Requireable<string>;
                                            type: PropTypes.Requireable<string>;
                                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                                name: PropTypes.Validator<string>;
                                                color: PropTypes.Requireable<string>;
                                                backgroundColor: PropTypes.Requireable<string>;
                                                size: PropTypes.Requireable<number>;
                                                customStyle: PropTypes.Requireable<{
                                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                }>;
                                            }>>;
                                        }>>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                        customLabelClassName: PropTypes.Requireable<string>;
                                    }> | null | undefined)[]>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    enableScroll: PropTypes.Requireable<boolean>;
                                }>>>;
                                menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                                    ariaLabel: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                                type: PropTypes.Requireable<string>;
                                primaryColor: PropTypes.Requireable<string>;
                                closeOnClick: PropTypes.Requireable<boolean>;
                                enableScroll: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }>>;
                    }> | PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        columns: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                        }> | null | undefined)[]>;
                        rows: PropTypes.Requireable<(PropTypes.InferProps<{
                            fields: PropTypes.Requireable<(NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                current: PropTypes.Requireable<boolean>;
                                selected: PropTypes.Requireable<boolean>;
                                icon: PropTypes.Requireable<string>;
                                value: PropTypes.Requireable<string>;
                            }> | null | undefined> | null | undefined)[]>;
                            isRowExpandible: PropTypes.Requireable<boolean>;
                            lastField: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    label: PropTypes.Validator<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    type: PropTypes.Requireable<string>;
                                    buttonLinkType: PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        theme: PropTypes.Requireable<string>;
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                menuButtonClassName: PropTypes.Requireable<string>;
                                isBulkMenu: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }> | null | undefined)[]>;
                        stickyFirstColumn: PropTypes.Requireable<boolean>;
                        stickyLastColumn: PropTypes.Requireable<boolean>;
                        columnWidth: PropTypes.Requireable<string>;
                        ariaDescribedby: PropTypes.Requireable<string>;
                        lastField: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }> | PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            buttonAriaLabel: PropTypes.Requireable<string>;
                            menuAriaLabel: PropTypes.Requireable<string>;
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            menuButtonClassName: PropTypes.Requireable<string>;
                            isBulkMenu: PropTypes.Requireable<boolean>;
                        }> | null | undefined>>;
                        isNestedTable: PropTypes.Requireable<boolean>;
                        emptyStateFirstMessage: PropTypes.Requireable<string>;
                        emptyStateSecondMessage: PropTypes.Requireable<string>;
                    }> | null | undefined>>;
                    title: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        subtitle: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        titleSize: PropTypes.Requireable<string>;
                        subtitleSize: PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                        tag: PropTypes.Requireable<PropTypes.InferProps<{
                            label: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            size: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                iconName?: import("react").Validator<string> | undefined;
                                iconColor?: import("react").Validator<string | null | undefined> | undefined;
                                backgroundColor?: import("react").Validator<string | null | undefined> | undefined;
                                gradientBackground?: import("react").Validator<boolean | null | undefined> | undefined;
                                borderRadius?: import("react").Validator<string | null | undefined> | undefined;
                                preset?: import("react").Validator<string | null | undefined> | undefined;
                                size?: import("react").Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                                customStyle?: import("react").Validator<import("react").CSSProperties | null | undefined> | undefined;
                            }>>;
                        }>>;
                        button: PropTypes.Requireable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>;
                        required: PropTypes.Requireable<boolean>;
                    }> | null | undefined>>;
                    isFetching: PropTypes.Requireable<boolean>;
                    search: PropTypes.Requireable<PropTypes.InferProps<{
                        value: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Validator<string>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onClear: PropTypes.Requireable<(...args: any[]) => any>;
                        onFocus: PropTypes.Requireable<(...args: any[]) => any>;
                        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
                        theme: PropTypes.Requireable<string>;
                        dataTestId: PropTypes.Requireable<string>;
                    }>>;
                    checkboxWithTitle: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        name: PropTypes.Requireable<string>;
                        checked: PropTypes.Requireable<boolean>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        'aria-label': PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            iconName: PropTypes.Requireable<string>;
                            iconColor: PropTypes.Requireable<string>;
                            preset: PropTypes.Requireable<string>;
                        }>>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                    actionButtons: PropTypes.Requireable<(PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    buttonMenuAction: PropTypes.Requireable<PropTypes.InferProps<{
                        button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>>;
                        menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            'data-name': PropTypes.Requireable<string>;
                            'aria-label': PropTypes.Requireable<string>;
                            enableScroll: PropTypes.Requireable<boolean>;
                        }>>>;
                        menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                            ariaLabel: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                            }>;
                        }>>;
                        type: PropTypes.Requireable<string>;
                        primaryColor: PropTypes.Requireable<string>;
                        closeOnClick: PropTypes.Requireable<boolean>;
                        enableScroll: PropTypes.Requireable<boolean>;
                    }>>;
                }> | null | undefined>>;
            }>>;
            link: PropTypes.Requireable<PropTypes.InferProps<{
                children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                className: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                target: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                download: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
                useButtonTag: PropTypes.Requireable<boolean>;
                style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
                disabled: PropTypes.Requireable<boolean>;
            }>>;
        }>>;
    }>>;
};
export default propTypes;
//# sourceMappingURL=prop-types.d.ts.map