import React from 'react';
import isEmpty from 'lodash/fp/isEmpty';
import Loader from '../../../atom/loader';
import ReviewListSkills from '../../../organism/review-skills';
import ReviewNoSkills from '../../../organism/review-no-skills';
import style from './style.css';
import propTypes from './prop-types';
const ReviewSkills = props => {
  const {
    'aria-label': ariaLabel,
    title,
    listSkills,
    titleNoSkills,
    textNoSkills,
    iconSkillAriaLabel,
    isLoading = false,
    isLoadingAriaLabel
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.containerReviewSkill,
    "aria-label": ariaLabel
  }, /*#__PURE__*/React.createElement("div", {
    className: style.title
  }, title), isLoading ? /*#__PURE__*/React.createElement("div", {
    className: style.loaderContainer
  }, /*#__PURE__*/React.createElement(Loader, {
    className: style.loader,
    theme: "default",
    "aria-label": isLoadingAriaLabel
  })) : /*#__PURE__*/React.createElement("div", null, !isEmpty(listSkills) ? /*#__PURE__*/React.createElement(ReviewListSkills, {
    listSkills: listSkills
  }) : /*#__PURE__*/React.createElement(ReviewNoSkills, {
    titleNoSkills: titleNoSkills,
    textNoSkills: textNoSkills,
    iconSkillAriaLabel: iconSkillAriaLabel
  })));
};
ReviewSkills.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
export default ReviewSkills;
//# sourceMappingURL=index.js.map