import React, { createContext, useContext } from 'react';
import { mockTranslate } from '@coorpacademy/translate';
import { defaultBrandTheme } from '../../variables/brand.native';
import defaultTheme from '../../variables/theme.native';
import defaultMobileTranslations from '../../variables/default-mobile-translations';
const Context = /*#__PURE__*/createContext({
  theme: defaultTheme,
  brandTheme: defaultBrandTheme,
  translations: defaultMobileTranslations,
  display: {
    headerHeight: 67,
    statusBarHeight: 42
  },
  store: {},
  translate: mockTranslate
});
const useTemplateContext = () => {
  const context = useContext(Context);
  if (!context) {
    throw new Error(`❌ [TemplateContext] useTemplateContext must be used within a provider <TemplateContext>`);
  }
  return context;
};
const TemplateContext = ({
  values,
  children
}) => {
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: values
  }, children);
};
export { TemplateContext, useTemplateContext };
//# sourceMappingURL=template-context.js.map