import React from 'react';
import PropTypes from 'prop-types';
import BrandCreateForm from '../../../molecule/brand-create-form';
import Notification from '../../../atom/notification';
import Layout from '../layout';
import style from './style.css';
const BrandCreate = Layout(props => {
  const {
    notifications = []
  } = props;
  const notificationsList = notifications.map((notification, index) => {
    return /*#__PURE__*/React.createElement("div", {
      key: index,
      className: style.notification
    }, /*#__PURE__*/React.createElement(Notification, notification));
  });
  return /*#__PURE__*/React.createElement("div", {
    className: style.container
  }, /*#__PURE__*/React.createElement("div", {
    className: style.wrapper
  }, /*#__PURE__*/React.createElement("div", {
    className: notifications.length > 0 ? style.notifications : style.empty
  }, notificationsList), /*#__PURE__*/React.createElement(BrandCreateForm, props)));
});
BrandCreate.propTypes = process.env.NODE_ENV !== "production" ? {
  notifications: PropTypes.arrayOf(PropTypes.shape({
    type: PropTypes.string.isRequired,
    message: PropTypes.string.isRequired,
    onClose: PropTypes.func
  })),
  title: PropTypes.string.isRequired,
  subtitle: PropTypes.string.isRequired,
  description: PropTypes.string.isRequired,
  field: PropTypes.shape({
    placeholder: PropTypes.string.isRequired,
    label: PropTypes.string.isRequired,
    onChange: PropTypes.func.isRequired,
    error: PropTypes.string,
    value: PropTypes.string
  }).isRequired,
  onSubmit: PropTypes.func.isRequired,
  submitValue: PropTypes.string.isRequired,
  isPending: PropTypes.bool,
  isModified: PropTypes.bool
} : {};
export default BrandCreate;
//# sourceMappingURL=index.js.map