import React from 'react';
import PropTypes from 'prop-types';
import Button from '../../../atom/button';
import Input from '../../../atom/input-text';
import InputReadonly from '../../../atom/input-readonly';
import VideoUpload from '../../../atom/video-upload';
import style from './style.css';
const JwVideoUploader = ({
  onUpload,
  onInputTextChange,
  onInputFileChange,
  uploadedLink,
  inputTextValue,
  placeholder,
  previewContent
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: style.container
  }, /*#__PURE__*/React.createElement("div", {
    className: style.wrapper
  }, /*#__PURE__*/React.createElement("h1", null, "Jw Video Upload"), /*#__PURE__*/React.createElement(Input, {
    placeholder: placeholder,
    onChange: onInputTextChange,
    value: inputTextValue
  }), /*#__PURE__*/React.createElement(VideoUpload, {
    title: "Video Preview",
    onChange: onInputFileChange,
    uploadLabel: "Choose or drag & drop a file",
    previewContent: previewContent
  }), /*#__PURE__*/React.createElement(Button, {
    submitValue: "Upload",
    onClick: onUpload
  }, "Upload"), /*#__PURE__*/React.createElement(InputReadonly, {
    title: "Uploaded video link:",
    value: uploadedLink
  })));
};
JwVideoUploader.propTypes = process.env.NODE_ENV !== "production" ? {
  ...VideoUpload.propTypes,
  onUpload: PropTypes.func,
  onInputTextChange: PropTypes.func,
  onInputFileChange: PropTypes.func,
  uploadedLink: PropTypes.string,
  inputTextValue: PropTypes.string,
  placeholder: PropTypes.string
} : {};
export default JwVideoUploader;
//# sourceMappingURL=index.js.map