import PropTypes from 'prop-types';
import { Props as ContactProps } from '../../../molecule/privacy-policy-contact/types';
import { Props as HeroProps } from '../../../molecule/hero/types';
import { Props as MenuLinksProps } from '../../../molecule/menu-links/types';
import { Props as ListProps } from '../../../molecule/expandable-list/types';
export declare const propTypes: {
    header: PropTypes.Requireable<PropTypes.InferProps<{
        image: PropTypes.Requireable<string>;
        mode: PropTypes.Requireable<string>;
        description: PropTypes.Requireable<string>;
        title: PropTypes.Requireable<string>;
        author: PropTypes.Requireable<string>;
        progress: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        submitValue: PropTypes.Requireable<string>;
    }>>;
    privacyPolicyContact: PropTypes.Requireable<PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        content: PropTypes.Requireable<string>;
    }>>;
    menuLinks: PropTypes.Requireable<PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        numberOfDisplayedItems: PropTypes.Requireable<number>;
        isDesktopMode: PropTypes.Requireable<boolean>;
        withScroll: PropTypes.Requireable<boolean>;
        showMoreItem: PropTypes.Requireable<PropTypes.InferProps<{
            showMoreText: PropTypes.Requireable<string>;
            showLessText: PropTypes.Requireable<string>;
            isSelected: PropTypes.Requireable<boolean>;
        }>>;
        items: PropTypes.Requireable<(PropTypes.InferProps<{
            text: PropTypes.Requireable<string>;
            isSelected: PropTypes.Requireable<boolean>;
            handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
            ariaLabel: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
    }>>;
    expandableList: PropTypes.Requireable<PropTypes.InferProps<{
        items: PropTypes.Requireable<(PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<string>;
            isExpended: PropTypes.Requireable<boolean>;
            isLink: PropTypes.Requireable<boolean>;
            content: PropTypes.Requireable<string>;
            image: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            ariaLabel: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
    }>>;
};
export declare type Props = {
    header: HeroProps;
    privacyPolicyContact: ContactProps;
    menuLinks: MenuLinksProps;
    expandableList: ListProps;
};
//# sourceMappingURL=types.d.ts.map