import React from 'react';
import PropTypes from 'prop-types';
import ReviewPresentation from '../../atom/review-presentation';
import ReviewSkills from '../app-review/skills';
import style from './style.css';
const ReviewDashboardSkills = props => {
  const {
    'aria-label': ariaLabel,
    reviewPresentation,
    reviewSkills
  } = props;
  return /*#__PURE__*/React.createElement("div", {
    className: style.reviewDashboardContainer,
    "aria-label": ariaLabel
  }, /*#__PURE__*/React.createElement("div", {
    className: style.reviewPresentationContainer
  }, /*#__PURE__*/React.createElement(ReviewPresentation, reviewPresentation)), /*#__PURE__*/React.createElement("div", {
    className: style.reviewSkillsContainer
  }, /*#__PURE__*/React.createElement(ReviewSkills, reviewSkills)));
};
ReviewDashboardSkills.propTypes = process.env.NODE_ENV !== "production" ? {
  'aria-label': PropTypes.string,
  reviewPresentation: PropTypes.shape(ReviewPresentation.propTypes),
  reviewSkills: PropTypes.shape(ReviewSkills.propTypes)
} : {};
export default ReviewDashboardSkills;
//# sourceMappingURL=index.js.map