/// <reference types="react" />
import PropTypes from 'prop-types';
import { CardsGridProps } from '../../organism/cards-grid';
interface ProviderContext {
    skin: {
        common: {
            primary: string;
            secondary: string;
        };
    };
    translate: (key: string, options?: any) => string;
}
declare const AllCourses: {
    (props: {
        content: {
            list: CardsGridProps['list'];
            loading?: boolean;
        };
        totalContents?: number | undefined;
        search: {
            oldValue: string;
            onChange: (value: string) => void;
        };
        bannerMicrolearning?: {
            type: 'skill' | 'playlist';
            action: () => void;
            oldSwitchValue: boolean;
        } | undefined;
        filters: {
            onChange?: ((value: string) => void) | undefined;
            options?: unknown[] | undefined;
        };
    }, context: ProviderContext): JSX.Element;
    contextTypes: {
        skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
        translate: PropTypes.Requireable<(...args: any[]) => any>;
    };
    propTypes: {
        content: PropTypes.Requireable<PropTypes.InferProps<{
            list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
            customStyle: PropTypes.Requireable<{
                [x: string]: string | null | undefined;
            }>;
            loading: PropTypes.Requireable<boolean>;
        }>>;
        totalContents: PropTypes.Requireable<number>;
        filters: PropTypes.Requireable<PropTypes.InferProps<{
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
            options: PropTypes.Requireable<(PropTypes.InferProps<{
                name: PropTypes.Validator<string>;
                value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
                selected: PropTypes.Requireable<boolean>;
                validOption: PropTypes.Requireable<boolean>;
            }> | null | undefined)[]>;
        }>>;
        bannerMicrolearning: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            action: PropTypes.Requireable<(...args: any[]) => any>;
            oldSwitchValue: PropTypes.Requireable<boolean>;
        }>>;
        search: PropTypes.Requireable<PropTypes.InferProps<{
            oldValue: PropTypes.Requireable<string>;
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
    };
};
export default AllCourses;
//# sourceMappingURL=all-courses.d.ts.map