export default TeamsDashboard;
declare function TeamsDashboard({ logo, platformLinks, sections, isLoading }: {
    logo: any;
    platformLinks: any;
    sections: any;
    isLoading: any;
}): JSX.Element;
declare namespace TeamsDashboard {
    namespace propTypes {
        const logo: PropTypes.Requireable<PropTypes.InferProps<{
            src: PropTypes.Requireable<string>;
            srcMobile: PropTypes.Requireable<string>;
            href: PropTypes.Requireable<string>;
            'aria-label': PropTypes.Requireable<string>;
            'button-aria-label': PropTypes.Requireable<string>;
            toolTipText: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
        const platformLinks: PropTypes.Requireable<(PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            submitValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            href: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            target: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            light: PropTypes.Requireable<boolean>;
            secondary: PropTypes.Requireable<boolean>;
            small: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
            logout: PropTypes.Requireable<boolean>;
            rectangular: PropTypes.Requireable<boolean>;
            fullWidth: PropTypes.Requireable<boolean>;
            certificationButton: PropTypes.Requireable<boolean>;
            useButtonTag: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        const sections: PropTypes.Requireable<(PropTypes.InferProps<{
            contentType: PropTypes.Requireable<string>;
            dataName: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
            showMore: PropTypes.Requireable<string>;
            cards: PropTypes.Requireable<(NonNullable<PropTypes.InferProps<{
                badge: PropTypes.Requireable<string>;
                image: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                adaptiv: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                author: PropTypes.Requireable<string>;
                certifiedAuthor: PropTypes.Requireable<boolean>;
                customer: PropTypes.Requireable<PropTypes.InferProps<{
                    theme: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                    coorpOriginal: PropTypes.Validator<boolean>;
                    disabled: PropTypes.Requireable<boolean>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                progress: PropTypes.Requireable<number>;
                favorite: PropTypes.Requireable<boolean>;
                addFavoriteToolTip: PropTypes.Requireable<string>;
                removeFavoriteToolTip: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onFavoriteClick: PropTypes.Requireable<(...args: any[]) => any>;
                isSelected: PropTypes.Requireable<boolean>;
                notification: PropTypes.Requireable<PropTypes.InferProps<{
                    message: PropTypes.Validator<string>;
                    icon: PropTypes.Validator<string>;
                }>>;
                badgeCategory: PropTypes.Requireable<string>;
                badgeLabel: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                disabledContent: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                'background-aria-label': PropTypes.Requireable<string>;
                'favorite-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    favorite: PropTypes.Requireable<string>;
                    addToFavorite: PropTypes.Requireable<string>;
                    removeFromFavorite: PropTypes.Requireable<string>;
                }>>;
                'selectable-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    select: PropTypes.Requireable<string>;
                    unSelect: PropTypes.Requireable<string>;
                }>>;
                'customer-aria-label': PropTypes.Requireable<string>;
                'badge-aria-label': PropTypes.Requireable<string>;
                'disabled-aria-label': PropTypes.Requireable<string>;
                'card-content-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    progression: PropTypes.Requireable<string>;
                    adaptive: PropTypes.Requireable<string>;
                }>>;
            }> | PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                tagLabel: PropTypes.Requireable<string>;
                progression: PropTypes.Requireable<number>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }> | null | undefined> | null | undefined)[]>;
            customStyle: PropTypes.Requireable<{
                [x: string]: string | null | undefined;
            }>;
            onScroll: PropTypes.Requireable<(...args: any[]) => any>;
            onShowMore: PropTypes.Requireable<(...args: any[]) => any>;
            'arrows-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                showMoreOnLeftAriaLabel: PropTypes.Requireable<string>;
                showMoreOnRightAriaLabel: PropTypes.Requireable<string>;
            }>>;
            type: PropTypes.Requireable<string>;
            testingSizes: PropTypes.Requireable<any>;
        }> | null | undefined)[]>;
        const isLoading: PropTypes.Requireable<boolean>;
    }
    namespace contextTypes {
        const translate: PropTypes.Requireable<(...args: any[]) => any>;
        const skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    }
}
import PropTypes from "prop-types";
//# sourceMappingURL=index.d.ts.map