declare type NotificationWording = {
    title: string;
    description: string;
};
export declare type Translations = {
    accessTheLesson: string;
    appPodcast: {
        infoNewFeature: {
            title: string;
            message: string;
            cta: string;
        };
        podcast: string;
        podcasts: string;
        playlist: string;
        home: string;
        courseMode: string;
        allPlaylists: string;
        seeMore: string;
        podcastCoorpacademy: string;
        podcastCourseMode: string;
        podcastMode: string;
        switchText: string;
        switchCourseText: string;
        cancelSwitch: string;
        switchOk: string;
        seeLess: string;
        play: string;
        noResult: string;
        allEpisodes: string;
        seeAllEpisodes: string;
        addToFavorites: string;
        removeFromFavorites: string;
        shareEpisode: string;
        close: string;
        errorNetwork: string;
        bottomNavigation: {
            home: string;
            search: string;
            favorites: string;
            podcasts: string;
        };
        search: {
            byPlaylists: string;
            searchForPodcasts: string;
            searchTitle: string;
            searchText: string;
            searchSubText: string;
        };
        settings: {
            settings: string;
            wifi: string;
            high: string;
            medium: string;
            low: string;
            mobile: string;
        };
        favorites: {
            title: string;
            podcasts: string;
            addedToFavorites: string;
            removedFromFavorites: string;
            errorFavoriteAdd: string;
            errorFavorite: string;
            errorFavoriteRemove: string;
        };
    };
    appReview: {
        ariaLabel: string;
        presentation: {
            ariaLabel: string;
            title: string;
            text: string;
            button: string;
            labelList: {
                skills: {
                    text: string;
                    tooltip: string;
                };
                questions: {
                    text: string;
                    tooltip: string;
                };
                lifes: {
                    text: string;
                    tooltip: string;
                };
                allright: {
                    text: string;
                    tooltip: string;
                };
            };
        };
        listTitle: string;
        listAriaLabel: string;
        card: {
            ariaLabel: string;
            text: string;
            buttonText: string;
        };
        noSkills: {
            title: string;
            text: string;
        };
    };
    article: string;
    authenticationMagicLinkHeader: string;
    authenticationMagicLinkStepOneDescription: string;
    authenticationMagicLinkStepTwoDescription: string;
    authenticationMagicLinkStepThreeDescription: string;
    authenticationMagicLinkTitle: string;
    authenticationQRCodeHeader: string;
    authenticationQRCodeStepOneDescription: string;
    authenticationQRCodeStepTwoDescription: string;
    authenticationQRCodeStepThreeDescription: string;
    authenticationQRCodeTitle: string;
    authorizeNotifications: string;
    askForHelp: string;
    backToHome: string;
    bonus: string;
    cancel: string;
    clue: string;
    clueStarsToLoose: string;
    congratulations: string;
    connectionLost: string;
    connectionRestored: string;
    context: string;
    correction: string;
    dataLost: string;
    didYouKnowThat: string;
    finishCourse: string;
    finishCourseWordings: NotificationWording[];
    finishLearning: string;
    forYou: string;
    gameOver: string;
    getAnExtralife: string;
    goodAnswer: string;
    goodJob: string;
    goToQuestion: string;
    highscore: string;
    howToSignIn: string;
    iWantIt: string;
    keyPoint: string;
    lesson: string;
    logOut: string;
    needHelp: string;
    new: string;
    next: string;
    nextLevel: string;
    nextChapter: string;
    noResults: string;
    noResultsDescription: string;
    ok: string;
    ooops: string;
    open: string;
    openBrowser: string;
    openSettings: string;
    ouch: string;
    outOfLives: string;
    permission: string;
    permissionCamera: string;
    notifications: string;
    notificationSamples: NotificationWording[];
    permissionNotificationHeadline: string;
    permissionNotificationDescription: string;
    permissionNotificationAuthorize: string;
    currentlyDoingReminder: string;
    yesNotifyMe: string;
    maybeLater: string;
    platformHasBeenDisabled: string;
    podcast: string;
    question: string;
    quit: string;
    reactivatePlatform: string;
    refresh: string;
    refreshEnjoyLearning: string;
    refreshNotWorking: string;
    resumeLearning: string;
    retryLevel: string;
    retryChapter: string;
    relatedSubjects: string;
    scanQRCode: string;
    scorm: string;
    externalFinishCourse: string;
    search: string;
    seeClue: string;
    selectAnAnswer: string;
    selectSomethingBelow: string;
    settings: string;
    signInDesktop: string;
    signInMobile: string;
    startDemo: string;
    startLearning: string;
    step: string;
    suggestion: string;
    suggestionWordings: NotificationWording[];
    typeHere: string;
    unlockNextLevel: string;
    upgrade: string;
    upgradeDescription: string;
    validate: string;
    version: string;
    video: string;
    videoLoadingError: string;
    welcome: string;
    welcomeDescription: string;
    welcomeUser: string;
    winAdditionalStars: string;
    wrongAnswer: string;
    yourAnswer: string;
    yourAnswers: string;
};
declare const defaultMobileTranslations: Translations;
export default defaultMobileTranslations;
//# sourceMappingURL=default-mobile-translations.d.ts.map