"use strict";

exports.__esModule = true;
exports.default = exports.buttonPropTypes = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _types = require("../button-link/types");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const buttonPropTypes = exports.buttonPropTypes = {
  'data-name': _propTypes.default.string,
  disabled: _propTypes.default.bool,
  label: _propTypes.default.string.isRequired,
  onClick: _propTypes.default.func,
  type: _propTypes.default.oneOf(['default', 'defaultLeft', 'dangerous', 'dangerousLeft']),
  buttonLinkType: _propTypes.default.oneOf(['primary', 'secondary', 'tertiary', 'text', 'dangerous']),
  icon: _propTypes.default.shape({
    ..._types.iconPropTypes,
    theme: _propTypes.default.oneOf(['archived', 'published', 'deleted'])
  }),
  customStyle: _propTypes.default.objectOf(_propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number])),
  customLabelClassName: _propTypes.default.string
};
const propTypes = {
  buttons: _propTypes.default.arrayOf(_propTypes.default.shape(buttonPropTypes)).isRequired,
  'data-name': _propTypes.default.string,
  'aria-label': _propTypes.default.string,
  enableScroll: _propTypes.default.bool
};
var _default = exports.default = propTypes;
//# sourceMappingURL=types.js.map