import PropTypes from 'prop-types';
export declare type Option = {
    value: string;
    label: string;
    icon?: string | null;
    'data-name'?: string | null;
};
export declare type InputSelectProps = {
    options: Option[];
    value?: string;
    onChange: (value: string) => void;
    placeholder?: string;
    className?: string;
    'aria-label'?: string;
    iconClosed?: string;
    selectedIcon?: string;
    'button-data-testid'?: string;
};
export declare const propTypes: {
    options: PropTypes.Validator<Required<PropTypes.InferProps<{
        value: PropTypes.Validator<string>;
        label: PropTypes.Validator<string>;
        icon: PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
    }>>[]>;
    value: PropTypes.Requireable<string>;
    onChange: PropTypes.Validator<(...args: any[]) => any>;
    placeholder: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    'aria-label': PropTypes.Requireable<string>;
    iconClosed: PropTypes.Requireable<string>;
    selectedIcon: PropTypes.Requireable<string>;
    'button-data-testid': PropTypes.Requireable<string>;
};
export default propTypes;
//# sourceMappingURL=types.d.ts.map