"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _inputText = _interopRequireDefault(require("../input-text"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const InputTextWithTitle = props => {
  const {
    inputText,
    title,
    'data-name': dataName,
    'aria-label': ariaLabel
  } = props;
  const inputTextClass = inputText.size === 'small' ? _style.default.smallInputText : _style.default.defaultInputText;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.container,
    "data-name": dataName,
    "aria-label": ariaLabel
  }, title ? /*#__PURE__*/_react.default.createElement("span", {
    className: _style.default.title
  }, title) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: inputTextClass
  }, /*#__PURE__*/_react.default.createElement(_inputText.default, inputText)));
};
InputTextWithTitle.propTypes = process.env.NODE_ENV !== "production" ? {
  inputText: _propTypes.default.shape({
    ..._inputText.default.propTypes,
    theme: _propTypes.default.string,
    size: _propTypes.default.string
  }),
  title: _propTypes.default.string,
  'aria-label': _propTypes.default.string,
  'data-name': _propTypes.default.string
} : {};
var _default = exports.default = InputTextWithTitle;
//# sourceMappingURL=index.js.map