"use strict";

exports.__esModule = true;
exports.default = void 0;
var _keys2 = _interopRequireDefault(require("lodash/fp/keys"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const notificationStyle = {
  warning: _style.default.warning,
  error: _style.default.error,
  success: _style.default.success
};
const NotificationComponent = props => {
  const {
    type,
    message
  } = props;
  const className = type ? notificationStyle[type] : _style.default.message;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, /*#__PURE__*/_react.default.createElement("span", null, "!"), message);
};
NotificationComponent.propTypes = process.env.NODE_ENV !== "production" ? {
  type: _propTypes.default.oneOf((0, _keys2.default)(notificationStyle)).isRequired,
  message: _propTypes.default.string.isRequired
} : {};
var _default = exports.default = NotificationComponent;
//# sourceMappingURL=index.js.map