/// <reference types="react" />
import PropTypes from 'prop-types';
export declare const propTypes: {
    title: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        subtitle: PropTypes.Requireable<string>;
        type: PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        titleSize: PropTypes.Requireable<string>;
        subtitleSize: PropTypes.Requireable<string>;
        icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
        tag: PropTypes.Requireable<PropTypes.InferProps<{
            label: PropTypes.Requireable<string>;
            type: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            customStyle: PropTypes.Requireable<{
                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
            }>;
            icon: PropTypes.Requireable<PropTypes.InferProps<{
                position: PropTypes.Requireable<string>;
                iconName?: import("react").Validator<string> | undefined;
                iconColor?: import("react").Validator<string | null | undefined> | undefined;
                backgroundColor?: import("react").Validator<string | null | undefined> | undefined;
                gradientBackground?: import("react").Validator<boolean | null | undefined> | undefined;
                borderRadius?: import("react").Validator<string | null | undefined> | undefined;
                preset?: import("react").Validator<string | null | undefined> | undefined;
                size?: import("react").Validator<import("../icon").IconSize | null | undefined> | undefined;
                customStyle?: import("react").Validator<import("react").CSSProperties | null | undefined> | undefined;
            }>>;
        }>>;
        button: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            usage: PropTypes.Requireable<string>;
            label: PropTypes.Requireable<string>;
            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            'aria-label': PropTypes.Requireable<string>;
            tooltipText: PropTypes.Requireable<string>;
            tooltipPlacement: PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            'data-testid': PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<PropTypes.InferProps<{
                position: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                    name: PropTypes.Validator<string>;
                    color: PropTypes.Requireable<string>;
                    backgroundColor: PropTypes.Requireable<string>;
                    size: PropTypes.Requireable<number>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
            }>>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            link: PropTypes.Requireable<PropTypes.InferProps<{
                href: PropTypes.Requireable<string>;
                download: PropTypes.Requireable<boolean>;
                target: PropTypes.Requireable<string>;
            }>>;
            hoverBackgroundColor: PropTypes.Requireable<string>;
            hoverColor: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
            customStyle: PropTypes.Requireable<{
                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
            }>;
            useTitle: PropTypes.Requireable<boolean>;
            customLabelClassName: PropTypes.Requireable<string>;
        }>>;
        required: PropTypes.Requireable<boolean>;
    }>>>;
    name: PropTypes.Requireable<string>;
    checked: PropTypes.Requireable<boolean>;
    onChange: PropTypes.Validator<(...args: any[]) => any>;
    'aria-label': PropTypes.Requireable<string>;
    'data-name': PropTypes.Requireable<string>;
};
export declare type RadioWithTitleProps = {
    title: {
        title: string;
        subtitle: string;
        type: string;
        'data-name': string;
        subtitleSize: string;
    };
    name?: string;
    checked: boolean;
    onChange: (value: boolean) => void;
    'aria-label': string;
    'data-name'?: string;
};
//# sourceMappingURL=types.d.ts.map