/// <reference types="react" />
import PropTypes from 'prop-types';
import { ColorValue, GestureResponderEvent, ViewStyle } from 'react-native';
declare const propTypes: {
    'aria-label': PropTypes.Requireable<string>;
    reviewTitle: PropTypes.Requireable<string>;
    reviewText: PropTypes.Requireable<string>;
    labelsList: PropTypes.Requireable<PropTypes.InferProps<{
        skills: PropTypes.Requireable<PropTypes.InferProps<{
            text: PropTypes.Requireable<string>;
            tooltipText: PropTypes.Requireable<string>;
            moreDetailsAreaLabel: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
        questions: PropTypes.Requireable<PropTypes.InferProps<{
            text: PropTypes.Requireable<string>;
            tooltipText: PropTypes.Requireable<string>;
            moreDetailsAreaLabel: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
        lifes: PropTypes.Requireable<PropTypes.InferProps<{
            text: PropTypes.Requireable<string>;
            tooltipText: PropTypes.Requireable<string>;
            moreDetailsAreaLabel: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
        allright: PropTypes.Requireable<PropTypes.InferProps<{
            text: PropTypes.Requireable<string>;
            tooltipText: PropTypes.Requireable<string>;
            moreDetailsAreaLabel: PropTypes.Requireable<string>;
            closeToolTipInformationTextAriaLabel: PropTypes.Requireable<string>;
        }>>;
    }>>;
};
export default propTypes;
export declare const OnboardingPropsTypes: {
    onPress: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const TipPropsTypes: {
    text: PropTypes.Requireable<string>;
    Icon: PropTypes.Requireable<any>;
};
export declare type OnboardingProps = {
    'aria-label'?: string | undefined;
    reviewTitle?: string | undefined;
    reviewText?: string | undefined;
    labelsList?: {
        skills?: {
            text?: string | undefined;
            tooltipText?: string | undefined;
            'aria-label'?: string | undefined;
        } | undefined;
        questions?: {
            text?: string | undefined;
            tooltipText?: string | undefined;
            'aria-label'?: string | undefined;
        };
        lifes?: {
            text?: string | undefined;
            tooltipText?: string | undefined;
            'aria-label'?: string | undefined;
        } | undefined;
        allright?: {
            text?: string | undefined;
            tooltipText?: string | undefined;
            'aria-label'?: string | undefined;
        } | undefined;
    };
    onPress: (event: GestureResponderEvent) => void;
};
export declare type TipProps = {
    text: string | undefined;
    Icon: React.FC<{
        height: number;
        width: number;
        style: ViewStyle;
        color: ColorValue;
    }>;
};
//# sourceMappingURL=prop-types.d.ts.map