"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _provider = _interopRequireDefault(require("../provider"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TabContent = props => {
  const {
    tabTitle,
    hideContentBackground,
    children
  } = props;
  const backgroundClassName = hideContentBackground ? _style.default.hiddenBackground : _style.default.greyBackground;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.content
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.contentTitle
  }, tabTitle), /*#__PURE__*/_react.default.createElement("div", {
    className: backgroundClassName
  }, children));
};
TabContent.contextTypes = {
  translate: _provider.default.childContextTypes.translate
};
TabContent.propTypes = process.env.NODE_ENV !== "production" ? {
  tabTitle: _propTypes.default.string,
  hideContentBackground: _propTypes.default.bool,
  children: _propTypes.default.node
} : {};
var _default = exports.default = TabContent;
//# sourceMappingURL=index.js.map