"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const SCREEN = _reactNative.Dimensions.get('screen');
const FONT_SCALING = 0.5 * (SCREEN.height / SCREEN.width);
const Text = props => {
  const {
    children,
    style,
    testID,
    numberOfLines,
    allowFontScaling = true,
    accessibilityLabel
  } = props;
  const styleWithScaledFont = {
    ...style,
    fontSize: style?.fontSize ? style.fontSize * FONT_SCALING : undefined,
    lineHeight: style?.lineHeight ? style.lineHeight * FONT_SCALING : undefined
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    allowFontScaling: allowFontScaling,
    style: styleWithScaledFont,
    testID: testID,
    numberOfLines: numberOfLines,
    accessibilityLabel: accessibilityLabel
  }, children);
};
var _default = exports.default = Text;
//# sourceMappingURL=index.native.js.map