import { ViewStyle, LayoutChangeEvent, NativeSyntheticEvent, GestureResponderEvent, TargetedEvent, StyleProp } from 'react-native';
import React from 'react';
import { Analytics, AnalyticsEventParams } from '../../variables/analytics';
import { Vibration } from '../../variables/vibration';
export declare type Props = {
    accessibilityLabel?: string;
    accessible?: boolean;
    children?: React.ReactNode;
    delayLongPress?: number;
    delayPressIn?: number;
    delayPressOut?: number;
    disabled?: boolean;
    focusable?: boolean;
    onBlur?: (event: NativeSyntheticEvent<TargetedEvent>) => void;
    onFocus?: (event: NativeSyntheticEvent<TargetedEvent>) => void;
    onLayout?: (event: LayoutChangeEvent) => void;
    onLongPress?: (event: GestureResponderEvent) => void;
    onPress?: (event: GestureResponderEvent) => void;
    onPressIn?: (event: GestureResponderEvent) => void;
    onPressOut?: (event: GestureResponderEvent) => void;
    testID?: string;
    isHighlight?: boolean;
    isWithoutFeedback?: boolean;
    activeOpacity?: number;
    style?: StyleProp<ViewStyle>;
    analytics?: Analytics;
    analyticsID?: string;
    analyticsParams?: AnalyticsEventParams;
    vibration?: Vibration;
};
declare const Touchable: (props: Props) => JSX.Element;
export default Touchable;
//# sourceMappingURL=index.native.d.ts.map