import PropTypes from 'prop-types';
import { ButtonLinkProps } from '../../atom/button-link/types';
import { ButtonMenuProps } from '../../atom/button-menu/types';
declare const ButtonMenuActionPropTypes: {
    button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
        type: PropTypes.Requireable<string>;
        usage: PropTypes.Requireable<string>;
        label: PropTypes.Requireable<string>;
        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        'aria-label': PropTypes.Requireable<string>;
        tooltipText: PropTypes.Requireable<string>;
        tooltipPlacement: PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        'data-testid': PropTypes.Requireable<string>;
        icon: PropTypes.Requireable<PropTypes.InferProps<{
            position: PropTypes.Requireable<string>;
            type: PropTypes.Requireable<string>;
            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                name: PropTypes.Validator<string>;
                color: PropTypes.Requireable<string>;
                backgroundColor: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<number>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
        }>>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        link: PropTypes.Requireable<PropTypes.InferProps<{
            href: PropTypes.Requireable<string>;
            download: PropTypes.Requireable<boolean>;
            target: PropTypes.Requireable<string>;
        }>>;
        hoverBackgroundColor: PropTypes.Requireable<string>;
        hoverColor: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        className: PropTypes.Requireable<string>;
        customStyle: PropTypes.Requireable<{
            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
        }>;
        useTitle: PropTypes.Requireable<boolean>;
        customLabelClassName: PropTypes.Requireable<string>;
    }>>>;
    menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
        buttons: PropTypes.Validator<(PropTypes.InferProps<{
            'data-name': PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            label: PropTypes.Validator<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            type: PropTypes.Requireable<string>;
            buttonLinkType: PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<PropTypes.InferProps<{
                theme: PropTypes.Requireable<string>;
                position: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                    name: PropTypes.Validator<string>;
                    color: PropTypes.Requireable<string>;
                    backgroundColor: PropTypes.Requireable<string>;
                    size: PropTypes.Requireable<number>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
            }>>;
            customStyle: PropTypes.Requireable<{
                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
            }>;
            customLabelClassName: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        'data-name': PropTypes.Requireable<string>;
        'aria-label': PropTypes.Requireable<string>;
        enableScroll: PropTypes.Requireable<boolean>;
    }>>>;
    menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
        ariaLabel: PropTypes.Requireable<string>;
        customStyle: PropTypes.Requireable<{
            [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
        }>;
    }>>;
    type: PropTypes.Requireable<string>;
    primaryColor: PropTypes.Requireable<string>;
    closeOnClick: PropTypes.Requireable<boolean>;
    enableScroll: PropTypes.Requireable<boolean>;
};
export default ButtonMenuActionPropTypes;
export declare type ButtonMenuActionProps = {
    button: ButtonLinkProps;
    menu: ButtonMenuProps;
    menuWrapper?: {
        ariaLabel?: string;
        customStyle?: Record<string, string | number>;
    };
    type?: 'button' | 'link';
    primaryColor?: string;
    containerCustom?: Record<string, string | number>;
    closeOnClick?: boolean;
    enableScroll?: boolean;
};
export declare type ButtonMenuActionPropsFixture = {
    props: ButtonMenuActionProps;
};
//# sourceMappingURL=types.d.ts.map