"use strict";

exports.__esModule = true;
exports.default = void 0;
var _isUndefined2 = _interopRequireDefault(require("lodash/fp/isUndefined"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
var _novaIcons = require("@coorpacademy/nova-icons");
var _selectable = _interopRequireDefault(require("./selectable.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Selectable = props => {
  const {
    isSelected,
    hidden,
    'aria-label': ariaLabel = {}
  } = props;
  if ((0, _isUndefined2.default)(isSelected)) return null;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames.default)(_selectable.default.selectable, isSelected && _selectable.default.selected, hidden && _selectable.default.hidden)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _selectable.default.circle
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _selectable.default.iconWrapper
  }, /*#__PURE__*/_react.default.createElement(_novaIcons.NovaSolidRemoveAddAddCircle1, {
    className: _selectable.default.addIcon,
    "aria-label": ariaLabel.select
  }), /*#__PURE__*/_react.default.createElement(_novaIcons.NovaSolidStatusCheckCircle2, {
    className: _selectable.default.checkIcon,
    "aria-label": ariaLabel.unSelect
  }), /*#__PURE__*/_react.default.createElement(_novaIcons.NovaLineContentEditionHide, {
    className: _selectable.default.hideIcon,
    "aria-label": ariaLabel.hide
  }), /*#__PURE__*/_react.default.createElement(_novaIcons.NovaCompositionCoorpacademyEye, {
    className: _selectable.default.showIcon,
    "aria-label": ariaLabel.show
  })));
};
Selectable.propTypes = process.env.NODE_ENV !== "production" ? {
  isSelected: _propTypes.default.bool,
  hidden: _propTypes.default.bool,
  'aria-label': _propTypes.default.shape({
    select: _propTypes.default.string,
    unSelect: _propTypes.default.string
  })
} : {};
var _default = exports.default = Selectable;
//# sourceMappingURL=selectable.js.map