"use strict";

exports.__esModule = true;
exports.default = void 0;
var _keys2 = _interopRequireDefault(require("lodash/fp/keys"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _buttonLink = _interopRequireDefault(require("../../atom/button-link"));
var _inputSwitch = _interopRequireDefault(require("../../atom/input-switch"));
var _title = _interopRequireDefault(require("../../atom/title"));
var _link = _interopRequireDefault(require("../../atom/link"));
var _cardsGrid = _interopRequireDefault(require("../../organism/cards-grid"));
var _listItems = _interopRequireDefault(require("../../organism/list-items"));
var _buttonIcons = require("../../util/button-icons");
var _icon = require("../../atom/icon");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const propTypes = {
  content: _propTypes.default.string,
  mode: _propTypes.default.oneOf(['alert', 'information', 'cookie', 'items', 'list']),
  header: _propTypes.default.shape({
    title: _propTypes.default.shape(_title.default.propTypes),
    headerIcon: _propTypes.default.string,
    backgroundImage: _propTypes.default.string
  }),
  firstButton: _propTypes.default.shape({
    label: _propTypes.default.string,
    handleOnclick: _propTypes.default.func,
    'aria-label': _propTypes.default.string,
    largeButton: _propTypes.default.bool,
    type: _propTypes.default.oneOf(['dangerous', 'primary', 'secondary', 'tertiary']),
    customStyle: _buttonLink.default.propTypes.customStyle
  }),
  secondButton: _propTypes.default.shape({
    label: _propTypes.default.string,
    handleOnclick: _propTypes.default.func,
    type: _propTypes.default.oneOf(['dangerous', 'primary', 'secondary']),
    'aria-label': _propTypes.default.string,
    largeButton: _propTypes.default.bool,
    customStyle: _buttonLink.default.propTypes.customStyle,
    icon: _propTypes.default.shape({
      position: _propTypes.default.oneOf(['right', 'left']),
      type: _propTypes.default.oneOf((0, _keys2.default)(_buttonIcons.ICONS))
    })
  }),
  thirdButton: _propTypes.default.shape({
    label: _propTypes.default.string,
    handleOnclick: _propTypes.default.func,
    type: _propTypes.default.oneOf(['dangerous', 'primary', 'secondary']),
    'aria-label': _propTypes.default.string,
    largeButton: _propTypes.default.bool,
    customStyle: _buttonLink.default.propTypes.customStyle
  }),
  onClose: _propTypes.default.func,
  icon: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.shape(_icon.propTypes)]),
  backgroundImageUrl: _propTypes.default.string,
  descriptionText: _propTypes.default.string,
  cookieTitle: _propTypes.default.string,
  headerSubtitle: _propTypes.default.string,
  descriptionBtnTxt: _propTypes.default.string,
  listBtnSwicth: _propTypes.default.arrayOf(_propTypes.default.shape(_inputSwitch.default.propTypes)),
  items: _propTypes.default.shape({
    type: _propTypes.default.oneOf(['content', 'list']),
    list: _propTypes.default.oneOfType([_propTypes.default.shape(_cardsGrid.default.propTypes), _propTypes.default.shape(_listItems.default.propTypes)])
  }),
  link: _propTypes.default.shape(_link.default.propTypes)
};
var _default = exports.default = propTypes;
//# sourceMappingURL=types.js.map