"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _cardImagePreview = _interopRequireDefault(require("../../atom/card-image-preview"));
var _contentBadge = _interopRequireDefault(require("../../atom/content-badge"));
var _listBadges = _interopRequireDefault(require("../list-badges"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CourseSection = props => {
  const {
    image,
    badgeList,
    title,
    author,
    position,
    'aria-label': {
      title: ariaLabelTitle,
      author: ariaLabelAuthor,
      modules: ariaLabelModules,
      position: coursePosition
    },
    id
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.container,
    "aria-label": ariaLabelTitle,
    "data-name": `course-section-${id}`
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.wrapper
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: _style.default.position,
    "aria-label": coursePosition,
    "data-name": "position"
  }, position), /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.containerImage
  }, /*#__PURE__*/_react.default.createElement(_cardImagePreview.default, {
    image: image
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.containerInfos
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.title
  }, title), /*#__PURE__*/_react.default.createElement("span", {
    className: _style.default.author,
    "aria-label": ariaLabelAuthor
  }, author))), /*#__PURE__*/_react.default.createElement(_listBadges.default, {
    "aria-label": ariaLabelModules,
    items: badgeList
  }));
};
CourseSection.propTypes = process.env.NODE_ENV !== "production" ? {
  'aria-label': _propTypes.default.shape({
    title: _propTypes.default.string,
    author: _propTypes.default.string,
    modules: _propTypes.default.string,
    position: _propTypes.default.string
  }),
  image: _propTypes.default.string,
  badgeList: _propTypes.default.arrayOf(_propTypes.default.shape(_contentBadge.default.propTypes)),
  title: _propTypes.default.string,
  author: _propTypes.default.string,
  position: _propTypes.default.number,
  id: _propTypes.default.string
} : {};
var _default = exports.default = CourseSection;
//# sourceMappingURL=index.js.map