"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _buttonLink = _interopRequireDefault(require("../../../atom/button-link"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); } // this is a clone and adapt of the review-banner component (packages/@coorpacademy-components/src/molecule/dashboard/review-banner/index.js)
const BOOK_IMG_URL = 'https://static.coorpacademy.com/assets/images/section-item-book.png';
const TARGET_IMG_URL = 'https://static.coorpacademy.com/assets/images/section-item-dart.png';
const LearningProfileBanner = /*#__PURE__*/_react.default.memo(function LearningProfileBanner(props) {
  const {
    title,
    subtitle,
    cta
  } = props;
  const buttonProps = {
    ...cta,
    type: 'primary'
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.root,
    "data-name": "start-learning-profile-banner"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.container
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.banner
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.left,
    role: "img",
    "aria-label": "Left image container"
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: _style.default.image,
    src: BOOK_IMG_URL,
    alt: "Notebook image"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.middle
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: _style.default.title,
    "data-name": "learning-profile-banner-title",
    "aria-label": "{title}"
  }, title), /*#__PURE__*/_react.default.createElement("span", {
    className: _style.default.subtitle,
    "data-name": "learning-profile-banner-subtitle",
    "aria-label": "{subtitle}"
  }, subtitle), /*#__PURE__*/_react.default.createElement(_buttonLink.default, _extends({}, buttonProps, {
    className: _style.default.cta
  }))), /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.right,
    role: "img",
    "aria-label": "Right image container"
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: _style.default.image,
    src: TARGET_IMG_URL,
    alt: "Target image"
  })))));
});
LearningProfileBanner.propTypes = process.env.NODE_ENV !== "production" ? {
  title: _propTypes.default.string,
  subtitle: _propTypes.default.string,
  cta: _propTypes.default.shape({
    onClick: _propTypes.default.func,
    label: _propTypes.default.string
  })
} : {};
var _default = exports.default = LearningProfileBanner;
//# sourceMappingURL=index.js.map