export default DraggableList;
declare function DraggableList({ items, onDrop, itemType }: {
    items: any;
    onDrop: any;
    itemType: any;
}): JSX.Element;
declare namespace DraggableList {
    namespace propTypes {
        const items: PropTypes.Requireable<(NonNullable<PropTypes.InferProps<{
            title: PropTypes.Validator<string>;
            onUp: PropTypes.Requireable<(...args: any[]) => any>;
            onDown: PropTypes.Requireable<(...args: any[]) => any>;
            display: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                id: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                'aria-labelledby': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                titlePosition: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                details: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                requiredSelection: PropTypes.Requireable<boolean>;
                icon: PropTypes.Requireable<string>;
            }>>;
            contentTypes: PropTypes.Requireable<PropTypes.InferProps<{
                modified: PropTypes.Requireable<boolean>;
                color: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                className: PropTypes.Requireable<string>;
                list: PropTypes.Requireable<(PropTypes.InferProps<{
                    color: PropTypes.Requireable<string>;
                    value: PropTypes.Validator<string>;
                    name: PropTypes.Requireable<string>;
                    theme: PropTypes.Requireable<string>;
                    checked: PropTypes.Requireable<boolean>;
                    label: PropTypes.Requireable<string>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }> | PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                author: PropTypes.Requireable<string>;
                modules: PropTypes.Requireable<string>;
                position: PropTypes.Requireable<string>;
            }>>;
            image: PropTypes.Requireable<string>;
            badgeList: PropTypes.Requireable<(PropTypes.InferProps<{
                category: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            title: PropTypes.Requireable<string>;
            author: PropTypes.Requireable<string>;
            position: PropTypes.Requireable<number>;
            id: PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            title: PropTypes.Validator<string>;
            subtitle: PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            provider: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
            }>>;
            selected: PropTypes.Requireable<boolean>;
            selectedColor: PropTypes.Requireable<string>;
            dataColumns: PropTypes.Requireable<(PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
                className: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                ariaLabel: PropTypes.Requireable<string>;
                dataName: PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                ariaLabel: PropTypes.Requireable<string>;
                dataName: PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            bulletPointMenuButton: PropTypes.Requireable<PropTypes.InferProps<{
                buttonAriaLabel: PropTypes.Requireable<string>;
                menuAriaLabel: PropTypes.Requireable<string>;
                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                    'data-name': PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            tags: PropTypes.Requireable<(PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            disabled: PropTypes.Requireable<boolean>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            isBulkStyle: PropTypes.Requireable<boolean>;
            isOverflowHidden: PropTypes.Requireable<boolean>;
            order: PropTypes.Requireable<number>;
            'aria-label': PropTypes.Requireable<string>;
            contentType: PropTypes.Requireable<string>;
            id: PropTypes.Requireable<string>;
            leftIcon: PropTypes.Requireable<PropTypes.InferProps<{
                iconName: PropTypes.Requireable<string>;
                iconColor: PropTypes.Requireable<string>;
                backgroundColor: PropTypes.Requireable<string>;
                borderRadius: PropTypes.Requireable<string>;
                preset: PropTypes.Requireable<string>;
                gradientBackground: PropTypes.Requireable<boolean>;
                size: PropTypes.Requireable<number>;
                wrapperSize: PropTypes.Requireable<number>;
            }>>;
            image: PropTypes.Requireable<string>;
            checkbox: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                checked: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    iconName: PropTypes.Requireable<string>;
                    iconColor: PropTypes.Requireable<string>;
                    preset: PropTypes.Requireable<string>;
                }>>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
        }> | PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            id: PropTypes.Requireable<string>;
            priorityRef: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            courses: PropTypes.Requireable<number>;
            type: PropTypes.Requireable<string>;
            onRemove: PropTypes.Requireable<(...args: any[]) => any>;
        }> | null | undefined> | null | undefined)[]>;
        const onDrop: PropTypes.Requireable<(...args: any[]) => any>;
        const itemType: PropTypes.Requireable<string>;
    }
}
import PropTypes from "prop-types";
//# sourceMappingURL=index.d.ts.map