"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _inputText = _interopRequireDefault(require("../../atom/input-text"));
var _checkboxWithTitle = _interopRequireDefault(require("../../atom/checkbox-with-title"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const InputTextWithTiteledCheckbox = props => {
  const {
    title,
    name,
    checked,
    checkBoxOnChange,
    'aria-label': ariaLabel,
    inputTextTitle,
    inputTextValue,
    inputTextPlaceholder,
    inputTextDescription,
    inputTextDisabled,
    inputTextModified,
    inputTextOnChange
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_checkboxWithTitle.default, {
    title: title,
    name: name,
    checked: checked,
    onChange: checkBoxOnChange,
    "data-name": "check-box",
    "aria-label": ariaLabel.checkbox
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.inputText
  }, /*#__PURE__*/_react.default.createElement(_inputText.default, {
    title: inputTextTitle,
    value: inputTextValue,
    placeholder: inputTextPlaceholder,
    theme: "coorpmanager",
    description: inputTextDescription,
    disabled: inputTextDisabled,
    modified: inputTextModified,
    onChange: inputTextOnChange,
    "data-name": "input-text",
    "aria-label": ariaLabel.input
  })));
};
InputTextWithTiteledCheckbox.propTypes = process.env.NODE_ENV !== "production" ? {
  title: _propTypes.default.string,
  name: _propTypes.default.string,
  checked: _propTypes.default.bool,
  checkBoxOnChange: _propTypes.default.func,
  'aria-label': _propTypes.default.shape({
    input: _propTypes.default.string,
    checkbox: _propTypes.default.string
  }),
  inputTextTitle: _propTypes.default.string,
  inputTextValue: _propTypes.default.string,
  inputTextPlaceholder: _propTypes.default.string,
  inputTextDescription: _propTypes.default.string,
  inputTextDisabled: _propTypes.default.bool,
  inputTextModified: _propTypes.default.bool,
  inputTextOnChange: _propTypes.default.func
} : {};
var _default = exports.default = InputTextWithTiteledCheckbox;
//# sourceMappingURL=index.js.map