"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _map = _interopRequireDefault(require("lodash/fp/map"));
var _contentBadge = _interopRequireDefault(require("../../atom/content-badge"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ListBadges = ({
  items,
  'aria-label': ariaLabel
}) => {
  const itemsView = (0, _map.default)(({
    category,
    label
  }) => {
    return /*#__PURE__*/_react.default.createElement("li", {
      className: _style.default.item,
      key: `badge-${category}`,
      "data-name": `badge-${category}`,
      "aria-label": label
    }, /*#__PURE__*/_react.default.createElement(_contentBadge.default, {
      className: _style.default.contentBadge,
      category: category,
      label: label
    }));
  }, items);
  return /*#__PURE__*/_react.default.createElement("ul", {
    className: _style.default.list,
    "aria-label": ariaLabel,
    "data-name": "badges-list"
  }, itemsView);
};
ListBadges.propTypes = process.env.NODE_ENV !== "production" ? {
  'aria-label': _propTypes.default.string,
  items: _propTypes.default.arrayOf(_propTypes.default.shape(_contentBadge.default.propTypes))
} : {};
var _default = exports.default = ListBadges;
//# sourceMappingURL=index.js.map