import React from 'react';
import { TitleRadioWrapperProps } from './types';
declare const TitleRadioWrapper: {
    (props: TitleRadioWrapperProps): JSX.Element;
    propTypes: {
        radioWithTitle: import("prop-types").Requireable<import("prop-types").InferProps<{
            title: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                title: import("prop-types").Requireable<string>;
                subtitle: import("prop-types").Requireable<string>;
                type: import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                titleSize: import("prop-types").Requireable<string>;
                subtitleSize: import("prop-types").Requireable<string>;
                icon: import("prop-types").Requireable<import("prop-types").InferProps<import("prop-types").ValidationMap<any>>>;
                tag: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                    size: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        iconName?: React.Validator<string> | undefined;
                        iconColor?: React.Validator<string | null | undefined> | undefined;
                        backgroundColor?: React.Validator<string | null | undefined> | undefined;
                        gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                        borderRadius?: React.Validator<string | null | undefined> | undefined;
                        preset?: React.Validator<string | null | undefined> | undefined;
                        size?: React.Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                        customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                    }>>;
                }>>;
                button: import("prop-types").Requireable<import("prop-types").InferProps<{
                    type: import("prop-types").Requireable<string>;
                    usage: import("prop-types").Requireable<string>;
                    label: import("prop-types").Requireable<string>;
                    content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                    'aria-label': import("prop-types").Requireable<string>;
                    tooltipText: import("prop-types").Requireable<string>;
                    tooltipPlacement: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    'data-testid': import("prop-types").Requireable<string>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                            name: import("prop-types").Validator<string>;
                            color: import("prop-types").Requireable<string>;
                            backgroundColor: import("prop-types").Requireable<string>;
                            size: import("prop-types").Requireable<number>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                    }>>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    link: import("prop-types").Requireable<import("prop-types").InferProps<{
                        href: import("prop-types").Requireable<string>;
                        download: import("prop-types").Requireable<boolean>;
                        target: import("prop-types").Requireable<string>;
                    }>>;
                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                    hoverColor: import("prop-types").Requireable<string>;
                    disabled: import("prop-types").Requireable<boolean>;
                    className: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    useTitle: import("prop-types").Requireable<boolean>;
                    customLabelClassName: import("prop-types").Requireable<string>;
                }>>;
                required: import("prop-types").Requireable<boolean>;
            }>>>;
            name: import("prop-types").Requireable<string>;
            checked: import("prop-types").Requireable<boolean>;
            onChange: import("prop-types").Validator<(...args: any[]) => any>;
            'aria-label': import("prop-types").Requireable<string>;
            'data-name': import("prop-types").Requireable<string>;
        }>>;
        field: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
            title: import("prop-types").Requireable<string>;
            placeholder: import("prop-types").Requireable<string>;
            description: import("prop-types").Requireable<string>;
            hint: import("prop-types").Requireable<string>;
            options: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                selected: import("prop-types").Validator<boolean>;
                name: import("prop-types").Validator<string>;
                value: import("prop-types").Requireable<string>;
            }>>[]>;
            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
            onError: import("prop-types").Requireable<(...args: any[]) => any>;
            multiple: import("prop-types").Requireable<boolean>;
            modified: import("prop-types").Requireable<boolean>;
            disabled: import("prop-types").Requireable<boolean>;
            error: import("prop-types").Requireable<string>;
            theme: import("prop-types").Requireable<string>;
        }> | import("prop-types").InferProps<{
            disableHoverTooltip: import("prop-types").Requireable<boolean>;
            name: import("prop-types").Requireable<string>;
            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
            onReset: import("prop-types").Requireable<(...args: any[]) => any>;
            filesTypes: (props: any, propName: any, componentName: any) => Error | null;
            error: import("prop-types").Requireable<string>;
            buttonAriaLabel: import("prop-types").Requireable<string>;
            errorButtonLabel: import("prop-types").Requireable<string>;
            labelLink: import("prop-types").Requireable<string>;
            hrefLink: import("prop-types").Requireable<string>;
            title: import("prop-types").Requireable<string>;
            description: import("prop-types").Requireable<string>;
            uploadLabel: import("prop-types").Requireable<string>;
            previewLabel: import("prop-types").Requireable<string>;
            previewContent: import("prop-types").Requireable<import("prop-types").InferProps<{
                type: import("prop-types").Requireable<string>;
                src: import("prop-types").Requireable<string>;
                label: import("prop-types").Requireable<string>;
            }>>;
            loading: import("prop-types").Requireable<boolean>;
            modified: import("prop-types").Requireable<boolean>;
            disabled: import("prop-types").Requireable<boolean>;
            children: import("prop-types").Requireable<(...args: any[]) => any>;
            pdfButtonLabel: import("prop-types").Requireable<string>;
            pdfButtonAriaLabel: import("prop-types").Requireable<string>;
            multiple: import("prop-types").Requireable<boolean>;
        }> | null | undefined>>;
        childType: import("prop-types").Requireable<string>;
    };
};
export default TitleRadioWrapper;
//# sourceMappingURL=index.d.ts.map