"use strict";

exports.__esModule = true;
exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _proptypes = require("../../util/proptypes");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var _default = exports.default = {
  mimeType: _propTypes.default.string,
  scriptErrorMessage: _propTypes.default.string,
  disableAutostart: _propTypes.default.bool,
  // https://developer.jwplayer.com/jwplayer/docs/jw8-player-configuration-reference
  jwpOptions: _propTypes.default.shape({
    file: _proptypes.SrcPropType,
    customProps: _propTypes.default.shape({
      aspectratio: _propTypes.default.string,
      tracks: _propTypes.default.arrayOf(_propTypes.default.shape({
        file: _proptypes.SrcPropType,
        label: _propTypes.default.string,
        kind: _propTypes.default.string,
        default: _propTypes.default.bool
      })),
      autostart: _propTypes.default.oneOf(['true', 'viewable', 'false']),
      width: _propTypes.default.string,
      skin: _propTypes.default.shape({
        name: _propTypes.default.string
      })
    }),
    licenseKey: _propTypes.default.string.isRequired,
    playerScript: _proptypes.SrcPropType.isRequired,
    playerId: _propTypes.default.string.isRequired
  }),
  onPlay: _propTypes.default.func,
  onResume: _propTypes.default.func,
  onPause: _propTypes.default.func,
  onEnded: _propTypes.default.func,
  onError: _propTypes.default.func,
  onPlayAttemptFailed: _propTypes.default.func,
  onAutostartNotAllowed: _propTypes.default.func,
  onSetupError: _propTypes.default.func,
  onWarning: _propTypes.default.func
};
//# sourceMappingURL=jwplayer-prop-types.js.map