import React from 'react';
import PropTypes from 'prop-types';
export interface CardProps {
    key?: React.Key;
    badge?: string;
    image?: string;
    disabled?: boolean;
    adaptiv?: boolean;
    type?: string;
    title?: string;
    author?: string;
    certifiedAuthor?: boolean;
    customer?: Record<string, unknown>;
    progress: number;
    favorite?: boolean;
    addFavoriteToolTip?: string;
    removeFavoriteToolTip?: string;
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
    onFavoriteClick?: () => void;
    isSelected?: boolean;
    notification?: Record<string, unknown>;
    badgeCategory?: string;
    badgeLabel?: string;
    theme?: 'default' | 'coorpmanager';
    disabledContent?: string;
    'aria-label'?: string;
    'background-aria-label'?: string;
    'favorite-aria-label'?: string;
    'selectable-aria-label'?: string;
    'customer-aria-label'?: string;
    'badge-aria-label'?: string;
    'disabled-aria-label'?: string;
    'card-content-aria-label'?: string;
}
export interface CardsGridProps {
    list: CardProps[];
    customStyle?: Record<string, string>;
    loading?: boolean;
}
declare const CardsGrid: {
    (props: CardsGridProps): JSX.Element;
    propTypes: {
        list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
        customStyle: PropTypes.Requireable<{
            [x: string]: string | null | undefined;
        }>;
        loading: PropTypes.Requireable<boolean>;
    };
};
export default CardsGrid;
//# sourceMappingURL=index.d.ts.map