import PropTypes from 'prop-types';
import { LottieAnimationProps } from '../../atom/lottie-wrapper/prop-types';
import { CongratsCardProps } from '../../molecule/review-card-congrats/prop-types';
declare const propTypes: {
    'aria-label': PropTypes.Requireable<string>;
    'data-name': PropTypes.Requireable<string>;
    animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
        'aria-label': PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        animationSrc: PropTypes.Validator<string>;
        loop: PropTypes.Requireable<boolean>;
        rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
            hideOnTransparent: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
        }>>;
        height: PropTypes.Requireable<number>;
        width: PropTypes.Requireable<number>;
        className: PropTypes.Requireable<string>;
        autoplay: PropTypes.Requireable<boolean>;
        animationControl: PropTypes.Requireable<string>;
    }>>;
    title: PropTypes.Requireable<string>;
    cardCongratsStar: PropTypes.Requireable<PropTypes.InferProps<{
        'aria-label': PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            animationSrc: PropTypes.Validator<string>;
            loop: PropTypes.Requireable<boolean>;
            rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
                hideOnTransparent: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
            }>>;
            height: PropTypes.Requireable<number>;
            width: PropTypes.Requireable<number>;
            className: PropTypes.Requireable<string>;
            autoplay: PropTypes.Requireable<boolean>;
            animationControl: PropTypes.Requireable<string>;
        }>>;
        cardType: PropTypes.Requireable<string>;
        iconAriaLabel: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        reviewCardTitle: PropTypes.Requireable<string>;
        reviewCardValue: PropTypes.Requireable<string>;
        rankSuffix: PropTypes.Requireable<string>;
        timerAnimation: PropTypes.Requireable<number>;
    }>>;
    cardCongratsRank: PropTypes.Requireable<PropTypes.InferProps<{
        'aria-label': PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        animationLottie: PropTypes.Requireable<PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            animationSrc: PropTypes.Validator<string>;
            loop: PropTypes.Requireable<boolean>;
            rendererSettings: PropTypes.Requireable<PropTypes.InferProps<{
                hideOnTransparent: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
            }>>;
            height: PropTypes.Requireable<number>;
            width: PropTypes.Requireable<number>;
            className: PropTypes.Requireable<string>;
            autoplay: PropTypes.Requireable<boolean>;
            animationControl: PropTypes.Requireable<string>;
        }>>;
        cardType: PropTypes.Requireable<string>;
        iconAriaLabel: PropTypes.Requireable<string>;
        className: PropTypes.Requireable<string>;
        reviewCardTitle: PropTypes.Requireable<string>;
        reviewCardValue: PropTypes.Requireable<string>;
        rankSuffix: PropTypes.Requireable<string>;
        timerAnimation: PropTypes.Requireable<number>;
    }>>;
    buttonRevising: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        type: PropTypes.Requireable<string>;
    }>>;
    buttonRevisingSkill: PropTypes.Requireable<PropTypes.InferProps<{
        label: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        type: PropTypes.Requireable<string>;
    }>>;
};
export default propTypes;
export declare type ReviewCongratsProps = {
    'aria-label': string;
    'data-name': 'review-congrats';
    animationLottie: LottieAnimationProps;
    title: string;
    cardCongratsStar: CongratsCardProps;
    cardCongratsRank?: CongratsCardProps;
    buttonRevising?: {
        'aria-label': string;
        label: string;
        onClick: () => void;
        type: string;
    };
    buttonRevisingSkill?: {
        label: string;
        'aria-label': string;
        onClick: () => void;
        type: string;
    };
};
//# sourceMappingURL=prop-types.d.ts.map