"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _novaIcons = require("@coorpacademy/nova-icons");
var _templateContext = require("../../template/app-review/template-context");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const createStyleSheet = theme => _reactNative.StyleSheet.create({
  subtitle: {
    fontSize: theme.fontSize.xlarge,
    color: theme.colors.text.primary,
    marginBottom: theme.spacing.tiny
  },
  text: {
    fontSize: 16,
    lineHeight: 22,
    color: theme.colors.text.primary,
    opacity: 0.7,
    marginBottom: theme.spacing.base
  },
  noSkillsImage: {
    flex: 1,
    alignSelf: 'center',
    width: 320,
    height: 300
  }
});
const ReviewNoSkills = props => {
  const {
    titleNoSkills,
    textNoSkills,
    iconSkillAriaLabel
  } = props;
  const templateContext = (0, _templateContext.useTemplateContext)();
  const [styleSheet, setStylesheet] = (0, _react.useState)(null);
  const {
    theme
  } = templateContext;
  (0, _react.useEffect)(() => {
    const _stylesheet = createStyleSheet(theme);
    setStylesheet(_stylesheet);
  }, [theme]);
  if (!styleSheet) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styleSheet.subtitle
  }, titleNoSkills), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styleSheet.text
  }, textNoSkills), /*#__PURE__*/_react.default.createElement(_novaIcons.NovaCompositionCoorpacademyEmptyStateHomeRevision, {
    style: styleSheet.noSkillsImage,
    iconSkillAriaLabel: iconSkillAriaLabel
  }));
};
var _default = exports.default = ReviewNoSkills;
//# sourceMappingURL=index.native.js.map