/// <reference types="react" />
import PropTypes from 'prop-types';
export declare const propTypes: {
    items: PropTypes.Requireable<(PropTypes.InferProps<{
        checkboxWithTitle: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            checked: PropTypes.Requireable<boolean>;
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
            'aria-label': PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<PropTypes.InferProps<{
                iconName: PropTypes.Requireable<string>;
                iconColor: PropTypes.Requireable<string>;
                preset: PropTypes.Requireable<string>;
            }>>;
            customStyle: PropTypes.Requireable<{
                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
            }>;
        }>>;
        sectionTitle: PropTypes.Requireable<PropTypes.InferProps<{
            removeMargin: PropTypes.Requireable<boolean>;
            title: PropTypes.Requireable<string>;
            subtitle: PropTypes.Requireable<string>;
            type: PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
            titleSize: PropTypes.Requireable<string>;
            subtitleSize: PropTypes.Requireable<string>;
            icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
            tag: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    iconName?: import("react").Validator<string> | undefined;
                    iconColor?: import("react").Validator<string | null | undefined> | undefined;
                    backgroundColor?: import("react").Validator<string | null | undefined> | undefined;
                    gradientBackground?: import("react").Validator<boolean | null | undefined> | undefined;
                    borderRadius?: import("react").Validator<string | null | undefined> | undefined;
                    preset?: import("react").Validator<string | null | undefined> | undefined;
                    size?: import("react").Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                    customStyle?: import("react").Validator<import("react").CSSProperties | null | undefined> | undefined;
                }>>;
            }>>;
            button: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                usage: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                'aria-label': PropTypes.Requireable<string>;
                tooltipText: PropTypes.Requireable<string>;
                tooltipPlacement: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'data-testid': PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                        name: PropTypes.Validator<string>;
                        color: PropTypes.Requireable<string>;
                        backgroundColor: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<number>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                link: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    download: PropTypes.Requireable<boolean>;
                    target: PropTypes.Requireable<string>;
                }>>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: PropTypes.Requireable<boolean>;
                customLabelClassName: PropTypes.Requireable<string>;
            }>>;
            required: PropTypes.Requireable<boolean>;
        }>>;
        child: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
            childType: PropTypes.Requireable<string>;
            inputText: PropTypes.Requireable<PropTypes.InferProps<{
                theme: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<string>;
                autoFocus: PropTypes.Requireable<boolean>;
                title: PropTypes.Requireable<string>;
                placeholder: PropTypes.Requireable<string>;
                defaultValue: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                hint: PropTypes.Requireable<string>;
                error: PropTypes.Requireable<string>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                valid: PropTypes.Requireable<boolean>;
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                inputColor: PropTypes.Requireable<boolean>;
            }>>;
            title: PropTypes.Requireable<string>;
            'aria-label': PropTypes.Requireable<string>;
            'data-name': PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            childType: PropTypes.Requireable<string>;
            list: PropTypes.Requireable<(PropTypes.InferProps<{
                disableHoverTooltip: PropTypes.Requireable<boolean>;
                name: PropTypes.Requireable<string>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                onReset: PropTypes.Requireable<(...args: any[]) => any>;
                filesTypes: (props: any, propName: any, componentName: any) => Error | null;
                error: PropTypes.Requireable<string>;
                buttonAriaLabel: PropTypes.Requireable<string>;
                errorButtonLabel: PropTypes.Requireable<string>;
                labelLink: PropTypes.Requireable<string>;
                hrefLink: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                description: PropTypes.Requireable<string>;
                uploadLabel: PropTypes.Requireable<string>;
                previewLabel: PropTypes.Requireable<string>;
                previewContent: PropTypes.Requireable<PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    src: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                }>>;
                loading: PropTypes.Requireable<boolean>;
                modified: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                children: PropTypes.Requireable<(...args: any[]) => any>;
                pdfButtonLabel: PropTypes.Requireable<string>;
                pdfButtonAriaLabel: PropTypes.Requireable<string>;
                multiple: PropTypes.Requireable<boolean>;
            }> | null | undefined)[]>;
            'data-name': PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            childType: PropTypes.Requireable<string>;
            disableHoverTooltip: PropTypes.Requireable<boolean>;
            name: PropTypes.Requireable<string>;
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
            onReset: PropTypes.Requireable<(...args: any[]) => any>;
            filesTypes: (props: any, propName: any, componentName: any) => Error | null;
            error: PropTypes.Requireable<string>;
            buttonAriaLabel: PropTypes.Requireable<string>;
            errorButtonLabel: PropTypes.Requireable<string>;
            labelLink: PropTypes.Requireable<string>;
            hrefLink: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            description: PropTypes.Requireable<string>;
            uploadLabel: PropTypes.Requireable<string>;
            previewLabel: PropTypes.Requireable<string>;
            previewContent: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                src: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
            }>>;
            loading: PropTypes.Requireable<boolean>;
            modified: PropTypes.Requireable<boolean>;
            disabled: PropTypes.Requireable<boolean>;
            children: PropTypes.Requireable<(...args: any[]) => any>;
            pdfButtonLabel: PropTypes.Requireable<string>;
            pdfButtonAriaLabel: PropTypes.Requireable<string>;
            multiple: PropTypes.Requireable<boolean>;
        }> | PropTypes.InferProps<{
            childType: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            placeholder: PropTypes.Requireable<string>;
            description: PropTypes.Requireable<string>;
            hint: PropTypes.Requireable<string>;
            options: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                selected: PropTypes.Validator<boolean>;
                name: PropTypes.Validator<string>;
                value: PropTypes.Requireable<string>;
            }>>[]>;
            onChange: PropTypes.Requireable<(...args: any[]) => any>;
            onError: PropTypes.Requireable<(...args: any[]) => any>;
            multiple: PropTypes.Requireable<boolean>;
            modified: PropTypes.Requireable<boolean>;
            disabled: PropTypes.Requireable<boolean>;
            error: PropTypes.Requireable<string>;
            theme: PropTypes.Requireable<string>;
        }> | null | undefined>>;
    }> | null | undefined)[]>;
};
export declare type TitleAndCheckBoxWrapperProps = {
    child: {
        childType: 'select-multiple' | 'image-upload';
        [x: string]: unknown;
    };
    [x: string]: unknown;
};
export declare type SelectOpponentsProps = {
    items: TitleAndCheckBoxWrapperProps[];
};
export default propTypes;
//# sourceMappingURL=types.d.ts.map