"use strict";

exports.__esModule = true;
exports.themeStyle = exports.default = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _inputText = _interopRequireDefault(require("../../atom/input-text"));
var _inputTextarea = _interopRequireDefault(require("../../atom/input-textarea"));
var _iconPreview = _interopRequireDefault(require("../../molecule/icon-preview"));
var _select = require("../../atom/select");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const FormPropTypes = {
  title: _propTypes.default.string,
  subtitle: _propTypes.default.string,
  select: _propTypes.default.shape({
    title: _propTypes.default.string,
    subtitle: _propTypes.default.string,
    'data-name': _propTypes.default.string,
    field: _propTypes.default.shape({
      options: _propTypes.default.arrayOf(_propTypes.default.shape(_select.SelectOptionPropTypes)),
      'aria-label': _propTypes.default.string,
      onChange: _propTypes.default.func
    })
  }),
  inputText: _propTypes.default.shape({
    title: _propTypes.default.string,
    field: _propTypes.default.shape(_inputText.default.propTypes)
  }),
  inputTextArea: _propTypes.default.shape({
    title: _propTypes.default.string,
    field: _propTypes.default.shape(_inputTextarea.default.propTypes)
  })
};
const IconEditorPropTypes = {
  title: _propTypes.default.string.isRequired,
  iconPreview: _propTypes.default.shape(_iconPreview.default.propTypes).isRequired,
  inputText: _propTypes.default.shape(_inputText.default.propTypes).isRequired,
  buttonLink: _propTypes.default.shape({
    label: _propTypes.default.string,
    ariaLabel: _propTypes.default.string,
    'data-name': _propTypes.default.string,
    onClick: _propTypes.default.func
  })
};
const translationPropTypes = _propTypes.default.shape({
  title: _propTypes.default.string.isRequired,
  subtitle: _propTypes.default.string.isRequired,
  localesOptions: _propTypes.default.arrayOf(_propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    ref: _propTypes.default.string.isRequired,
    onClick: _propTypes.default.func.isRequired
  })).isRequired,
  items: _propTypes.default.objectOf(_propTypes.default.shape({
    title: _propTypes.default.string.isRequired,
    onEditClick: _propTypes.default.func.isRequired,
    onDeleteClick: _propTypes.default.func.isRequired
  }).isRequired),
  button: _propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    onClick: _propTypes.default.func,
    disabled: _propTypes.default.bool
  }).isRequired
});
const contentPropTypes = _propTypes.default.shape({
  title: _propTypes.default.string.isRequired,
  subtitle: _propTypes.default.string.isRequired,
  button: _propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    onClick: _propTypes.default.func.isRequired
  }).isRequired,
  list: _propTypes.default.shape({
    items: _propTypes.default.arrayOf(_propTypes.default.shape({
      ref: _propTypes.default.string.isRequired,
      title: _propTypes.default.string.isRequired,
      subtitle: _propTypes.default.string.isRequired,
      image: _propTypes.default.string.isRequired,
      tags: _propTypes.default.shape({
        label: _propTypes.default.string.isRequired,
        iconName: _propTypes.default.string.isRequired
      }).isRequired,
      checkbox: _propTypes.default.shape({
        checked: _propTypes.default.bool.isRequired,
        onChange: _propTypes.default.func.isRequired
      }).isRequired
    }).isRequired),
    search: _propTypes.default.shape({
      value: _propTypes.default.string.isRequired,
      placeholder: _propTypes.default.string.isRequired,
      onChange: _propTypes.default.func.isRequired
    }).isRequired,
    emptyResult: _propTypes.default.shape({
      title: _propTypes.default.string.isRequired,
      description: _propTypes.default.string.isRequired
    }),
    checkbox: _propTypes.default.shape({
      title: _propTypes.default.string.isRequired,
      checked: _propTypes.default.bool.isRequired,
      onChange: _propTypes.default.func.isRequired
    })
  }).isRequired
});
const SkillEditionPropTypes = {
  skillInformations: _propTypes.default.shape({
    form: _propTypes.default.shape(FormPropTypes).isRequired,
    iconEditor: _propTypes.default.shape(IconEditorPropTypes).isRequired
  }).isRequired,
  translations: translationPropTypes.isRequired,
  content: contentPropTypes.isRequired
};
var _default = exports.default = SkillEditionPropTypes;
const themeStyle = exports.themeStyle = {
  setup: 'setup',
  coorpmanager: 'coorpmanager',
  cockpit: 'cockpit',
  default: 'defaultStyle'
};
//# sourceMappingURL=types.js.map