export default WizardContents;
declare function WizardContents(props: any): JSX.Element;
declare namespace WizardContents {
    namespace propTypes {
        const isLoading: PropTypes.Requireable<boolean>;
        const wizardHeader: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }>>>;
        const actions: PropTypes.Requireable<PropTypes.InferProps<{
            bulletPointMenuButton: PropTypes.Requireable<PropTypes.InferProps<{
                buttonAriaLabel: PropTypes.Requireable<string>;
                menuAriaLabel: PropTypes.Requireable<string>;
                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                    'data-name': PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            firstButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                usage: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                'aria-label': PropTypes.Requireable<string>;
                tooltipText: PropTypes.Requireable<string>;
                tooltipPlacement: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'data-testid': PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                        name: PropTypes.Validator<string>;
                        color: PropTypes.Requireable<string>;
                        backgroundColor: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<number>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                link: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    download: PropTypes.Requireable<boolean>;
                    target: PropTypes.Requireable<string>;
                }>>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: PropTypes.Requireable<boolean>;
                customLabelClassName: PropTypes.Requireable<string>;
            }>>;
            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                usage: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                'aria-label': PropTypes.Requireable<string>;
                tooltipText: PropTypes.Requireable<string>;
                tooltipPlacement: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'data-testid': PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                        name: PropTypes.Validator<string>;
                        color: PropTypes.Requireable<string>;
                        backgroundColor: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<number>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                link: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    download: PropTypes.Requireable<boolean>;
                    target: PropTypes.Requireable<string>;
                }>>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: PropTypes.Requireable<boolean>;
                customLabelClassName: PropTypes.Requireable<string>;
            }>>;
        }>>;
        const steps: PropTypes.Requireable<(PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            done: PropTypes.Requireable<boolean>;
            current: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        const tabs: PropTypes.Requireable<(PropTypes.InferProps<{
            tab: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                href: PropTypes.Requireable<string>;
                status: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            index: PropTypes.Requireable<number>;
            isLightTab: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        const summary: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            side: PropTypes.Requireable<string>;
            sections: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                items: PropTypes.Requireable<(NonNullable<PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    value: PropTypes.Requireable<string>;
                }> | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    text: PropTypes.Requireable<string>;
                    unsaved: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    badgeList: PropTypes.Requireable<(PropTypes.InferProps<{
                        category: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    badgeAriaLabel: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    author: PropTypes.Requireable<string>;
                    unsaved: PropTypes.Requireable<boolean>;
                }> | null | undefined> | null | undefined)[]>;
                counterText: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            action: PropTypes.Requireable<PropTypes.InferProps<{
                icon: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                text: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                'aria-label': PropTypes.Requireable<string>;
            }>>;
        }>>;
        const content: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            groups: PropTypes.Validator<(PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                subtitle: PropTypes.Requireable<string>;
                titleSize: PropTypes.Requireable<string>;
                subtitleSize: PropTypes.Requireable<string>;
                fieldsLayout: PropTypes.Requireable<string>;
                groupLayout: PropTypes.Requireable<string>;
                fields: PropTypes.Requireable<((PropTypes.InferPropsInner<Pick<any, never>> & Partial<PropTypes.InferPropsInner<Pick<any, string | number | symbol>>>) | null | undefined)[]>;
            }> | null | undefined)[]>;
            disabled: PropTypes.Requireable<boolean>;
            isModified: PropTypes.Requireable<boolean>;
            isPending: PropTypes.Requireable<boolean>;
            onSubmit: PropTypes.Requireable<(...args: any[]) => any>;
            submitValue: PropTypes.Requireable<string>;
            onReset: PropTypes.Requireable<(...args: any[]) => any>;
            resetValue: PropTypes.Requireable<string>;
            back: PropTypes.Requireable<PropTypes.InferProps<{
                desc: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                link: PropTypes.Requireable<string>;
            }>>;
            tooltip: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                place: PropTypes.Requireable<string>;
            }>>;
            isLoading: PropTypes.Requireable<boolean>;
            theme: PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            languageTabs: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                selected: PropTypes.Requireable<boolean>;
                leftIcon: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                iconAriaLabel: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            inputText: PropTypes.Requireable<PropTypes.InferProps<{
                theme: PropTypes.Requireable<string>;
                autoFocus: PropTypes.Requireable<boolean>;
                title: PropTypes.Requireable<string>;
                placeholder: PropTypes.Requireable<string>;
                defaultValue: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                hint: PropTypes.Requireable<string>;
                error: PropTypes.Requireable<string>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                valid: PropTypes.Requireable<boolean>;
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                inputColor: PropTypes.Requireable<boolean>;
            }>>;
            textArea: PropTypes.Requireable<PropTypes.InferProps<{
                theme: PropTypes.Requireable<string>;
                placeholder: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                hint: PropTypes.Requireable<string>;
                error: PropTypes.Requireable<string>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                valid: PropTypes.Requireable<boolean>;
            }>>;
            cta: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnClick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
            }>>;
            'list-aria-label': PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            selectAllButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                disabled: PropTypes.Requireable<boolean>;
                'aria-label': PropTypes.Requireable<string>;
            }>>;
            isLoading: PropTypes.Requireable<boolean>;
            search: PropTypes.Requireable<PropTypes.InferProps<any>>;
            results: PropTypes.Requireable<(PropTypes.InferProps<{
                text: PropTypes.Requireable<string>;
                information: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }> | null | undefined)[]>;
            'results-aria-label': PropTypes.Requireable<string>;
            emptyMessages: PropTypes.Requireable<PropTypes.InferProps<{
                firstMessage: PropTypes.Requireable<string>;
                secondMessage: PropTypes.Requireable<string>;
            }>>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            search: PropTypes.Requireable<PropTypes.InferProps<any>>;
            isLoading: PropTypes.Requireable<boolean>;
            contentTypeFilter: PropTypes.Requireable<PropTypes.InferProps<any>>;
            courses: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
            'courses-selection-aria-label': PropTypes.Requireable<string>;
            emptyMessages: PropTypes.Requireable<PropTypes.InferProps<{
                firstMessage: PropTypes.Requireable<string>;
                secondMessage: PropTypes.Requireable<string>;
            }>>;
            switchButton: PropTypes.Requireable<PropTypes.InferProps<any>>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            inputTitle: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            totalCourses: PropTypes.Requireable<string>;
            sections: PropTypes.Requireable<(PropTypes.InferProps<{
                'aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    title: PropTypes.Requireable<string>;
                    author: PropTypes.Requireable<string>;
                    modules: PropTypes.Requireable<string>;
                    position: PropTypes.Requireable<string>;
                }>>;
                image: PropTypes.Requireable<string>;
                badgeList: PropTypes.Requireable<(PropTypes.InferProps<{
                    category: PropTypes.Requireable<string>;
                    label: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
                title: PropTypes.Requireable<string>;
                author: PropTypes.Requireable<string>;
                position: PropTypes.Requireable<number>;
                id: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            onDrop: PropTypes.Requireable<(...args: any[]) => any>;
            isLoading: PropTypes.Requireable<boolean>;
            mandatoryCoursesInput: PropTypes.Requireable<PropTypes.InferProps<{
                inputText: PropTypes.Requireable<PropTypes.InferProps<{
                    theme: PropTypes.Requireable<string>;
                    size: PropTypes.Requireable<string>;
                    autoFocus: PropTypes.Requireable<boolean>;
                    title: PropTypes.Requireable<string>;
                    placeholder: PropTypes.Requireable<string>;
                    defaultValue: PropTypes.Requireable<string>;
                    disabled: PropTypes.Requireable<boolean>;
                    value: PropTypes.Requireable<string>;
                    hint: PropTypes.Requireable<string>;
                    error: PropTypes.Requireable<string>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                    description: PropTypes.Requireable<string>;
                    modified: PropTypes.Requireable<boolean>;
                    type: PropTypes.Requireable<string>;
                    valid: PropTypes.Requireable<boolean>;
                    'aria-label': PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    inputColor: PropTypes.Requireable<boolean>;
                }>>;
                title: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
            }>>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            items: PropTypes.Requireable<(PropTypes.InferProps<{
                checkboxWithTitle: PropTypes.Requireable<PropTypes.InferProps<{
                    title: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                    checked: PropTypes.Requireable<boolean>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                    'aria-label': PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                        iconName: PropTypes.Requireable<string>;
                        iconColor: PropTypes.Requireable<string>;
                        preset: PropTypes.Requireable<string>;
                    }>>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
                sectionTitle: PropTypes.Requireable<PropTypes.InferProps<{
                    removeMargin: PropTypes.Requireable<boolean>;
                    title: PropTypes.Requireable<string>;
                    subtitle: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    titleSize: PropTypes.Requireable<string>;
                    subtitleSize: PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                    tag: PropTypes.Requireable<PropTypes.InferProps<{
                        label: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            iconName?: React.Validator<string> | undefined;
                            iconColor?: React.Validator<string | null | undefined> | undefined;
                            backgroundColor?: React.Validator<string | null | undefined> | undefined;
                            gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                            borderRadius?: React.Validator<string | null | undefined> | undefined;
                            preset?: React.Validator<string | null | undefined> | undefined;
                            size?: React.Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                            customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                        }>>;
                    }>>;
                    button: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    required: PropTypes.Requireable<boolean>;
                }>>;
                child: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                    childType: PropTypes.Requireable<string>;
                    inputText: PropTypes.Requireable<PropTypes.InferProps<{
                        theme: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<string>;
                        autoFocus: PropTypes.Requireable<boolean>;
                        title: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Requireable<string>;
                        defaultValue: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        value: PropTypes.Requireable<string>;
                        hint: PropTypes.Requireable<string>;
                        error: PropTypes.Requireable<string>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        description: PropTypes.Requireable<string>;
                        modified: PropTypes.Requireable<boolean>;
                        type: PropTypes.Requireable<string>;
                        valid: PropTypes.Requireable<boolean>;
                        'aria-label': PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        inputColor: PropTypes.Requireable<boolean>;
                    }>>;
                    title: PropTypes.Requireable<string>;
                    'aria-label': PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                }> | PropTypes.InferProps<{
                    childType: PropTypes.Requireable<string>;
                    list: PropTypes.Requireable<(PropTypes.InferProps<{
                        disableHoverTooltip: PropTypes.Requireable<boolean>;
                        name: PropTypes.Requireable<string>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onReset: PropTypes.Requireable<(...args: any[]) => any>;
                        filesTypes: (props: any, propName: any, componentName: any) => Error | null;
                        error: PropTypes.Requireable<string>;
                        buttonAriaLabel: PropTypes.Requireable<string>;
                        errorButtonLabel: PropTypes.Requireable<string>;
                        labelLink: PropTypes.Requireable<string>;
                        hrefLink: PropTypes.Requireable<string>;
                        title: PropTypes.Requireable<string>;
                        description: PropTypes.Requireable<string>;
                        uploadLabel: PropTypes.Requireable<string>;
                        previewLabel: PropTypes.Requireable<string>;
                        previewContent: PropTypes.Requireable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            src: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                        }>>;
                        loading: PropTypes.Requireable<boolean>;
                        modified: PropTypes.Requireable<boolean>;
                        disabled: PropTypes.Requireable<boolean>;
                        children: PropTypes.Requireable<(...args: any[]) => any>;
                        pdfButtonLabel: PropTypes.Requireable<string>;
                        pdfButtonAriaLabel: PropTypes.Requireable<string>;
                        multiple: PropTypes.Requireable<boolean>;
                    }> | null | undefined)[]>;
                    'data-name': PropTypes.Requireable<string>;
                }> | PropTypes.InferProps<{
                    childType: PropTypes.Requireable<string>;
                    disableHoverTooltip: PropTypes.Requireable<boolean>;
                    name: PropTypes.Requireable<string>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                    onReset: PropTypes.Requireable<(...args: any[]) => any>;
                    filesTypes: (props: any, propName: any, componentName: any) => Error | null;
                    error: PropTypes.Requireable<string>;
                    buttonAriaLabel: PropTypes.Requireable<string>;
                    errorButtonLabel: PropTypes.Requireable<string>;
                    labelLink: PropTypes.Requireable<string>;
                    hrefLink: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    description: PropTypes.Requireable<string>;
                    uploadLabel: PropTypes.Requireable<string>;
                    previewLabel: PropTypes.Requireable<string>;
                    previewContent: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        src: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                    }>>;
                    loading: PropTypes.Requireable<boolean>;
                    modified: PropTypes.Requireable<boolean>;
                    disabled: PropTypes.Requireable<boolean>;
                    children: PropTypes.Requireable<(...args: any[]) => any>;
                    pdfButtonLabel: PropTypes.Requireable<string>;
                    pdfButtonAriaLabel: PropTypes.Requireable<string>;
                    multiple: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    childType: PropTypes.Requireable<string>;
                    title: PropTypes.Requireable<string>;
                    placeholder: PropTypes.Requireable<string>;
                    description: PropTypes.Requireable<string>;
                    hint: PropTypes.Requireable<string>;
                    options: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                        selected: PropTypes.Validator<boolean>;
                        name: PropTypes.Validator<string>;
                        value: PropTypes.Requireable<string>;
                    }>>[]>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                    onError: PropTypes.Requireable<(...args: any[]) => any>;
                    multiple: PropTypes.Requireable<boolean>;
                    modified: PropTypes.Requireable<boolean>;
                    disabled: PropTypes.Requireable<boolean>;
                    error: PropTypes.Requireable<string>;
                    theme: PropTypes.Requireable<string>;
                }> | null | undefined>>;
            }> | null | undefined)[]>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            columns: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Validator<string>;
            }> | null | undefined)[]>;
            rows: PropTypes.Requireable<(PropTypes.InferProps<{
                fields: PropTypes.Requireable<(NonNullable<string | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    current: PropTypes.Requireable<boolean>;
                    selected: PropTypes.Requireable<boolean>;
                    icon: PropTypes.Requireable<string>;
                    value: PropTypes.Requireable<string>;
                }> | null | undefined> | null | undefined)[]>;
                isRowExpandible: PropTypes.Requireable<boolean>;
                lastField: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    disabled: PropTypes.Requireable<boolean>;
                    buttonAriaLabel: PropTypes.Requireable<string>;
                    menuAriaLabel: PropTypes.Requireable<string>;
                    buttons: PropTypes.Validator<(PropTypes.InferProps<{
                        'data-name': PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        label: PropTypes.Validator<string>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        type: PropTypes.Requireable<string>;
                        buttonLinkType: PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            theme: PropTypes.Requireable<string>;
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                    menuButtonClassName: PropTypes.Requireable<string>;
                    isBulkMenu: PropTypes.Requireable<boolean>;
                }> | null | undefined>>;
            }> | null | undefined)[]>;
            stickyFirstColumn: PropTypes.Requireable<boolean>;
            stickyLastColumn: PropTypes.Requireable<boolean>;
            columnWidth: PropTypes.Requireable<string>;
            ariaDescribedby: PropTypes.Requireable<string>;
            lastField: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                componentType: PropTypes.Requireable<string>;
                type: PropTypes.Requireable<string>;
                usage: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                'aria-label': PropTypes.Requireable<string>;
                tooltipText: PropTypes.Requireable<string>;
                tooltipPlacement: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'data-testid': PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                        name: PropTypes.Validator<string>;
                        color: PropTypes.Requireable<string>;
                        backgroundColor: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<number>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                link: PropTypes.Requireable<PropTypes.InferProps<{
                    href: PropTypes.Requireable<string>;
                    download: PropTypes.Requireable<boolean>;
                    target: PropTypes.Requireable<string>;
                }>>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                useTitle: PropTypes.Requireable<boolean>;
                customLabelClassName: PropTypes.Requireable<string>;
            }> | PropTypes.InferProps<{
                componentType: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                buttonAriaLabel: PropTypes.Requireable<string>;
                menuAriaLabel: PropTypes.Requireable<string>;
                buttons: PropTypes.Validator<(PropTypes.InferProps<{
                    'data-name': PropTypes.Requireable<string>;
                    disabled: PropTypes.Requireable<boolean>;
                    label: PropTypes.Validator<string>;
                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                    type: PropTypes.Requireable<string>;
                    buttonLinkType: PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                        theme: PropTypes.Requireable<string>;
                        position: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                            name: PropTypes.Validator<string>;
                            color: PropTypes.Requireable<string>;
                            backgroundColor: PropTypes.Requireable<string>;
                            size: PropTypes.Requireable<number>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                    }>>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    customLabelClassName: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                menuButtonClassName: PropTypes.Requireable<string>;
                isBulkMenu: PropTypes.Requireable<boolean>;
            }> | null | undefined>>;
            isNestedTable: PropTypes.Requireable<boolean>;
            emptyStateFirstMessage: PropTypes.Requireable<string>;
            emptyStateSecondMessage: PropTypes.Requireable<string>;
        }> | PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            mainText: PropTypes.Requireable<string>;
            subText: PropTypes.Requireable<string>;
            imageUrl: PropTypes.Requireable<any>;
            progression: PropTypes.Requireable<number>;
            firstButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                ariaLabel: PropTypes.Requireable<string>;
                dataName: PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                label: PropTypes.Requireable<string>;
                ariaLabel: PropTypes.Requireable<string>;
                dataName: PropTypes.Requireable<string>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>>;
        }> | null | undefined>>;
        const previousStep: PropTypes.Requireable<PropTypes.InferProps<{
            label: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
        const nextStep: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            label: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
    }
}
import PropTypes from "prop-types";
import React from "react";
//# sourceMappingURL=index.d.ts.map