export default SlidesPlayer;
declare function SlidesPlayer(props: any, context: any): JSX.Element;
declare namespace SlidesPlayer {
    export { CONTENT_TYPE as TYPE };
    export namespace contextTypes {
        const translate: PropTypes.Requireable<(...args: any[]) => any>;
        const skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    }
    export namespace propTypes {
        import cta = cta;
        export { cta };
        import step = step;
        export { step };
        export const buttons: PropTypes.Requireable<(PropTypes.InferProps<{
            disabled: PropTypes.Requireable<boolean>;
            notify: PropTypes.Requireable<boolean>;
            selected: PropTypes.Requireable<boolean>;
            highlighted: PropTypes.Requireable<boolean>;
            title: PropTypes.Requireable<string>;
            type: PropTypes.Validator<string>;
            onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
            onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }> | null | undefined)[]>;
        export const header: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            content: PropTypes.Requireable<PropTypes.InferProps<{
                href: PropTypes.Requireable<string>;
                title: PropTypes.Validator<string>;
                details: PropTypes.Requireable<string>;
            }>>;
            subcontent: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                details: PropTypes.Requireable<string>;
            }>>;
            lives: PropTypes.Requireable<PropTypes.InferProps<{
                count: PropTypes.Requireable<number>;
            }>>;
            mode: PropTypes.Requireable<string>;
        }>>;
        export const showNewMedia: PropTypes.Requireable<boolean>;
        export const showReviewLesson: PropTypes.Requireable<boolean>;
        export { SrcPropType as backgroundUrl };
        export const popinError: PropTypes.Requireable<PropTypes.InferProps<{
            content: PropTypes.Requireable<string>;
            mode: PropTypes.Requireable<string>;
            header: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<PropTypes.InferProps<{
                    title: PropTypes.Requireable<string>;
                    subtitle: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    titleSize: PropTypes.Requireable<string>;
                    subtitleSize: PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                    tag: PropTypes.Requireable<PropTypes.InferProps<{
                        label: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            iconName?: React.Validator<string> | undefined;
                            iconColor?: React.Validator<string | null | undefined> | undefined;
                            backgroundColor?: React.Validator<string | null | undefined> | undefined;
                            gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                            borderRadius?: React.Validator<string | null | undefined> | undefined;
                            preset?: React.Validator<string | null | undefined> | undefined;
                            size?: React.Validator<import("../../../../atom/icon").IconSize | null | undefined> | undefined;
                            customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                        }>>;
                    }>>;
                    button: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    required: PropTypes.Requireable<boolean>;
                }>>;
                headerIcon: PropTypes.Requireable<string>;
                backgroundImage: PropTypes.Requireable<string>;
            }>>;
            firstButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            secondButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
            }>>;
            thirdButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            onClose: PropTypes.Requireable<(...args: any[]) => any>;
            icon: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                iconName: PropTypes.Validator<string>;
                iconColor: PropTypes.Requireable<string>;
                backgroundColor: PropTypes.Requireable<string>;
                gradientBackground: PropTypes.Requireable<boolean>;
                borderRadius: PropTypes.Requireable<string>;
                preset: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<PropTypes.InferProps<{
                    faSize: PropTypes.Validator<number>;
                    wrapperSize: PropTypes.Validator<number>;
                }>>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }> | null | undefined>>;
            backgroundImageUrl: PropTypes.Requireable<string>;
            descriptionText: PropTypes.Requireable<string>;
            cookieTitle: PropTypes.Requireable<string>;
            headerSubtitle: PropTypes.Requireable<string>;
            descriptionBtnTxt: PropTypes.Requireable<string>;
            listBtnSwicth: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                id: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                'aria-labelledby': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                titlePosition: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                details: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                requiredSelection: PropTypes.Requireable<boolean>;
                icon: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            items: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                list: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                    list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: string | null | undefined;
                    }>;
                    loading: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    'aria-label': PropTypes.Requireable<string>;
                    buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    selectMultiple: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Requireable<string>;
                        description: PropTypes.Requireable<string>;
                        hint: PropTypes.Requireable<string>;
                        options: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            selected: PropTypes.Validator<boolean>;
                            name: PropTypes.Validator<string>;
                            value: PropTypes.Requireable<string>;
                        }>>[]>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onError: PropTypes.Requireable<(...args: any[]) => any>;
                        multiple: PropTypes.Requireable<boolean>;
                        modified: PropTypes.Requireable<boolean>;
                        disabled: PropTypes.Requireable<boolean>;
                        error: PropTypes.Requireable<string>;
                        theme: PropTypes.Requireable<string>;
                    }>>;
                    content: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                        items: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                            subtitle: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            provider: PropTypes.Requireable<PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }>>;
                            selected: PropTypes.Requireable<boolean>;
                            selectedColor: PropTypes.Requireable<string>;
                            dataColumns: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                className: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            bulletPointMenuButton: PropTypes.Requireable<PropTypes.InferProps<{
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            tags: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            disabled: PropTypes.Requireable<boolean>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            isBulkStyle: PropTypes.Requireable<boolean>;
                            isOverflowHidden: PropTypes.Requireable<boolean>;
                            order: PropTypes.Requireable<number>;
                            'aria-label': PropTypes.Requireable<string>;
                            contentType: PropTypes.Requireable<string>;
                            id: PropTypes.Requireable<string>;
                            leftIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                iconName: PropTypes.Requireable<string>;
                                iconColor: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                borderRadius: PropTypes.Requireable<string>;
                                preset: PropTypes.Requireable<string>;
                                gradientBackground: PropTypes.Requireable<boolean>;
                                size: PropTypes.Requireable<number>;
                                wrapperSize: PropTypes.Requireable<number>;
                            }>>;
                            image: PropTypes.Requireable<string>;
                            checkbox: PropTypes.Requireable<PropTypes.InferProps<{
                                title: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                                checked: PropTypes.Requireable<boolean>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                'aria-label': PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    iconName: PropTypes.Requireable<string>;
                                    iconColor: PropTypes.Requireable<string>;
                                    preset: PropTypes.Requireable<string>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }> | null | undefined)[]>;
                        type: PropTypes.Requireable<string>;
                        itemType: PropTypes.Requireable<string>;
                        onDrop: PropTypes.Requireable<(...args: any[]) => any>;
                        isDraggable: PropTypes.Requireable<boolean>;
                        tableHeader: PropTypes.Requireable<(string | null | undefined)[]>;
                        emptyResult: PropTypes.Requireable<PropTypes.InferProps<{
                            title: PropTypes.Requireable<string>;
                            description: PropTypes.Requireable<string>;
                            button: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                usage: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                'aria-label': PropTypes.Requireable<string>;
                                tooltipText: PropTypes.Requireable<string>;
                                tooltipPlacement: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                'data-testid': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                link: PropTypes.Requireable<PropTypes.InferProps<{
                                    href: PropTypes.Requireable<string>;
                                    download: PropTypes.Requireable<boolean>;
                                    target: PropTypes.Requireable<string>;
                                }>>;
                                hoverBackgroundColor: PropTypes.Requireable<string>;
                                hoverColor: PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                className: PropTypes.Requireable<string>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: PropTypes.Requireable<boolean>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | PropTypes.InferProps<{
                                button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    type: PropTypes.Requireable<string>;
                                    usage: PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    tooltipText: PropTypes.Requireable<string>;
                                    tooltipPlacement: PropTypes.Requireable<string>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'data-testid': PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    link: PropTypes.Requireable<PropTypes.InferProps<{
                                        href: PropTypes.Requireable<string>;
                                        download: PropTypes.Requireable<boolean>;
                                        target: PropTypes.Requireable<string>;
                                    }>>;
                                    hoverBackgroundColor: PropTypes.Requireable<string>;
                                    hoverColor: PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    className: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    useTitle: PropTypes.Requireable<boolean>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }>>>;
                                menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                        'data-name': PropTypes.Requireable<string>;
                                        disabled: PropTypes.Requireable<boolean>;
                                        label: PropTypes.Validator<string>;
                                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                        type: PropTypes.Requireable<string>;
                                        buttonLinkType: PropTypes.Requireable<string>;
                                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                                            theme: PropTypes.Requireable<string>;
                                            position: PropTypes.Requireable<string>;
                                            type: PropTypes.Requireable<string>;
                                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                                name: PropTypes.Validator<string>;
                                                color: PropTypes.Requireable<string>;
                                                backgroundColor: PropTypes.Requireable<string>;
                                                size: PropTypes.Requireable<number>;
                                                customStyle: PropTypes.Requireable<{
                                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                }>;
                                            }>>;
                                        }>>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                        customLabelClassName: PropTypes.Requireable<string>;
                                    }> | null | undefined)[]>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    enableScroll: PropTypes.Requireable<boolean>;
                                }>>>;
                                menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                                    ariaLabel: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                                type: PropTypes.Requireable<string>;
                                primaryColor: PropTypes.Requireable<string>;
                                closeOnClick: PropTypes.Requireable<boolean>;
                                enableScroll: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }>>;
                    }> | PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        columns: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                        }> | null | undefined)[]>;
                        rows: PropTypes.Requireable<(PropTypes.InferProps<{
                            fields: PropTypes.Requireable<(NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                current: PropTypes.Requireable<boolean>;
                                selected: PropTypes.Requireable<boolean>;
                                icon: PropTypes.Requireable<string>;
                                value: PropTypes.Requireable<string>;
                            }> | null | undefined> | null | undefined)[]>;
                            isRowExpandible: PropTypes.Requireable<boolean>;
                            lastField: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    label: PropTypes.Validator<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    type: PropTypes.Requireable<string>;
                                    buttonLinkType: PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        theme: PropTypes.Requireable<string>;
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                menuButtonClassName: PropTypes.Requireable<string>;
                                isBulkMenu: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }> | null | undefined)[]>;
                        stickyFirstColumn: PropTypes.Requireable<boolean>;
                        stickyLastColumn: PropTypes.Requireable<boolean>;
                        columnWidth: PropTypes.Requireable<string>;
                        ariaDescribedby: PropTypes.Requireable<string>;
                        lastField: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }> | PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            buttonAriaLabel: PropTypes.Requireable<string>;
                            menuAriaLabel: PropTypes.Requireable<string>;
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            menuButtonClassName: PropTypes.Requireable<string>;
                            isBulkMenu: PropTypes.Requireable<boolean>;
                        }> | null | undefined>>;
                        isNestedTable: PropTypes.Requireable<boolean>;
                        emptyStateFirstMessage: PropTypes.Requireable<string>;
                        emptyStateSecondMessage: PropTypes.Requireable<string>;
                    }> | null | undefined>>;
                    title: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        subtitle: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        titleSize: PropTypes.Requireable<string>;
                        subtitleSize: PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                        tag: PropTypes.Requireable<PropTypes.InferProps<{
                            label: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            size: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                iconName?: React.Validator<string> | undefined;
                                iconColor?: React.Validator<string | null | undefined> | undefined;
                                backgroundColor?: React.Validator<string | null | undefined> | undefined;
                                gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                                borderRadius?: React.Validator<string | null | undefined> | undefined;
                                preset?: React.Validator<string | null | undefined> | undefined;
                                size?: React.Validator<import("../../../../atom/icon").IconSize | null | undefined> | undefined;
                                customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                            }>>;
                        }>>;
                        button: PropTypes.Requireable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>;
                        required: PropTypes.Requireable<boolean>;
                    }> | null | undefined>>;
                    isFetching: PropTypes.Requireable<boolean>;
                    search: PropTypes.Requireable<PropTypes.InferProps<{
                        value: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Validator<string>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onClear: PropTypes.Requireable<(...args: any[]) => any>;
                        onFocus: PropTypes.Requireable<(...args: any[]) => any>;
                        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
                        theme: PropTypes.Requireable<string>;
                        dataTestId: PropTypes.Requireable<string>;
                    }>>;
                    checkboxWithTitle: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        name: PropTypes.Requireable<string>;
                        checked: PropTypes.Requireable<boolean>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        'aria-label': PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            iconName: PropTypes.Requireable<string>;
                            iconColor: PropTypes.Requireable<string>;
                            preset: PropTypes.Requireable<string>;
                        }>>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                    actionButtons: PropTypes.Requireable<(PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    buttonMenuAction: PropTypes.Requireable<PropTypes.InferProps<{
                        button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>>;
                        menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            'data-name': PropTypes.Requireable<string>;
                            'aria-label': PropTypes.Requireable<string>;
                            enableScroll: PropTypes.Requireable<boolean>;
                        }>>>;
                        menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                            ariaLabel: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                            }>;
                        }>>;
                        type: PropTypes.Requireable<string>;
                        primaryColor: PropTypes.Requireable<string>;
                        closeOnClick: PropTypes.Requireable<boolean>;
                        enableScroll: PropTypes.Requireable<boolean>;
                    }>>;
                }> | null | undefined>>;
            }>>;
            link: PropTypes.Requireable<PropTypes.InferProps<{
                children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                className: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                target: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                download: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
                useButtonTag: PropTypes.Requireable<boolean>;
                style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
                disabled: PropTypes.Requireable<boolean>;
            }>>;
        }>>;
    }
}
declare namespace CONTENT_TYPE {
    export { AnswerContent as answer };
    export { ClueContent as clue };
    export { ContextContent as context };
    export { MediaContent as media };
}
import PropTypes from "prop-types";
declare function ValidateButton({ cta }: {
    cta?: {} | undefined;
}): JSX.Element | null;
declare namespace ValidateButton {
    export namespace propTypes_1 {
        const cta_1: PropTypes.Requireable<PropTypes.InferProps<{
            'aria-label': PropTypes.Requireable<string>;
            submitValue: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            href: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            target: PropTypes.Requireable<string>;
            name: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            light: PropTypes.Requireable<boolean>;
            secondary: PropTypes.Requireable<boolean>;
            small: PropTypes.Requireable<boolean>;
            className: PropTypes.Requireable<string>;
            logout: PropTypes.Requireable<boolean>;
            rectangular: PropTypes.Requireable<boolean>;
            fullWidth: PropTypes.Requireable<boolean>;
            certificationButton: PropTypes.Requireable<boolean>;
            useButtonTag: PropTypes.Requireable<boolean>;
        }>>;
        export { cta_1 as cta };
    }
    export { propTypes_1 as propTypes };
}
declare function Step({ step, color }: {
    step: any;
    color: any;
}): JSX.Element;
declare namespace Step {
    export namespace propTypes_2 {
        const step_1: PropTypes.Requireable<PropTypes.InferProps<{
            current: PropTypes.Validator<number>;
            total: PropTypes.Requireable<number>;
        }>>;
        export { step_1 as step };
        export { ColorPropType as color };
    }
    export { propTypes_2 as propTypes };
}
import { SrcPropType } from "../../../../util/proptypes";
import React from "react";
declare function AnswerContent({ answerType, help, question }: {
    answerType: any;
    help: any;
    question: any;
}): JSX.Element;
declare namespace AnswerContent {
    export namespace propTypes_3 {
        const answerType: PropTypes.Requireable<PropTypes.InferProps<{
            model: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                type: PropTypes.Validator<string>;
                answer: PropTypes.Requireable<(PropTypes.InferProps<{
                    title: PropTypes.Validator<string>;
                    'aria-label': PropTypes.Requireable<string>;
                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                    onChange: PropTypes.Requireable<(...args: any[]) => any>;
                    selected: PropTypes.Requireable<boolean>;
                    image: PropTypes.Requireable<string>;
                    options: PropTypes.Requireable<(PropTypes.InferProps<{
                        name: PropTypes.Requireable<string>;
                        selected: PropTypes.Requireable<boolean>;
                        validOption: PropTypes.Requireable<boolean>;
                        value: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    type: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                }> | null | undefined)[]>;
            }>>>;
            help: PropTypes.Requireable<string>;
            question: PropTypes.Requireable<string>;
            media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                type: PropTypes.Validator<string>;
                id: PropTypes.Requireable<string>;
                width: PropTypes.Requireable<string>;
                height: PropTypes.Requireable<string>;
                url: PropTypes.Requireable<any>;
                onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                onResume: PropTypes.Requireable<(...args: any[]) => any>;
                onPause: PropTypes.Requireable<(...args: any[]) => any>;
                onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                onError: PropTypes.Requireable<(...args: any[]) => any>;
                autoplay: PropTypes.Requireable<boolean>;
                disableAutostart: PropTypes.Requireable<boolean>;
                loading: PropTypes.Requireable<boolean>;
                jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                    file: PropTypes.Requireable<any>;
                    customProps: PropTypes.Requireable<PropTypes.InferProps<{
                        aspectratio: PropTypes.Requireable<string>;
                        tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                            file: PropTypes.Requireable<any>;
                            label: PropTypes.Requireable<string>;
                            kind: PropTypes.Requireable<string>;
                            default: PropTypes.Requireable<boolean>;
                        }> | null | undefined)[]>;
                        autostart: PropTypes.Requireable<string>;
                        width: PropTypes.Requireable<string>;
                        skin: PropTypes.Requireable<PropTypes.InferProps<{
                            name: PropTypes.Requireable<string>;
                        }>>;
                    }>>;
                    licenseKey: PropTypes.Validator<string>;
                    playerScript: PropTypes.Validator<any>;
                    playerId: PropTypes.Validator<string>;
                }>>;
                mimeType: PropTypes.Validator<string>;
            }> | PropTypes.InferProps<{
                type: PropTypes.Validator<string>;
                url: PropTypes.Validator<string>;
            }> | PropTypes.InferProps<{
                type: PropTypes.Validator<string>;
                mediaUrl: PropTypes.Validator<string>;
            }> | null | undefined>>;
        }>>;
        const help: PropTypes.Requireable<string>;
        const question: PropTypes.Requireable<string>;
    }
    export { propTypes_3 as propTypes };
}
declare function ClueContent(props: any, context: any): JSX.Element;
declare namespace ClueContent {
    export namespace propTypes_4 {
        const text: PropTypes.Requireable<string>;
        const starsDiff: PropTypes.Requireable<number>;
        const onClickSeeClue: PropTypes.Requireable<(...args: any[]) => any>;
    }
    export { propTypes_4 as propTypes };
}
declare function ContextContent({ slideContext }: {
    slideContext: any;
}): JSX.Element;
declare namespace ContextContent {
    export namespace propTypes_5 {
        const slideContext: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            description: PropTypes.Requireable<string>;
            media: PropTypes.Requireable<PropTypes.InferProps<{
                media: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    src: PropTypes.Requireable<(PropTypes.InferProps<{
                        _id: PropTypes.Requireable<string>;
                        url: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                }> | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    description: PropTypes.Requireable<string>;
                    mediaUrl: PropTypes.Requireable<string>;
                    poster: PropTypes.Requireable<string>;
                    onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                }> | PropTypes.InferProps<{
                    type: PropTypes.Requireable<string>;
                    src: PropTypes.Requireable<(PropTypes.InferProps<{
                        id: PropTypes.Requireable<string>;
                        width: PropTypes.Requireable<string>;
                        height: PropTypes.Requireable<string>;
                        url: PropTypes.Requireable<any>;
                        onPlay: PropTypes.Requireable<(...args: any[]) => any>;
                        onResume: PropTypes.Requireable<(...args: any[]) => any>;
                        onPause: PropTypes.Requireable<(...args: any[]) => any>;
                        onEnded: PropTypes.Requireable<(...args: any[]) => any>;
                        onError: PropTypes.Requireable<(...args: any[]) => any>;
                        autoplay: PropTypes.Requireable<boolean>;
                        disableAutostart: PropTypes.Requireable<boolean>;
                        loading: PropTypes.Requireable<boolean>;
                        jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                            file: PropTypes.Requireable<any>;
                            customProps: PropTypes.Requireable<PropTypes.InferProps<{
                                aspectratio: PropTypes.Requireable<string>;
                                tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                                    file: PropTypes.Requireable<any>;
                                    label: PropTypes.Requireable<string>;
                                    kind: PropTypes.Requireable<string>;
                                    default: PropTypes.Requireable<boolean>;
                                }> | null | undefined)[]>;
                                autostart: PropTypes.Requireable<string>;
                                width: PropTypes.Requireable<string>;
                                skin: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Requireable<string>;
                                }>>;
                            }>>;
                            licenseKey: PropTypes.Validator<string>;
                            playerScript: PropTypes.Validator<any>;
                            playerId: PropTypes.Validator<string>;
                        }>>;
                        mimeType: PropTypes.Validator<string>;
                    }> | null | undefined)[]>;
                }> | null | undefined>>;
            }>>;
        }>>;
    }
    export { propTypes_5 as propTypes };
}
declare function MediaContent(props: any, context: any): JSX.Element;
declare namespace MediaContent {
    export namespace propTypes_6 {
        export const resources: PropTypes.Requireable<(PropTypes.InferProps<Partial<{
            type: PropTypes.Requireable<string>;
            selected: PropTypes.Requireable<boolean>;
            description: PropTypes.Requireable<string>;
            poster: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
        }>> | null | undefined)[]>;
        const starsDiff_1: PropTypes.Requireable<number>;
        export { starsDiff_1 as starsDiff };
    }
    export { propTypes_6 as propTypes };
    export namespace contextTypes_1 {
        const translate_1: PropTypes.Requireable<(...args: any[]) => any>;
        export { translate_1 as translate };
    }
    export { contextTypes_1 as contextTypes };
}
import { ColorPropType } from "../../../../util/proptypes";
//# sourceMappingURL=index.d.ts.map