import React from 'react';
import { AppReviewProps } from './prop-types';
declare const AppReview: {
    ({ viewName, slides }: AppReviewProps): JSX.Element;
    propTypes: {
        viewName: import("prop-types").Requireable<string>;
        slides: import("prop-types").Requireable<import("prop-types").InferProps<{
            header: import("prop-types").Requireable<import("prop-types").InferProps<{
                steps: import("prop-types").Requireable<(import("prop-types").InferProps<{
                    current: import("prop-types").Requireable<boolean>;
                    selected: import("prop-types").Requireable<boolean>;
                    icon: import("prop-types").Requireable<string>;
                    value: import("prop-types").Requireable<string>;
                }> | null | undefined)[]>;
                mode: import("prop-types").Validator<string>;
                skillName: import("prop-types").Validator<string>;
                'aria-label': import("prop-types").Requireable<string>;
                closeButtonAriaLabel: import("prop-types").Requireable<string>;
                onQuitClick: import("prop-types").Requireable<(...args: any[]) => any>;
                hiddenSteps: import("prop-types").Requireable<boolean>;
            }>>;
            stack: import("prop-types").Requireable<import("prop-types").InferProps<{
                validateButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Validator<string>;
                    onClick: import("prop-types").Validator<(...args: any[]) => any>;
                    disabled: import("prop-types").Requireable<boolean>;
                }>>;
                correctionPopinProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                    klf: import("prop-types").Requireable<import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        tooltip: import("prop-types").Requireable<string>;
                    }>>;
                    information: import("prop-types").Requireable<import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        message: import("prop-types").Requireable<string>;
                    }>>;
                    next: import("prop-types").Requireable<import("prop-types").InferProps<{
                        label: import("prop-types").Requireable<string>;
                        'aria-label': import("prop-types").Requireable<string>;
                    }>>;
                    resultLabel: import("prop-types").Requireable<string>;
                    type: import("prop-types").Requireable<string>;
                }>>;
                slides: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                    '0': import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<number>;
                        loading: import("prop-types").Requireable<boolean>;
                        loadingAriaLabel: import("prop-types").Requireable<string>;
                        animationType: import("prop-types").Requireable<string>;
                        isCorrect: import("prop-types").Requireable<boolean>;
                        animateCorrectionPopin: import("prop-types").Requireable<boolean>;
                        showCorrectionPopin: import("prop-types").Requireable<boolean>;
                        disableContent: import("prop-types").Requireable<boolean>;
                        parentContentTitle: import("prop-types").Requireable<string>;
                        questionText: import("prop-types").Requireable<string>;
                        answerUI: import("prop-types").Requireable<import("prop-types").InferProps<{
                            model: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                answer: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    title: import("prop-types").Validator<string>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    image: import("prop-types").Requireable<string>;
                                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        name: import("prop-types").Requireable<string>;
                                        selected: import("prop-types").Requireable<boolean>;
                                        validOption: import("prop-types").Requireable<boolean>;
                                        value: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    type: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                            }>>>;
                            help: import("prop-types").Requireable<string>;
                            question: import("prop-types").Requireable<string>;
                            media: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                id: import("prop-types").Requireable<string>;
                                width: import("prop-types").Requireable<string>;
                                height: import("prop-types").Requireable<string>;
                                url: import("prop-types").Requireable<any>;
                                onPlay: import("prop-types").Requireable<(...args: any[]) => any>;
                                onResume: import("prop-types").Requireable<(...args: any[]) => any>;
                                onPause: import("prop-types").Requireable<(...args: any[]) => any>;
                                onEnded: import("prop-types").Requireable<(...args: any[]) => any>;
                                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                                autoplay: import("prop-types").Requireable<boolean>;
                                disableAutostart: import("prop-types").Requireable<boolean>;
                                loading: import("prop-types").Requireable<boolean>;
                                jwpOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    file: import("prop-types").Requireable<any>;
                                    customProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        aspectratio: import("prop-types").Requireable<string>;
                                        tracks: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                            file: import("prop-types").Requireable<any>;
                                            label: import("prop-types").Requireable<string>;
                                            kind: import("prop-types").Requireable<string>;
                                            default: import("prop-types").Requireable<boolean>;
                                        }> | null | undefined)[]>;
                                        autostart: import("prop-types").Requireable<string>;
                                        width: import("prop-types").Requireable<string>;
                                        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Requireable<string>;
                                        }>>;
                                    }>>;
                                    licenseKey: import("prop-types").Validator<string>;
                                    playerScript: import("prop-types").Validator<any>;
                                    playerId: import("prop-types").Validator<string>;
                                }>>;
                                mimeType: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                url: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                mediaUrl: import("prop-types").Validator<string>;
                            }> | null | undefined>>;
                        }>>;
                    }>>;
                    '1': import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<number>;
                        loading: import("prop-types").Requireable<boolean>;
                        loadingAriaLabel: import("prop-types").Requireable<string>;
                        animationType: import("prop-types").Requireable<string>;
                        isCorrect: import("prop-types").Requireable<boolean>;
                        animateCorrectionPopin: import("prop-types").Requireable<boolean>;
                        showCorrectionPopin: import("prop-types").Requireable<boolean>;
                        disableContent: import("prop-types").Requireable<boolean>;
                        parentContentTitle: import("prop-types").Requireable<string>;
                        questionText: import("prop-types").Requireable<string>;
                        answerUI: import("prop-types").Requireable<import("prop-types").InferProps<{
                            model: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                answer: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    title: import("prop-types").Validator<string>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    image: import("prop-types").Requireable<string>;
                                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        name: import("prop-types").Requireable<string>;
                                        selected: import("prop-types").Requireable<boolean>;
                                        validOption: import("prop-types").Requireable<boolean>;
                                        value: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    type: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                            }>>>;
                            help: import("prop-types").Requireable<string>;
                            question: import("prop-types").Requireable<string>;
                            media: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                id: import("prop-types").Requireable<string>;
                                width: import("prop-types").Requireable<string>;
                                height: import("prop-types").Requireable<string>;
                                url: import("prop-types").Requireable<any>;
                                onPlay: import("prop-types").Requireable<(...args: any[]) => any>;
                                onResume: import("prop-types").Requireable<(...args: any[]) => any>;
                                onPause: import("prop-types").Requireable<(...args: any[]) => any>;
                                onEnded: import("prop-types").Requireable<(...args: any[]) => any>;
                                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                                autoplay: import("prop-types").Requireable<boolean>;
                                disableAutostart: import("prop-types").Requireable<boolean>;
                                loading: import("prop-types").Requireable<boolean>;
                                jwpOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    file: import("prop-types").Requireable<any>;
                                    customProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        aspectratio: import("prop-types").Requireable<string>;
                                        tracks: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                            file: import("prop-types").Requireable<any>;
                                            label: import("prop-types").Requireable<string>;
                                            kind: import("prop-types").Requireable<string>;
                                            default: import("prop-types").Requireable<boolean>;
                                        }> | null | undefined)[]>;
                                        autostart: import("prop-types").Requireable<string>;
                                        width: import("prop-types").Requireable<string>;
                                        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Requireable<string>;
                                        }>>;
                                    }>>;
                                    licenseKey: import("prop-types").Validator<string>;
                                    playerScript: import("prop-types").Validator<any>;
                                    playerId: import("prop-types").Validator<string>;
                                }>>;
                                mimeType: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                url: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                mediaUrl: import("prop-types").Validator<string>;
                            }> | null | undefined>>;
                        }>>;
                    }>>;
                    '2': import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<number>;
                        loading: import("prop-types").Requireable<boolean>;
                        loadingAriaLabel: import("prop-types").Requireable<string>;
                        animationType: import("prop-types").Requireable<string>;
                        isCorrect: import("prop-types").Requireable<boolean>;
                        animateCorrectionPopin: import("prop-types").Requireable<boolean>;
                        showCorrectionPopin: import("prop-types").Requireable<boolean>;
                        disableContent: import("prop-types").Requireable<boolean>;
                        parentContentTitle: import("prop-types").Requireable<string>;
                        questionText: import("prop-types").Requireable<string>;
                        answerUI: import("prop-types").Requireable<import("prop-types").InferProps<{
                            model: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                answer: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    title: import("prop-types").Validator<string>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    image: import("prop-types").Requireable<string>;
                                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        name: import("prop-types").Requireable<string>;
                                        selected: import("prop-types").Requireable<boolean>;
                                        validOption: import("prop-types").Requireable<boolean>;
                                        value: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    type: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                            }>>>;
                            help: import("prop-types").Requireable<string>;
                            question: import("prop-types").Requireable<string>;
                            media: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                id: import("prop-types").Requireable<string>;
                                width: import("prop-types").Requireable<string>;
                                height: import("prop-types").Requireable<string>;
                                url: import("prop-types").Requireable<any>;
                                onPlay: import("prop-types").Requireable<(...args: any[]) => any>;
                                onResume: import("prop-types").Requireable<(...args: any[]) => any>;
                                onPause: import("prop-types").Requireable<(...args: any[]) => any>;
                                onEnded: import("prop-types").Requireable<(...args: any[]) => any>;
                                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                                autoplay: import("prop-types").Requireable<boolean>;
                                disableAutostart: import("prop-types").Requireable<boolean>;
                                loading: import("prop-types").Requireable<boolean>;
                                jwpOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    file: import("prop-types").Requireable<any>;
                                    customProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        aspectratio: import("prop-types").Requireable<string>;
                                        tracks: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                            file: import("prop-types").Requireable<any>;
                                            label: import("prop-types").Requireable<string>;
                                            kind: import("prop-types").Requireable<string>;
                                            default: import("prop-types").Requireable<boolean>;
                                        }> | null | undefined)[]>;
                                        autostart: import("prop-types").Requireable<string>;
                                        width: import("prop-types").Requireable<string>;
                                        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Requireable<string>;
                                        }>>;
                                    }>>;
                                    licenseKey: import("prop-types").Validator<string>;
                                    playerScript: import("prop-types").Validator<any>;
                                    playerId: import("prop-types").Validator<string>;
                                }>>;
                                mimeType: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                url: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                mediaUrl: import("prop-types").Validator<string>;
                            }> | null | undefined>>;
                        }>>;
                    }>>;
                    '3': import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<number>;
                        loading: import("prop-types").Requireable<boolean>;
                        loadingAriaLabel: import("prop-types").Requireable<string>;
                        animationType: import("prop-types").Requireable<string>;
                        isCorrect: import("prop-types").Requireable<boolean>;
                        animateCorrectionPopin: import("prop-types").Requireable<boolean>;
                        showCorrectionPopin: import("prop-types").Requireable<boolean>;
                        disableContent: import("prop-types").Requireable<boolean>;
                        parentContentTitle: import("prop-types").Requireable<string>;
                        questionText: import("prop-types").Requireable<string>;
                        answerUI: import("prop-types").Requireable<import("prop-types").InferProps<{
                            model: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                answer: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    title: import("prop-types").Validator<string>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    image: import("prop-types").Requireable<string>;
                                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        name: import("prop-types").Requireable<string>;
                                        selected: import("prop-types").Requireable<boolean>;
                                        validOption: import("prop-types").Requireable<boolean>;
                                        value: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    type: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                            }>>>;
                            help: import("prop-types").Requireable<string>;
                            question: import("prop-types").Requireable<string>;
                            media: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                id: import("prop-types").Requireable<string>;
                                width: import("prop-types").Requireable<string>;
                                height: import("prop-types").Requireable<string>;
                                url: import("prop-types").Requireable<any>;
                                onPlay: import("prop-types").Requireable<(...args: any[]) => any>;
                                onResume: import("prop-types").Requireable<(...args: any[]) => any>;
                                onPause: import("prop-types").Requireable<(...args: any[]) => any>;
                                onEnded: import("prop-types").Requireable<(...args: any[]) => any>;
                                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                                autoplay: import("prop-types").Requireable<boolean>;
                                disableAutostart: import("prop-types").Requireable<boolean>;
                                loading: import("prop-types").Requireable<boolean>;
                                jwpOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    file: import("prop-types").Requireable<any>;
                                    customProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        aspectratio: import("prop-types").Requireable<string>;
                                        tracks: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                            file: import("prop-types").Requireable<any>;
                                            label: import("prop-types").Requireable<string>;
                                            kind: import("prop-types").Requireable<string>;
                                            default: import("prop-types").Requireable<boolean>;
                                        }> | null | undefined)[]>;
                                        autostart: import("prop-types").Requireable<string>;
                                        width: import("prop-types").Requireable<string>;
                                        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Requireable<string>;
                                        }>>;
                                    }>>;
                                    licenseKey: import("prop-types").Validator<string>;
                                    playerScript: import("prop-types").Validator<any>;
                                    playerId: import("prop-types").Validator<string>;
                                }>>;
                                mimeType: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                url: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                mediaUrl: import("prop-types").Validator<string>;
                            }> | null | undefined>>;
                        }>>;
                    }>>;
                    '4': import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<number>;
                        loading: import("prop-types").Requireable<boolean>;
                        loadingAriaLabel: import("prop-types").Requireable<string>;
                        animationType: import("prop-types").Requireable<string>;
                        isCorrect: import("prop-types").Requireable<boolean>;
                        animateCorrectionPopin: import("prop-types").Requireable<boolean>;
                        showCorrectionPopin: import("prop-types").Requireable<boolean>;
                        disableContent: import("prop-types").Requireable<boolean>;
                        parentContentTitle: import("prop-types").Requireable<string>;
                        questionText: import("prop-types").Requireable<string>;
                        answerUI: import("prop-types").Requireable<import("prop-types").InferProps<{
                            model: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                answer: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    title: import("prop-types").Validator<string>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    image: import("prop-types").Requireable<string>;
                                    options: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        name: import("prop-types").Requireable<string>;
                                        selected: import("prop-types").Requireable<boolean>;
                                        validOption: import("prop-types").Requireable<boolean>;
                                        value: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    type: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                            }>>>;
                            help: import("prop-types").Requireable<string>;
                            question: import("prop-types").Requireable<string>;
                            media: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                id: import("prop-types").Requireable<string>;
                                width: import("prop-types").Requireable<string>;
                                height: import("prop-types").Requireable<string>;
                                url: import("prop-types").Requireable<any>;
                                onPlay: import("prop-types").Requireable<(...args: any[]) => any>;
                                onResume: import("prop-types").Requireable<(...args: any[]) => any>;
                                onPause: import("prop-types").Requireable<(...args: any[]) => any>;
                                onEnded: import("prop-types").Requireable<(...args: any[]) => any>;
                                onError: import("prop-types").Requireable<(...args: any[]) => any>;
                                autoplay: import("prop-types").Requireable<boolean>;
                                disableAutostart: import("prop-types").Requireable<boolean>;
                                loading: import("prop-types").Requireable<boolean>;
                                jwpOptions: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    file: import("prop-types").Requireable<any>;
                                    customProps: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        aspectratio: import("prop-types").Requireable<string>;
                                        tracks: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                            file: import("prop-types").Requireable<any>;
                                            label: import("prop-types").Requireable<string>;
                                            kind: import("prop-types").Requireable<string>;
                                            default: import("prop-types").Requireable<boolean>;
                                        }> | null | undefined)[]>;
                                        autostart: import("prop-types").Requireable<string>;
                                        width: import("prop-types").Requireable<string>;
                                        skin: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Requireable<string>;
                                        }>>;
                                    }>>;
                                    licenseKey: import("prop-types").Validator<string>;
                                    playerScript: import("prop-types").Validator<any>;
                                    playerId: import("prop-types").Validator<string>;
                                }>>;
                                mimeType: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                url: import("prop-types").Validator<string>;
                            }> | import("prop-types").InferProps<{
                                type: import("prop-types").Validator<string>;
                                mediaUrl: import("prop-types").Validator<string>;
                            }> | null | undefined>>;
                        }>>;
                    }>>;
                }>>>;
                endReview: import("prop-types").Requireable<boolean>;
            }>>;
            congrats: import("prop-types").Requireable<import("prop-types").InferProps<{
                'aria-label': import("prop-types").Requireable<string>;
                'data-name': import("prop-types").Requireable<string>;
                animationLottie: import("prop-types").Requireable<import("prop-types").InferProps<{
                    'aria-label': import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    animationSrc: import("prop-types").Validator<string>;
                    loop: import("prop-types").Requireable<boolean>;
                    rendererSettings: import("prop-types").Requireable<import("prop-types").InferProps<{
                        hideOnTransparent: import("prop-types").Requireable<boolean>;
                        className: import("prop-types").Requireable<string>;
                    }>>;
                    height: import("prop-types").Requireable<number>;
                    width: import("prop-types").Requireable<number>;
                    className: import("prop-types").Requireable<string>;
                    autoplay: import("prop-types").Requireable<boolean>;
                    animationControl: import("prop-types").Requireable<string>;
                }>>;
                title: import("prop-types").Requireable<string>;
                cardCongratsStar: import("prop-types").Requireable<import("prop-types").InferProps<{
                    'aria-label': import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    animationLottie: import("prop-types").Requireable<import("prop-types").InferProps<{
                        'aria-label': import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        animationSrc: import("prop-types").Validator<string>;
                        loop: import("prop-types").Requireable<boolean>;
                        rendererSettings: import("prop-types").Requireable<import("prop-types").InferProps<{
                            hideOnTransparent: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                        }>>;
                        height: import("prop-types").Requireable<number>;
                        width: import("prop-types").Requireable<number>;
                        className: import("prop-types").Requireable<string>;
                        autoplay: import("prop-types").Requireable<boolean>;
                        animationControl: import("prop-types").Requireable<string>;
                    }>>;
                    cardType: import("prop-types").Requireable<string>;
                    iconAriaLabel: import("prop-types").Requireable<string>;
                    className: import("prop-types").Requireable<string>;
                    reviewCardTitle: import("prop-types").Requireable<string>;
                    reviewCardValue: import("prop-types").Requireable<string>;
                    rankSuffix: import("prop-types").Requireable<string>;
                    timerAnimation: import("prop-types").Requireable<number>;
                }>>;
                cardCongratsRank: import("prop-types").Requireable<import("prop-types").InferProps<{
                    'aria-label': import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    animationLottie: import("prop-types").Requireable<import("prop-types").InferProps<{
                        'aria-label': import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        animationSrc: import("prop-types").Validator<string>;
                        loop: import("prop-types").Requireable<boolean>;
                        rendererSettings: import("prop-types").Requireable<import("prop-types").InferProps<{
                            hideOnTransparent: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                        }>>;
                        height: import("prop-types").Requireable<number>;
                        width: import("prop-types").Requireable<number>;
                        className: import("prop-types").Requireable<string>;
                        autoplay: import("prop-types").Requireable<boolean>;
                        animationControl: import("prop-types").Requireable<string>;
                    }>>;
                    cardType: import("prop-types").Requireable<string>;
                    iconAriaLabel: import("prop-types").Requireable<string>;
                    className: import("prop-types").Requireable<string>;
                    reviewCardTitle: import("prop-types").Requireable<string>;
                    reviewCardValue: import("prop-types").Requireable<string>;
                    rankSuffix: import("prop-types").Requireable<string>;
                    timerAnimation: import("prop-types").Requireable<number>;
                }>>;
                buttonRevising: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    type: import("prop-types").Requireable<string>;
                }>>;
                buttonRevisingSkill: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    type: import("prop-types").Requireable<string>;
                }>>;
            }>>;
            quitPopin: import("prop-types").Requireable<import("prop-types").InferProps<{
                content: import("prop-types").Requireable<string>;
                mode: import("prop-types").Requireable<string>;
                header: import("prop-types").Requireable<import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<import("prop-types").InferProps<{
                        title: import("prop-types").Requireable<string>;
                        subtitle: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                        'data-name': import("prop-types").Requireable<string>;
                        titleSize: import("prop-types").Requireable<string>;
                        subtitleSize: import("prop-types").Requireable<string>;
                        icon: import("prop-types").Requireable<import("prop-types").InferProps<import("prop-types").ValidationMap<any>>>;
                        tag: import("prop-types").Requireable<import("prop-types").InferProps<{
                            label: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            size: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                position: import("prop-types").Requireable<string>;
                                iconName?: React.Validator<string> | undefined;
                                iconColor?: React.Validator<string | null | undefined> | undefined;
                                backgroundColor?: React.Validator<string | null | undefined> | undefined;
                                gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                                borderRadius?: React.Validator<string | null | undefined> | undefined;
                                preset?: React.Validator<string | null | undefined> | undefined;
                                size?: React.Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                                customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                            }>>;
                        }>>;
                        button: import("prop-types").Requireable<import("prop-types").InferProps<{
                            type: import("prop-types").Requireable<string>;
                            usage: import("prop-types").Requireable<string>;
                            label: import("prop-types").Requireable<string>;
                            content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                            'aria-label': import("prop-types").Requireable<string>;
                            tooltipText: import("prop-types").Requireable<string>;
                            tooltipPlacement: import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            'data-testid': import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                position: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    name: import("prop-types").Validator<string>;
                                    color: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    size: import("prop-types").Requireable<number>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                            link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                href: import("prop-types").Requireable<string>;
                                download: import("prop-types").Requireable<boolean>;
                                target: import("prop-types").Requireable<string>;
                            }>>;
                            hoverBackgroundColor: import("prop-types").Requireable<string>;
                            hoverColor: import("prop-types").Requireable<string>;
                            disabled: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: import("prop-types").Requireable<boolean>;
                            customLabelClassName: import("prop-types").Requireable<string>;
                        }>>;
                        required: import("prop-types").Requireable<boolean>;
                    }>>;
                    headerIcon: import("prop-types").Requireable<string>;
                    backgroundImage: import("prop-types").Requireable<string>;
                }>>;
                firstButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    handleOnclick: import("prop-types").Requireable<(...args: any[]) => any>;
                    'aria-label': import("prop-types").Requireable<string>;
                    largeButton: import("prop-types").Requireable<boolean>;
                    type: import("prop-types").Requireable<string>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
                secondButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    handleOnclick: import("prop-types").Requireable<(...args: any[]) => any>;
                    type: import("prop-types").Requireable<string>;
                    'aria-label': import("prop-types").Requireable<string>;
                    largeButton: import("prop-types").Requireable<boolean>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                        position: import("prop-types").Requireable<string>;
                        type: import("prop-types").Requireable<string>;
                    }>>;
                }>>;
                thirdButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                    label: import("prop-types").Requireable<string>;
                    handleOnclick: import("prop-types").Requireable<(...args: any[]) => any>;
                    type: import("prop-types").Requireable<string>;
                    'aria-label': import("prop-types").Requireable<string>;
                    largeButton: import("prop-types").Requireable<boolean>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }>>;
                onClose: import("prop-types").Requireable<(...args: any[]) => any>;
                icon: import("prop-types").Requireable<NonNullable<string | import("prop-types").InferProps<{
                    iconName: import("prop-types").Validator<string>;
                    iconColor: import("prop-types").Requireable<string>;
                    backgroundColor: import("prop-types").Requireable<string>;
                    gradientBackground: import("prop-types").Requireable<boolean>;
                    borderRadius: import("prop-types").Requireable<string>;
                    preset: import("prop-types").Requireable<string>;
                    size: import("prop-types").Requireable<import("prop-types").InferProps<{
                        faSize: import("prop-types").Validator<number>;
                        wrapperSize: import("prop-types").Validator<number>;
                    }>>;
                    customStyle: import("prop-types").Requireable<{
                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                    }>;
                }> | null | undefined>>;
                backgroundImageUrl: import("prop-types").Requireable<string>;
                descriptionText: import("prop-types").Requireable<string>;
                cookieTitle: import("prop-types").Requireable<string>;
                headerSubtitle: import("prop-types").Requireable<string>;
                descriptionBtnTxt: import("prop-types").Requireable<string>;
                listBtnSwicth: import("prop-types").Requireable<(import("prop-types").InferProps<{
                    title: import("prop-types").Requireable<string>;
                    name: import("prop-types").Requireable<string>;
                    id: import("prop-types").Requireable<string>;
                    value: import("prop-types").Requireable<boolean>;
                    disabled: import("prop-types").Requireable<boolean>;
                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                    description: import("prop-types").Requireable<string>;
                    'aria-labelledby': import("prop-types").Requireable<string>;
                    'aria-label': import("prop-types").Requireable<string>;
                    modified: import("prop-types").Requireable<boolean>;
                    titlePosition: import("prop-types").Requireable<string>;
                    theme: import("prop-types").Requireable<string>;
                    details: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    requiredSelection: import("prop-types").Requireable<boolean>;
                    icon: import("prop-types").Requireable<string>;
                }> | null | undefined)[]>;
                items: import("prop-types").Requireable<import("prop-types").InferProps<{
                    type: import("prop-types").Requireable<string>;
                    list: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                        list: import("prop-types").Requireable<(import("prop-types").InferProps<any> | null | undefined)[]>;
                        customStyle: import("prop-types").Requireable<{
                            [x: string]: string | null | undefined;
                        }>;
                        loading: import("prop-types").Requireable<boolean>;
                    }> | import("prop-types").InferProps<{
                        'aria-label': import("prop-types").Requireable<string>;
                        buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                            type: import("prop-types").Requireable<string>;
                            usage: import("prop-types").Requireable<string>;
                            label: import("prop-types").Requireable<string>;
                            content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                            'aria-label': import("prop-types").Requireable<string>;
                            tooltipText: import("prop-types").Requireable<string>;
                            tooltipPlacement: import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            'data-testid': import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                position: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    name: import("prop-types").Validator<string>;
                                    color: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    size: import("prop-types").Requireable<number>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                            link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                href: import("prop-types").Requireable<string>;
                                download: import("prop-types").Requireable<boolean>;
                                target: import("prop-types").Requireable<string>;
                            }>>;
                            hoverBackgroundColor: import("prop-types").Requireable<string>;
                            hoverColor: import("prop-types").Requireable<string>;
                            disabled: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: import("prop-types").Requireable<boolean>;
                            customLabelClassName: import("prop-types").Requireable<string>;
                        }>>;
                        selectMultiple: import("prop-types").Requireable<import("prop-types").InferProps<{
                            title: import("prop-types").Requireable<string>;
                            placeholder: import("prop-types").Requireable<string>;
                            description: import("prop-types").Requireable<string>;
                            hint: import("prop-types").Requireable<string>;
                            options: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                selected: import("prop-types").Validator<boolean>;
                                name: import("prop-types").Validator<string>;
                                value: import("prop-types").Requireable<string>;
                            }>>[]>;
                            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                            onError: import("prop-types").Requireable<(...args: any[]) => any>;
                            multiple: import("prop-types").Requireable<boolean>;
                            modified: import("prop-types").Requireable<boolean>;
                            disabled: import("prop-types").Requireable<boolean>;
                            error: import("prop-types").Requireable<string>;
                            theme: import("prop-types").Requireable<string>;
                        }>>;
                        content: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                            items: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                title: import("prop-types").Validator<string>;
                                subtitle: import("prop-types").Requireable<string>;
                                'data-name': import("prop-types").Requireable<string>;
                                provider: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    label: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                }>>;
                                selected: import("prop-types").Requireable<boolean>;
                                selectedColor: import("prop-types").Requireable<string>;
                                dataColumns: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    label: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                    className: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                                buttonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    type: import("prop-types").Requireable<string>;
                                    label: import("prop-types").Requireable<string>;
                                    ariaLabel: import("prop-types").Requireable<string>;
                                    dataName: import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        position: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                    }>>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                }>>;
                                secondButtonLink: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    type: import("prop-types").Requireable<string>;
                                    label: import("prop-types").Requireable<string>;
                                    ariaLabel: import("prop-types").Requireable<string>;
                                    dataName: import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        position: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                    }>>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                }>>;
                                bulletPointMenuButton: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    buttonAriaLabel: import("prop-types").Requireable<string>;
                                    menuAriaLabel: import("prop-types").Requireable<string>;
                                    buttons: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                        'data-name': import("prop-types").Requireable<string>;
                                        label: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    }> | null | undefined)[]>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                }>>;
                                tags: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                    label: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                                disabled: import("prop-types").Requireable<boolean>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                isBulkStyle: import("prop-types").Requireable<boolean>;
                                isOverflowHidden: import("prop-types").Requireable<boolean>;
                                order: import("prop-types").Requireable<number>;
                                'aria-label': import("prop-types").Requireable<string>;
                                contentType: import("prop-types").Requireable<string>;
                                id: import("prop-types").Requireable<string>;
                                leftIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    iconName: import("prop-types").Requireable<string>;
                                    iconColor: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    borderRadius: import("prop-types").Requireable<string>;
                                    preset: import("prop-types").Requireable<string>;
                                    gradientBackground: import("prop-types").Requireable<boolean>;
                                    size: import("prop-types").Requireable<number>;
                                    wrapperSize: import("prop-types").Requireable<number>;
                                }>>;
                                image: import("prop-types").Requireable<string>;
                                checkbox: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    title: import("prop-types").Requireable<string>;
                                    name: import("prop-types").Requireable<string>;
                                    checked: import("prop-types").Requireable<boolean>;
                                    onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    'data-name': import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        iconName: import("prop-types").Requireable<string>;
                                        iconColor: import("prop-types").Requireable<string>;
                                        preset: import("prop-types").Requireable<string>;
                                    }>>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }> | null | undefined)[]>;
                            type: import("prop-types").Requireable<string>;
                            itemType: import("prop-types").Requireable<string>;
                            onDrop: import("prop-types").Requireable<(...args: any[]) => any>;
                            isDraggable: import("prop-types").Requireable<boolean>;
                            tableHeader: import("prop-types").Requireable<(string | null | undefined)[]>;
                            emptyResult: import("prop-types").Requireable<import("prop-types").InferProps<{
                                title: import("prop-types").Requireable<string>;
                                description: import("prop-types").Requireable<string>;
                                button: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                    type: import("prop-types").Requireable<string>;
                                    usage: import("prop-types").Requireable<string>;
                                    label: import("prop-types").Requireable<string>;
                                    content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                                    'aria-label': import("prop-types").Requireable<string>;
                                    tooltipText: import("prop-types").Requireable<string>;
                                    tooltipPlacement: import("prop-types").Requireable<string>;
                                    'data-name': import("prop-types").Requireable<string>;
                                    'data-testid': import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        position: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Validator<string>;
                                            color: import("prop-types").Requireable<string>;
                                            backgroundColor: import("prop-types").Requireable<string>;
                                            size: import("prop-types").Requireable<number>;
                                            customStyle: import("prop-types").Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        href: import("prop-types").Requireable<string>;
                                        download: import("prop-types").Requireable<boolean>;
                                        target: import("prop-types").Requireable<string>;
                                    }>>;
                                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                                    hoverColor: import("prop-types").Requireable<string>;
                                    disabled: import("prop-types").Requireable<boolean>;
                                    className: import("prop-types").Requireable<string>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    useTitle: import("prop-types").Requireable<boolean>;
                                    customLabelClassName: import("prop-types").Requireable<string>;
                                }> | import("prop-types").InferProps<{
                                    button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                        type: import("prop-types").Requireable<string>;
                                        usage: import("prop-types").Requireable<string>;
                                        label: import("prop-types").Requireable<string>;
                                        content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                                        'aria-label': import("prop-types").Requireable<string>;
                                        tooltipText: import("prop-types").Requireable<string>;
                                        tooltipPlacement: import("prop-types").Requireable<string>;
                                        'data-name': import("prop-types").Requireable<string>;
                                        'data-testid': import("prop-types").Requireable<string>;
                                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            position: import("prop-types").Requireable<string>;
                                            type: import("prop-types").Requireable<string>;
                                            faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                                name: import("prop-types").Validator<string>;
                                                color: import("prop-types").Requireable<string>;
                                                backgroundColor: import("prop-types").Requireable<string>;
                                                size: import("prop-types").Requireable<number>;
                                                customStyle: import("prop-types").Requireable<{
                                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                }>;
                                            }>>;
                                        }>>;
                                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                        link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            href: import("prop-types").Requireable<string>;
                                            download: import("prop-types").Requireable<boolean>;
                                            target: import("prop-types").Requireable<string>;
                                        }>>;
                                        hoverBackgroundColor: import("prop-types").Requireable<string>;
                                        hoverColor: import("prop-types").Requireable<string>;
                                        disabled: import("prop-types").Requireable<boolean>;
                                        className: import("prop-types").Requireable<string>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                        useTitle: import("prop-types").Requireable<boolean>;
                                        customLabelClassName: import("prop-types").Requireable<string>;
                                    }>>>;
                                    menu: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                        buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                                            'data-name': import("prop-types").Requireable<string>;
                                            disabled: import("prop-types").Requireable<boolean>;
                                            label: import("prop-types").Validator<string>;
                                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                            type: import("prop-types").Requireable<string>;
                                            buttonLinkType: import("prop-types").Requireable<string>;
                                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                                theme: import("prop-types").Requireable<string>;
                                                position: import("prop-types").Requireable<string>;
                                                type: import("prop-types").Requireable<string>;
                                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                                    name: import("prop-types").Validator<string>;
                                                    color: import("prop-types").Requireable<string>;
                                                    backgroundColor: import("prop-types").Requireable<string>;
                                                    size: import("prop-types").Requireable<number>;
                                                    customStyle: import("prop-types").Requireable<{
                                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                    }>;
                                                }>>;
                                            }>>;
                                            customStyle: import("prop-types").Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                            customLabelClassName: import("prop-types").Requireable<string>;
                                        }> | null | undefined)[]>;
                                        'data-name': import("prop-types").Requireable<string>;
                                        'aria-label': import("prop-types").Requireable<string>;
                                        enableScroll: import("prop-types").Requireable<boolean>;
                                    }>>>;
                                    menuWrapper: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        ariaLabel: import("prop-types").Requireable<string>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                    type: import("prop-types").Requireable<string>;
                                    primaryColor: import("prop-types").Requireable<string>;
                                    closeOnClick: import("prop-types").Requireable<boolean>;
                                    enableScroll: import("prop-types").Requireable<boolean>;
                                }> | null | undefined>>;
                            }>>;
                        }> | import("prop-types").InferProps<{
                            type: import("prop-types").Requireable<string>;
                            columns: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                title: import("prop-types").Validator<string>;
                            }> | null | undefined)[]>;
                            rows: import("prop-types").Requireable<(import("prop-types").InferProps<{
                                fields: import("prop-types").Requireable<(NonNullable<string | import("prop-types").InferProps<{
                                    type: import("prop-types").Requireable<string>;
                                    current: import("prop-types").Requireable<boolean>;
                                    selected: import("prop-types").Requireable<boolean>;
                                    icon: import("prop-types").Requireable<string>;
                                    value: import("prop-types").Requireable<string>;
                                }> | null | undefined> | null | undefined)[]>;
                                isRowExpandible: import("prop-types").Requireable<boolean>;
                                lastField: import("prop-types").Requireable<NonNullable<string | import("prop-types").InferProps<{
                                    type: import("prop-types").Requireable<string>;
                                    'data-name': import("prop-types").Requireable<string>;
                                    disabled: import("prop-types").Requireable<boolean>;
                                    buttonAriaLabel: import("prop-types").Requireable<string>;
                                    menuAriaLabel: import("prop-types").Requireable<string>;
                                    buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                                        'data-name': import("prop-types").Requireable<string>;
                                        disabled: import("prop-types").Requireable<boolean>;
                                        label: import("prop-types").Validator<string>;
                                        onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                        type: import("prop-types").Requireable<string>;
                                        buttonLinkType: import("prop-types").Requireable<string>;
                                        icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            theme: import("prop-types").Requireable<string>;
                                            position: import("prop-types").Requireable<string>;
                                            type: import("prop-types").Requireable<string>;
                                            faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                                name: import("prop-types").Validator<string>;
                                                color: import("prop-types").Requireable<string>;
                                                backgroundColor: import("prop-types").Requireable<string>;
                                                size: import("prop-types").Requireable<number>;
                                                customStyle: import("prop-types").Requireable<{
                                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                }>;
                                            }>>;
                                        }>>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                        customLabelClassName: import("prop-types").Requireable<string>;
                                    }> | null | undefined)[]>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    menuButtonClassName: import("prop-types").Requireable<string>;
                                    isBulkMenu: import("prop-types").Requireable<boolean>;
                                }> | null | undefined>>;
                            }> | null | undefined)[]>;
                            stickyFirstColumn: import("prop-types").Requireable<boolean>;
                            stickyLastColumn: import("prop-types").Requireable<boolean>;
                            columnWidth: import("prop-types").Requireable<string>;
                            ariaDescribedby: import("prop-types").Requireable<string>;
                            lastField: import("prop-types").Requireable<NonNullable<import("prop-types").InferProps<{
                                componentType: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                usage: import("prop-types").Requireable<string>;
                                label: import("prop-types").Requireable<string>;
                                content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                                'aria-label': import("prop-types").Requireable<string>;
                                tooltipText: import("prop-types").Requireable<string>;
                                tooltipPlacement: import("prop-types").Requireable<string>;
                                'data-name': import("prop-types").Requireable<string>;
                                'data-testid': import("prop-types").Requireable<string>;
                                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    position: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        name: import("prop-types").Validator<string>;
                                        color: import("prop-types").Requireable<string>;
                                        backgroundColor: import("prop-types").Requireable<string>;
                                        size: import("prop-types").Requireable<number>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    href: import("prop-types").Requireable<string>;
                                    download: import("prop-types").Requireable<boolean>;
                                    target: import("prop-types").Requireable<string>;
                                }>>;
                                hoverBackgroundColor: import("prop-types").Requireable<string>;
                                hoverColor: import("prop-types").Requireable<string>;
                                disabled: import("prop-types").Requireable<boolean>;
                                className: import("prop-types").Requireable<string>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: import("prop-types").Requireable<boolean>;
                                customLabelClassName: import("prop-types").Requireable<string>;
                            }> | import("prop-types").InferProps<{
                                componentType: import("prop-types").Requireable<string>;
                                'data-name': import("prop-types").Requireable<string>;
                                disabled: import("prop-types").Requireable<boolean>;
                                buttonAriaLabel: import("prop-types").Requireable<string>;
                                menuAriaLabel: import("prop-types").Requireable<string>;
                                buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                                    'data-name': import("prop-types").Requireable<string>;
                                    disabled: import("prop-types").Requireable<boolean>;
                                    label: import("prop-types").Validator<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    type: import("prop-types").Requireable<string>;
                                    buttonLinkType: import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        theme: import("prop-types").Requireable<string>;
                                        position: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Validator<string>;
                                            color: import("prop-types").Requireable<string>;
                                            backgroundColor: import("prop-types").Requireable<string>;
                                            size: import("prop-types").Requireable<number>;
                                            customStyle: import("prop-types").Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    customLabelClassName: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                menuButtonClassName: import("prop-types").Requireable<string>;
                                isBulkMenu: import("prop-types").Requireable<boolean>;
                            }> | null | undefined>>;
                            isNestedTable: import("prop-types").Requireable<boolean>;
                            emptyStateFirstMessage: import("prop-types").Requireable<string>;
                            emptyStateSecondMessage: import("prop-types").Requireable<string>;
                        }> | null | undefined>>;
                        title: import("prop-types").Requireable<NonNullable<string | import("prop-types").InferProps<{
                            title: import("prop-types").Requireable<string>;
                            subtitle: import("prop-types").Requireable<string>;
                            type: import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            titleSize: import("prop-types").Requireable<string>;
                            subtitleSize: import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<import("prop-types").ValidationMap<any>>>;
                            tag: import("prop-types").Requireable<import("prop-types").InferProps<{
                                label: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                size: import("prop-types").Requireable<string>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    position: import("prop-types").Requireable<string>;
                                    iconName?: React.Validator<string> | undefined;
                                    iconColor?: React.Validator<string | null | undefined> | undefined;
                                    backgroundColor?: React.Validator<string | null | undefined> | undefined;
                                    gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                                    borderRadius?: React.Validator<string | null | undefined> | undefined;
                                    preset?: React.Validator<string | null | undefined> | undefined;
                                    size?: React.Validator<import("../../atom/icon").IconSize | null | undefined> | undefined;
                                    customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                                }>>;
                            }>>;
                            button: import("prop-types").Requireable<import("prop-types").InferProps<{
                                type: import("prop-types").Requireable<string>;
                                usage: import("prop-types").Requireable<string>;
                                label: import("prop-types").Requireable<string>;
                                content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                                'aria-label': import("prop-types").Requireable<string>;
                                tooltipText: import("prop-types").Requireable<string>;
                                tooltipPlacement: import("prop-types").Requireable<string>;
                                'data-name': import("prop-types").Requireable<string>;
                                'data-testid': import("prop-types").Requireable<string>;
                                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    position: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        name: import("prop-types").Validator<string>;
                                        color: import("prop-types").Requireable<string>;
                                        backgroundColor: import("prop-types").Requireable<string>;
                                        size: import("prop-types").Requireable<number>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    href: import("prop-types").Requireable<string>;
                                    download: import("prop-types").Requireable<boolean>;
                                    target: import("prop-types").Requireable<string>;
                                }>>;
                                hoverBackgroundColor: import("prop-types").Requireable<string>;
                                hoverColor: import("prop-types").Requireable<string>;
                                disabled: import("prop-types").Requireable<boolean>;
                                className: import("prop-types").Requireable<string>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: import("prop-types").Requireable<boolean>;
                                customLabelClassName: import("prop-types").Requireable<string>;
                            }>>;
                            required: import("prop-types").Requireable<boolean>;
                        }> | null | undefined>>;
                        isFetching: import("prop-types").Requireable<boolean>;
                        search: import("prop-types").Requireable<import("prop-types").InferProps<{
                            value: import("prop-types").Requireable<string>;
                            placeholder: import("prop-types").Validator<string>;
                            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                            onClear: import("prop-types").Requireable<(...args: any[]) => any>;
                            onFocus: import("prop-types").Requireable<(...args: any[]) => any>;
                            onBlur: import("prop-types").Requireable<(...args: any[]) => any>;
                            theme: import("prop-types").Requireable<string>;
                            dataTestId: import("prop-types").Requireable<string>;
                        }>>;
                        checkboxWithTitle: import("prop-types").Requireable<import("prop-types").InferProps<{
                            title: import("prop-types").Requireable<string>;
                            name: import("prop-types").Requireable<string>;
                            checked: import("prop-types").Requireable<boolean>;
                            onChange: import("prop-types").Requireable<(...args: any[]) => any>;
                            'aria-label': import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                iconName: import("prop-types").Requireable<string>;
                                iconColor: import("prop-types").Requireable<string>;
                                preset: import("prop-types").Requireable<string>;
                            }>>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                        }>>;
                        actionButtons: import("prop-types").Requireable<(import("prop-types").InferProps<{
                            type: import("prop-types").Requireable<string>;
                            usage: import("prop-types").Requireable<string>;
                            label: import("prop-types").Requireable<string>;
                            content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                            'aria-label': import("prop-types").Requireable<string>;
                            tooltipText: import("prop-types").Requireable<string>;
                            tooltipPlacement: import("prop-types").Requireable<string>;
                            'data-name': import("prop-types").Requireable<string>;
                            'data-testid': import("prop-types").Requireable<string>;
                            icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                position: import("prop-types").Requireable<string>;
                                type: import("prop-types").Requireable<string>;
                                faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    name: import("prop-types").Validator<string>;
                                    color: import("prop-types").Requireable<string>;
                                    backgroundColor: import("prop-types").Requireable<string>;
                                    size: import("prop-types").Requireable<number>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                            link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                href: import("prop-types").Requireable<string>;
                                download: import("prop-types").Requireable<boolean>;
                                target: import("prop-types").Requireable<string>;
                            }>>;
                            hoverBackgroundColor: import("prop-types").Requireable<string>;
                            hoverColor: import("prop-types").Requireable<string>;
                            disabled: import("prop-types").Requireable<boolean>;
                            className: import("prop-types").Requireable<string>;
                            customStyle: import("prop-types").Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: import("prop-types").Requireable<boolean>;
                            customLabelClassName: import("prop-types").Requireable<string>;
                        }> | null | undefined)[]>;
                        buttonMenuAction: import("prop-types").Requireable<import("prop-types").InferProps<{
                            button: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                type: import("prop-types").Requireable<string>;
                                usage: import("prop-types").Requireable<string>;
                                label: import("prop-types").Requireable<string>;
                                content: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                                'aria-label': import("prop-types").Requireable<string>;
                                tooltipText: import("prop-types").Requireable<string>;
                                tooltipPlacement: import("prop-types").Requireable<string>;
                                'data-name': import("prop-types").Requireable<string>;
                                'data-testid': import("prop-types").Requireable<string>;
                                icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    position: import("prop-types").Requireable<string>;
                                    type: import("prop-types").Requireable<string>;
                                    faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        name: import("prop-types").Validator<string>;
                                        color: import("prop-types").Requireable<string>;
                                        backgroundColor: import("prop-types").Requireable<string>;
                                        size: import("prop-types").Requireable<number>;
                                        customStyle: import("prop-types").Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                                    href: import("prop-types").Requireable<string>;
                                    download: import("prop-types").Requireable<boolean>;
                                    target: import("prop-types").Requireable<string>;
                                }>>;
                                hoverBackgroundColor: import("prop-types").Requireable<string>;
                                hoverColor: import("prop-types").Requireable<string>;
                                disabled: import("prop-types").Requireable<boolean>;
                                className: import("prop-types").Requireable<string>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: import("prop-types").Requireable<boolean>;
                                customLabelClassName: import("prop-types").Requireable<string>;
                            }>>>;
                            menu: import("prop-types").Validator<NonNullable<import("prop-types").InferProps<{
                                buttons: import("prop-types").Validator<(import("prop-types").InferProps<{
                                    'data-name': import("prop-types").Requireable<string>;
                                    disabled: import("prop-types").Requireable<boolean>;
                                    label: import("prop-types").Validator<string>;
                                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                                    type: import("prop-types").Requireable<string>;
                                    buttonLinkType: import("prop-types").Requireable<string>;
                                    icon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                        theme: import("prop-types").Requireable<string>;
                                        position: import("prop-types").Requireable<string>;
                                        type: import("prop-types").Requireable<string>;
                                        faIcon: import("prop-types").Requireable<import("prop-types").InferProps<{
                                            name: import("prop-types").Validator<string>;
                                            color: import("prop-types").Requireable<string>;
                                            backgroundColor: import("prop-types").Requireable<string>;
                                            size: import("prop-types").Requireable<number>;
                                            customStyle: import("prop-types").Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    customStyle: import("prop-types").Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    customLabelClassName: import("prop-types").Requireable<string>;
                                }> | null | undefined)[]>;
                                'data-name': import("prop-types").Requireable<string>;
                                'aria-label': import("prop-types").Requireable<string>;
                                enableScroll: import("prop-types").Requireable<boolean>;
                            }>>>;
                            menuWrapper: import("prop-types").Requireable<import("prop-types").InferProps<{
                                ariaLabel: import("prop-types").Requireable<string>;
                                customStyle: import("prop-types").Requireable<{
                                    [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                                }>;
                            }>>;
                            type: import("prop-types").Requireable<string>;
                            primaryColor: import("prop-types").Requireable<string>;
                            closeOnClick: import("prop-types").Requireable<boolean>;
                            enableScroll: import("prop-types").Requireable<boolean>;
                        }>>;
                    }> | null | undefined>>;
                }>>;
                link: import("prop-types").Requireable<import("prop-types").InferProps<{
                    children: import("prop-types").Requireable<import("prop-types").ReactNodeLike>;
                    className: import("prop-types").Requireable<string>;
                    href: import("prop-types").Requireable<string>;
                    'data-name': import("prop-types").Requireable<string>;
                    'aria-label': import("prop-types").Requireable<string>;
                    title: import("prop-types").Requireable<string>;
                    target: import("prop-types").Requireable<string>;
                    hoverColor: import("prop-types").Requireable<string>;
                    hoverBackgroundColor: import("prop-types").Requireable<string>;
                    download: import("prop-types").Requireable<boolean>;
                    onClick: import("prop-types").Requireable<(...args: any[]) => any>;
                    onMouseEnter: import("prop-types").Requireable<(...args: any[]) => any>;
                    onMouseLeave: import("prop-types").Requireable<(...args: any[]) => any>;
                    useButtonTag: import("prop-types").Requireable<boolean>;
                    style: import("prop-types").Requireable<import("prop-types").InferProps<{}>>;
                    disabled: import("prop-types").Requireable<boolean>;
                }>>;
            }>>;
        }>>;
    };
};
export default AppReview;
//# sourceMappingURL=index.d.ts.map