"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _isNil = _interopRequireDefault(require("lodash/fp/isNil"));
var _classnames = _interopRequireDefault(require("classnames"));
var _reviewCongrats = _interopRequireDefault(require("../../../organism/review-congrats"));
var _reviewHeader = _interopRequireDefault(require("../../../organism/review-header"));
var _reviewStackedSlides = _interopRequireDefault(require("../../../organism/review-stacked-slides"));
var _cmPopin = _interopRequireDefault(require("../../../molecule/cm-popin"));
var _backgroundReview = _interopRequireDefault(require("./background-review"));
var _style = _interopRequireDefault(require("./style.css"));
var _propTypes = _interopRequireDefault(require("./prop-types"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PlayerReview = ({
  header,
  stack,
  congrats,
  quitPopin
}) => {
  return /*#__PURE__*/_react.default.createElement("div", {
    key: "review-player-container",
    "data-name": "review-player-container",
    className: _style.default.playerReviewContainer
  }, /*#__PURE__*/_react.default.createElement("div", {
    key: "player-background-container",
    className: _style.default.playerBackground
  }, /*#__PURE__*/_react.default.createElement(_backgroundReview.default, null)), /*#__PURE__*/_react.default.createElement("div", {
    key: "review-header-wrapper",
    className: (0, _classnames.default)(_style.default.reviewHeaderContainer, congrats && _style.default.reviewHeaderContainerCongrats)
  }, /*#__PURE__*/_react.default.createElement(_reviewHeader.default, header)), (0, _isNil.default)(stack) ? null : /*#__PURE__*/_react.default.createElement(_reviewStackedSlides.default, stack), (0, _isNil.default)(congrats) ? null : /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.congrats,
    "data-testid": "congrats-container"
  }, /*#__PURE__*/_react.default.createElement(_reviewCongrats.default, congrats)), (0, _isNil.default)(quitPopin) ? null : /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.quitPopin,
    "data-testid": "quit-popin-container"
  }, /*#__PURE__*/_react.default.createElement(_cmPopin.default, quitPopin)));
};
PlayerReview.propTypes = process.env.NODE_ENV !== "production" ? _propTypes.default : {};
var _default = exports.default = PlayerReview;
//# sourceMappingURL=index.js.map