"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _isEmpty = _interopRequireDefault(require("lodash/fp/isEmpty"));
var _loader = _interopRequireDefault(require("../../../atom/loader"));
var _reviewSkills = _interopRequireDefault(require("../../../organism/review-skills"));
var _reviewNoSkills = _interopRequireDefault(require("../../../organism/review-no-skills"));
var _style = _interopRequireDefault(require("./style.css"));
var _propTypes = _interopRequireDefault(require("./prop-types"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ReviewSkills = props => {
  const {
    'aria-label': ariaLabel,
    title,
    listSkills,
    titleNoSkills,
    textNoSkills,
    iconSkillAriaLabel,
    isLoading = false,
    isLoadingAriaLabel
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.containerReviewSkill,
    "aria-label": ariaLabel
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.title
  }, title), isLoading ? /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.loaderContainer
  }, /*#__PURE__*/_react.default.createElement(_loader.default, {
    className: _style.default.loader,
    theme: "default",
    "aria-label": isLoadingAriaLabel
  })) : /*#__PURE__*/_react.default.createElement("div", null, !(0, _isEmpty.default)(listSkills) ? /*#__PURE__*/_react.default.createElement(_reviewSkills.default, {
    listSkills: listSkills
  }) : /*#__PURE__*/_react.default.createElement(_reviewNoSkills.default, {
    titleNoSkills: titleNoSkills,
    textNoSkills: textNoSkills,
    iconSkillAriaLabel: iconSkillAriaLabel
  })));
};
ReviewSkills.propTypes = process.env.NODE_ENV !== "production" ? _propTypes.default : {};
var _default = exports.default = ReviewSkills;
//# sourceMappingURL=index.js.map