"use strict";

exports.__esModule = true;
exports.useTemplateContext = exports.TemplateContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _translate = require("@coorpacademy/translate");
var _brand = require("../../variables/brand.native");
var _theme = _interopRequireDefault(require("../../variables/theme.native"));
var _defaultMobileTranslations = _interopRequireDefault(require("../../variables/default-mobile-translations"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Context = /*#__PURE__*/(0, _react.createContext)({
  theme: _theme.default,
  brandTheme: _brand.defaultBrandTheme,
  translations: _defaultMobileTranslations.default,
  display: {
    headerHeight: 67,
    statusBarHeight: 42
  },
  store: {},
  translate: _translate.mockTranslate
});
const useTemplateContext = () => {
  const context = (0, _react.useContext)(Context);
  if (!context) {
    throw new Error(`❌ [TemplateContext] useTemplateContext must be used within a provider <TemplateContext>`);
  }
  return context;
};
exports.useTemplateContext = useTemplateContext;
const TemplateContext = ({
  values,
  children
}) => {
  return /*#__PURE__*/_react.default.createElement(Context.Provider, {
    value: values
  }, children);
};
exports.TemplateContext = TemplateContext;
//# sourceMappingURL=template-context.js.map