"use strict";

exports.__esModule = true;
exports.POPIN_THEMES = void 0;
var _colors = require("../../../variables/colors");
const COMMUN_ACTION_BUTTON_PROPS = {
  icon: {
    position: 'left',
    faIcon: {
      name: 'circle-check',
      color: _colors.COLORS.white,
      size: 14,
      customStyle: {
        padding: 0,
        alignItems: 'baseline'
      }
    }
  },
  type: 'primary'
};
const ICON_PROPS = {
  published: {
    iconName: 'cloud-arrow-up',
    iconColor: _colors.COLORS.cm_grey_500,
    backgroundColor: _colors.COLORS.cm_grey_100,
    preset: 'xl'
  },
  archived: {
    iconName: 'circle-exclamation',
    iconColor: _colors.COLORS.yellow_700,
    backgroundColor: _colors.COLORS.yellow_100,
    preset: 'xl'
  },
  deleted: {
    iconName: 'triangle-exclamation',
    iconColor: _colors.COLORS.red_700,
    backgroundColor: _colors.COLORS.red_100,
    preset: 'xl'
  }
};
const POPIN_THEMES = exports.POPIN_THEMES = {
  published: {
    icon: ICON_PROPS.published,
    actionButton: COMMUN_ACTION_BUTTON_PROPS
  },
  archived: {
    icon: ICON_PROPS.archived,
    actionButton: COMMUN_ACTION_BUTTON_PROPS
  },
  deleted: {
    icon: ICON_PROPS.deleted,
    actionButton: {
      icon: {
        position: 'left',
        faIcon: {
          ...COMMUN_ACTION_BUTTON_PROPS.icon.faIcon,
          name: 'trash'
        }
      },
      type: 'dangerous'
    }
  }
};
//# sourceMappingURL=utils.js.map