"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _button = _interopRequireDefault(require("../../../atom/button"));
var _inputText = _interopRequireDefault(require("../../../atom/input-text"));
var _inputReadonly = _interopRequireDefault(require("../../../atom/input-readonly"));
var _videoUpload = _interopRequireDefault(require("../../../atom/video-upload"));
var _style = _interopRequireDefault(require("./style.css"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const JwVideoUploader = ({
  onUpload,
  onInputTextChange,
  onInputFileChange,
  uploadedLink,
  inputTextValue,
  placeholder,
  previewContent
}) => {
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.container
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: _style.default.wrapper
  }, /*#__PURE__*/_react.default.createElement("h1", null, "Jw Video Upload"), /*#__PURE__*/_react.default.createElement(_inputText.default, {
    placeholder: placeholder,
    onChange: onInputTextChange,
    value: inputTextValue
  }), /*#__PURE__*/_react.default.createElement(_videoUpload.default, {
    title: "Video Preview",
    onChange: onInputFileChange,
    uploadLabel: "Choose or drag & drop a file",
    previewContent: previewContent
  }), /*#__PURE__*/_react.default.createElement(_button.default, {
    submitValue: "Upload",
    onClick: onUpload
  }, "Upload"), /*#__PURE__*/_react.default.createElement(_inputReadonly.default, {
    title: "Uploaded video link:",
    value: uploadedLink
  })));
};
JwVideoUploader.propTypes = process.env.NODE_ENV !== "production" ? {
  ..._videoUpload.default.propTypes,
  onUpload: _propTypes.default.func,
  onInputTextChange: _propTypes.default.func,
  onInputFileChange: _propTypes.default.func,
  uploadedLink: _propTypes.default.string,
  inputTextValue: _propTypes.default.string,
  placeholder: _propTypes.default.string
} : {};
var _default = exports.default = JwVideoUploader;
//# sourceMappingURL=index.js.map