"use strict";

exports.__esModule = true;
exports.default = void 0;
var _join2 = _interopRequireDefault(require("lodash/fp/join"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const content = props => {
  const {
    rootUrl = '/',
    connexionLink = '/',
    inscriptionLink = '/'
  } = props;
  const url = sub => (0, _join2.default)('', [rootUrl, sub]);
  return {
    src: 'https://www.coorpacademy.com/assets/img/logo.svg',
    href: rootUrl,
    menuItems: [{
      title: 'Les formations',
      href: url('catalog/trainings'),
      subItems: [{
        title: 'Tous les cursus',
        href: url('home-B2C')
      }, {
        title: 'Toutes les formations',
        href: url('catalog/trainings')
      }, {
        title: 'Abonnement Coorpacademy',
        href: url('tarifs-abonnement')
      }]
    }, {
      title: 'Nos Solutions Entreprises',
      href: url('solutions'),
      subItems: [{
        title: 'Solutions Entreprises',
        href: url('solutions')
      }, {
        title: 'Des formations adaptées à vos enjeux',
        href: url('contenu-adapte-enjeux')
      }, {
        title: 'Toutes les formations',
        href: url('catalog/trainings/')
      }, {
        title: 'Tarifs entreprises',
        href: url('tarifs-entreprises')
      }]
    }, {
      title: 'Coorpacademy',
      href: url('qui-sommes-nous'),
      subItems: [{
        title: 'Qui sommes-nous ?',
        href: url('qui-sommes-nous')
      }, {
        title: 'Pourquoi Coorpacademy ?',
        href: url('home-B2B')
      }, {
        title: 'Ils nous font confiance',
        href: url('clients')
      }, {
        title: "L'équipe",
        href: url('equipe')
      }, {
        title: 'Contactez-nous',
        href: url('contact')
      }]
    }, {
      title: 'Blog',
      href: 'https://blog-fr.coorpacademy.com/',
      outgoing: true
    }, {
      title: 'Connexion',
      href: connexionLink,
      type: 'secondary'
    }, {
      title: 'Inscription',
      href: inscriptionLink,
      type: 'primary'
    }]
  };
};
var _default = exports.default = content;
//# sourceMappingURL=content.js.map