export default Discipline;
declare function Discipline(props: any, context: any): JSX.Element;
declare namespace Discipline {
    namespace propTypes {
        const image: PropTypes.Requireable<any>;
        const video: PropTypes.Requireable<PropTypes.InferProps<{
            id: PropTypes.Requireable<string>;
            width: PropTypes.Requireable<string>;
            height: PropTypes.Requireable<string>;
            url: PropTypes.Requireable<any>;
            onPlay: PropTypes.Requireable<(...args: any[]) => any>;
            onResume: PropTypes.Requireable<(...args: any[]) => any>;
            onPause: PropTypes.Requireable<(...args: any[]) => any>;
            onEnded: PropTypes.Requireable<(...args: any[]) => any>;
            onError: PropTypes.Requireable<(...args: any[]) => any>;
            autoplay: PropTypes.Requireable<boolean>;
            disableAutostart: PropTypes.Requireable<boolean>;
            loading: PropTypes.Requireable<boolean>;
            jwpOptions: PropTypes.Requireable<PropTypes.InferProps<{
                file: PropTypes.Requireable<any>;
                customProps: PropTypes.Requireable<PropTypes.InferProps<{
                    aspectratio: PropTypes.Requireable<string>;
                    tracks: PropTypes.Requireable<(PropTypes.InferProps<{
                        file: PropTypes.Requireable<any>;
                        label: PropTypes.Requireable<string>;
                        kind: PropTypes.Requireable<string>;
                        default: PropTypes.Requireable<boolean>;
                    }> | null | undefined)[]>;
                    autostart: PropTypes.Requireable<string>;
                    width: PropTypes.Requireable<string>;
                    skin: PropTypes.Requireable<PropTypes.InferProps<{
                        name: PropTypes.Requireable<string>;
                    }>>;
                }>>;
                licenseKey: PropTypes.Validator<string>;
                playerScript: PropTypes.Validator<any>;
                playerId: PropTypes.Validator<string>;
            }>>;
            mimeType: PropTypes.Validator<string>;
        }>>;
        const title: PropTypes.Requireable<string>;
        const description: PropTypes.Requireable<string>;
        const start: PropTypes.Requireable<(...args: any[]) => any>;
        const buy: PropTypes.Requireable<(...args: any[]) => any>;
        const startLabel: PropTypes.Requireable<string>;
        const buyLabel: PropTypes.Requireable<string>;
        const authors: PropTypes.Requireable<(PropTypes.InferProps<{
            name: PropTypes.Requireable<string>;
            href: PropTypes.Requireable<string>;
            logo: PropTypes.Requireable<PropTypes.InferProps<{
                src: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                alt: PropTypes.Requireable<string>;
            }>>;
            socialLinks: PropTypes.Requireable<(PropTypes.InferProps<{
                mode: PropTypes.Requireable<string>;
                type: PropTypes.Validator<string>;
                link: PropTypes.Validator<string>;
                'aria-label': PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
        }> | null | undefined)[]>;
        const level: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            skillsTitle: PropTypes.Requireable<string>;
            chaptersTitle: PropTypes.Requireable<string>;
            time: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            buttonLabel: PropTypes.Requireable<string>;
            skills: PropTypes.Requireable<(string | null | undefined)[]>;
            chapters: PropTypes.Requireable<(object | null | undefined)[]>;
            course_scope: PropTypes.Requireable<(string | null | undefined)[]>;
            resources: PropTypes.Requireable<(PropTypes.InferProps<Partial<{
                type: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                description: PropTypes.Requireable<string>;
                poster: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>> | null | undefined)[]>;
            discussion: PropTypes.Requireable<PropTypes.InferProps<{
                avatar: PropTypes.Requireable<any>;
                loading: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                profileAvatarAlt: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                onPost: PropTypes.Requireable<(...args: any[]) => any>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                threads: PropTypes.Requireable<(PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    date: PropTypes.Requireable<string>;
                    message: PropTypes.Requireable<string>;
                    avatar: PropTypes.Requireable<any>;
                    answerAvatar: PropTypes.Requireable<any>;
                    answer: PropTypes.Requireable<string>;
                    edition: PropTypes.Requireable<string>;
                    showAnswerBox: PropTypes.Requireable<boolean>;
                    showEditBox: PropTypes.Requireable<boolean>;
                    mainPost: PropTypes.Requireable<boolean>;
                    onAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onEdit: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onModerate: PropTypes.Requireable<(...args: any[]) => any>;
                    onDelete: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                textareaDisabled: PropTypes.Requireable<boolean>;
                postDisabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                hideComments: PropTypes.Requireable<boolean>;
            }>>;
        }>>;
        const levels: PropTypes.Requireable<(object | null | undefined)[]>;
        const selected: PropTypes.Requireable<number>;
        const changeLevel: PropTypes.Requireable<(...args: any[]) => any>;
        const content: PropTypes.Requireable<PropTypes.InferProps<{
            title: PropTypes.Requireable<string>;
            skillsTitle: PropTypes.Requireable<string>;
            chaptersTitle: PropTypes.Requireable<string>;
            time: PropTypes.Requireable<string>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            buttonLabel: PropTypes.Requireable<string>;
            skills: PropTypes.Requireable<(string | null | undefined)[]>;
            chapters: PropTypes.Requireable<(object | null | undefined)[]>;
            course_scope: PropTypes.Requireable<(string | null | undefined)[]>;
            resources: PropTypes.Requireable<(PropTypes.InferProps<Partial<{
                type: PropTypes.Requireable<string>;
                selected: PropTypes.Requireable<boolean>;
                description: PropTypes.Requireable<string>;
                poster: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }>> | null | undefined)[]>;
            discussion: PropTypes.Requireable<PropTypes.InferProps<{
                avatar: PropTypes.Requireable<any>;
                loading: PropTypes.Requireable<boolean>;
                value: PropTypes.Requireable<string>;
                profileAvatarAlt: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                onPost: PropTypes.Requireable<(...args: any[]) => any>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                threads: PropTypes.Requireable<(PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    date: PropTypes.Requireable<string>;
                    message: PropTypes.Requireable<string>;
                    avatar: PropTypes.Requireable<any>;
                    answerAvatar: PropTypes.Requireable<any>;
                    answer: PropTypes.Requireable<string>;
                    edition: PropTypes.Requireable<string>;
                    showAnswerBox: PropTypes.Requireable<boolean>;
                    showEditBox: PropTypes.Requireable<boolean>;
                    mainPost: PropTypes.Requireable<boolean>;
                    onAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onEdit: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onPostEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeAnswer: PropTypes.Requireable<(...args: any[]) => any>;
                    onChangeEdition: PropTypes.Requireable<(...args: any[]) => any>;
                    onModerate: PropTypes.Requireable<(...args: any[]) => any>;
                    onDelete: PropTypes.Requireable<(...args: any[]) => any>;
                }> | null | undefined)[]>;
                textareaDisabled: PropTypes.Requireable<boolean>;
                postDisabled: PropTypes.Requireable<boolean>;
                className: PropTypes.Requireable<string>;
                hideComments: PropTypes.Requireable<boolean>;
            }>>;
        }>>;
        const shareWording: PropTypes.Requireable<string>;
        const shareText: PropTypes.Requireable<string>;
        const shareSuccessWording: PropTypes.Requireable<string>;
        const shareErrorWording: PropTypes.Requireable<string>;
        const skills: PropTypes.Requireable<(PropTypes.InferProps<{
            ref: PropTypes.Requireable<string>;
            locale: PropTypes.Requireable<string>;
            focused: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        const onSkillClick: PropTypes.Requireable<(...args: any[]) => any>;
        const addToMyListText: PropTypes.Requireable<string>;
        const removeFromMyListText: PropTypes.Requireable<string>;
        const addToMyListButton: PropTypes.Requireable<string>;
        const onFavoriteClick: PropTypes.Requireable<(...args: any[]) => any>;
        const favorite: PropTypes.Requireable<boolean>;
        const disableShare: PropTypes.Requireable<boolean>;
        const disableAddToMyList: PropTypes.Requireable<boolean>;
    }
    namespace contextTypes {
        const translate: PropTypes.Requireable<(...args: any[]) => any>;
    }
}
import PropTypes from "prop-types";
//# sourceMappingURL=index.d.ts.map