import PropTypes from 'prop-types';
import { Props as ContactProps } from '../../../molecule/privacy-policy-contact/types';
export declare const propTypes: {
    subArticles: PropTypes.Requireable<(PropTypes.InferProps<{
        subTitle: PropTypes.Requireable<string>;
        text: PropTypes.Requireable<string>;
        image: PropTypes.Requireable<string>;
        backButtonText: PropTypes.Requireable<string>;
    }> | null | undefined)[]>;
    title: PropTypes.Requireable<string>;
    backButton: PropTypes.Requireable<PropTypes.InferProps<{
        size: PropTypes.Requireable<string>;
        'data-name': PropTypes.Requireable<string>;
        'aria-label': PropTypes.Requireable<string>;
        icon: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        link: PropTypes.Requireable<PropTypes.InferProps<{
            href: PropTypes.Requireable<string>;
        }>>;
    }>>;
    privacyPolicyContact: PropTypes.Requireable<PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        content: PropTypes.Requireable<string>;
    }>>;
};
export declare type SubArticle = {
    subTitle: string;
    text: string;
    image: string;
};
export declare type Props = {
    subArticles: SubArticle[];
    backButtonText: string;
    title: string;
    privacyPolicyContact: ContactProps;
    backButton: {
        size: string;
        'data-name': string;
        'aria-label': string;
        icon: string;
        link: {
            href?: string;
        };
        onClick: () => void;
    };
};
//# sourceMappingURL=types.d.ts.map