import PropTypes from 'prop-types';
import { Props as ContactProps } from '../../../molecule/privacy-policy-contact/types';
import { Props as HeroProps } from '../../../molecule/hero/types';
export declare const propTypes: {
    header: PropTypes.Requireable<PropTypes.InferProps<{
        image: PropTypes.Requireable<string>;
        mode: PropTypes.Requireable<string>;
        description: PropTypes.Requireable<string>;
        title: PropTypes.Requireable<string>;
        author: PropTypes.Requireable<string>;
        progress: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        submitValue: PropTypes.Requireable<string>;
    }>>;
    title: PropTypes.Requireable<string>;
    description: PropTypes.Requireable<string>;
    privacyPolicyContact: PropTypes.Requireable<PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        content: PropTypes.Requireable<string>;
    }>>;
    quickAccessList: PropTypes.Requireable<(PropTypes.InferProps<{
        title: PropTypes.Requireable<string>;
        description: PropTypes.Requireable<string>;
        href: PropTypes.Requireable<string>;
        openInNewTab: PropTypes.Requireable<boolean>;
        isMoocCard: PropTypes.Requireable<boolean>;
        feature: PropTypes.Requireable<string>;
    }> | null | undefined)[]>;
};
export declare type QuickAccessItem = {
    title: string;
    description: string;
    href: string;
    openInNewTab: boolean;
    isMoocCard: boolean;
    feature: 'binoculaire' | 'book' | 'network' | 'chat-bubble-question' | 'mobile-phone';
};
export declare type Props = {
    header: HeroProps;
    privacyPolicyContact: ContactProps;
    title: string;
    description: string;
    quickAccessList: QuickAccessItem[];
};
//# sourceMappingURL=types.d.ts.map