export default SearchPage;
declare function SearchPage(props: any, context: any): JSX.Element;
declare namespace SearchPage {
    namespace contextTypes {
        const skin: PropTypes.Requireable<PropTypes.InferProps<{
            common: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            images: PropTypes.Requireable<PropTypes.InferProps<{
                'logo-mobile': PropTypes.Requireable<any>;
                logo: PropTypes.Requireable<any>;
                'logo-email': PropTypes.Requireable<any>;
                login: PropTypes.Requireable<any>;
            }>>;
            icons: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            mod: PropTypes.Requireable<{
                [x: string]: any;
            }>;
            courses: PropTypes.Requireable<any[]>;
            texts: PropTypes.Requireable<{
                [x: string]: any;
            }>;
        }>>;
    }
    namespace propTypes {
        const noresultsfound: PropTypes.Requireable<string>;
        const title: PropTypes.Requireable<string>;
        const searchFilters: PropTypes.Requireable<PropTypes.InferProps<{
            filterCTALabel: PropTypes.Requireable<string>;
            filterTabLabel: PropTypes.Requireable<string>;
            sortCTALabel: PropTypes.Requireable<string>;
            sortTabLabel: PropTypes.Requireable<string>;
            openFilters: PropTypes.Requireable<boolean>;
            openSorts: PropTypes.Requireable<boolean>;
            filters: PropTypes.Requireable<(PropTypes.InferProps<{
                type: PropTypes.Validator<string>;
                fieldName: PropTypes.Validator<string>;
            }> | null | undefined)[]>;
            sorting: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                className: PropTypes.Requireable<string>;
                borderClassName: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                multiple: PropTypes.Requireable<boolean>;
                description: PropTypes.Requireable<string>;
                required: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                theme: PropTypes.Requireable<string>;
                options: PropTypes.Requireable<(PropTypes.InferProps<{
                    name: PropTypes.Validator<string>;
                    value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
                    selected: PropTypes.Requireable<boolean>;
                    validOption: PropTypes.Requireable<boolean>;
                }> | null | undefined)[]>;
                optgroups: PropTypes.Requireable<(PropTypes.InferProps<{
                    label: PropTypes.Validator<string>;
                    options: PropTypes.Requireable<(PropTypes.InferProps<{
                        name: PropTypes.Validator<string>;
                        value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
                        selected: PropTypes.Requireable<boolean>;
                        validOption: PropTypes.Requireable<boolean>;
                    }> | null | undefined)[]>;
                }> | null | undefined)[]>;
                modified: PropTypes.Requireable<boolean>;
                error: PropTypes.Requireable<boolean>;
                'aria-label': PropTypes.Requireable<string>;
                'aria-labelledby': PropTypes.Requireable<string>;
            }>>;
            onSearch: PropTypes.Requireable<(...args: any[]) => any>;
            onToggleFilters: PropTypes.Requireable<(...args: any[]) => any>;
            onToggleSorts: PropTypes.Requireable<(...args: any[]) => any>;
            moreSortAriaLabel: PropTypes.Requireable<string>;
            moreFilterAriaLabel: PropTypes.Requireable<string>;
            filterGroupAriaLabel: PropTypes.Requireable<string>;
            sortAriaLabel: PropTypes.Requireable<string>;
        }>>;
        const cards: PropTypes.Requireable<PropTypes.InferProps<{
            list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
            customStyle: PropTypes.Requireable<{
                [x: string]: string | null | undefined;
            }>;
            loading: PropTypes.Requireable<boolean>;
        }>>;
        const clearFilters: PropTypes.Requireable<PropTypes.InferProps<{
            color: any;
            submitValue: PropTypes.Requireable<string>;
            disabled: PropTypes.Requireable<boolean>;
            href: PropTypes.Requireable<string>;
            download: PropTypes.Requireable<boolean>;
            target: PropTypes.Requireable<string>;
            type: PropTypes.Requireable<string>;
            children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
            className: PropTypes.Requireable<string>;
            style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
            'data-name': PropTypes.Requireable<string>;
            'aria-label': PropTypes.Requireable<string>;
            'data-testid': PropTypes.Requireable<string>;
            useButtonTag: PropTypes.Requireable<boolean>;
            onClick: PropTypes.Requireable<(...args: any[]) => any>;
            onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
            onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
            onMouseOver: PropTypes.Requireable<(...args: any[]) => any>;
            buttonRef: PropTypes.Requireable<PropTypes.InferProps<{}>>;
            'data-for': PropTypes.Requireable<string>;
            'data-tooltip-place': PropTypes.Requireable<string>;
            'data-tip': PropTypes.Requireable<boolean>;
            isLinkDisabled: PropTypes.Requireable<boolean>;
            useWrapper: PropTypes.Requireable<boolean>;
            buttonContentClassName: PropTypes.Requireable<string>;
        }>>;
        const recommendations: PropTypes.Requireable<PropTypes.InferProps<{
            contentType: PropTypes.Requireable<string>;
            dataName: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
            showMore: PropTypes.Requireable<string>;
            cards: PropTypes.Requireable<(NonNullable<PropTypes.InferProps<{
                badge: PropTypes.Requireable<string>;
                image: PropTypes.Requireable<string>;
                disabled: PropTypes.Requireable<boolean>;
                adaptiv: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                author: PropTypes.Requireable<string>;
                certifiedAuthor: PropTypes.Requireable<boolean>;
                customer: PropTypes.Requireable<PropTypes.InferProps<{
                    theme: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    name: PropTypes.Requireable<string>;
                    coorpOriginal: PropTypes.Validator<boolean>;
                    disabled: PropTypes.Requireable<boolean>;
                    'aria-label': PropTypes.Requireable<string>;
                }>>;
                progress: PropTypes.Requireable<number>;
                favorite: PropTypes.Requireable<boolean>;
                addFavoriteToolTip: PropTypes.Requireable<string>;
                removeFavoriteToolTip: PropTypes.Requireable<string>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onFavoriteClick: PropTypes.Requireable<(...args: any[]) => any>;
                isSelected: PropTypes.Requireable<boolean>;
                notification: PropTypes.Requireable<PropTypes.InferProps<{
                    message: PropTypes.Validator<string>;
                    icon: PropTypes.Validator<string>;
                }>>;
                badgeCategory: PropTypes.Requireable<string>;
                badgeLabel: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                disabledContent: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                'background-aria-label': PropTypes.Requireable<string>;
                'favorite-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    favorite: PropTypes.Requireable<string>;
                    addToFavorite: PropTypes.Requireable<string>;
                    removeFromFavorite: PropTypes.Requireable<string>;
                }>>;
                'selectable-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    select: PropTypes.Requireable<string>;
                    unSelect: PropTypes.Requireable<string>;
                }>>;
                'customer-aria-label': PropTypes.Requireable<string>;
                'badge-aria-label': PropTypes.Requireable<string>;
                'disabled-aria-label': PropTypes.Requireable<string>;
                'card-content-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                    author: PropTypes.Requireable<string>;
                    progression: PropTypes.Requireable<string>;
                    adaptive: PropTypes.Requireable<string>;
                }>>;
            }> | PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                tagLabel: PropTypes.Requireable<string>;
                progression: PropTypes.Requireable<number>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
            }> | null | undefined> | null | undefined)[]>;
            customStyle: PropTypes.Requireable<{
                [x: string]: string | null | undefined;
            }>;
            onScroll: PropTypes.Requireable<(...args: any[]) => any>;
            onShowMore: PropTypes.Requireable<(...args: any[]) => any>;
            'arrows-aria-label': PropTypes.Requireable<PropTypes.InferProps<{
                showMoreOnLeftAriaLabel: PropTypes.Requireable<string>;
                showMoreOnRightAriaLabel: PropTypes.Requireable<string>;
            }>>;
            type: PropTypes.Requireable<string>;
            testingSizes: PropTypes.Requireable<any>;
        }>>;
        const moreSortAriaLabel: PropTypes.Requireable<string>;
        const moreFilterAriaLabel: PropTypes.Requireable<string>;
        const filterGroupAriaLabel: PropTypes.Requireable<string>;
        const sortAriaLabel: PropTypes.Requireable<string>;
        const popinWithCards: PropTypes.Requireable<PropTypes.InferProps<{
            content: PropTypes.Requireable<string>;
            mode: PropTypes.Requireable<string>;
            header: PropTypes.Requireable<PropTypes.InferProps<{
                title: PropTypes.Requireable<PropTypes.InferProps<{
                    title: PropTypes.Requireable<string>;
                    subtitle: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                    'data-name': PropTypes.Requireable<string>;
                    titleSize: PropTypes.Requireable<string>;
                    subtitleSize: PropTypes.Requireable<string>;
                    icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                    tag: PropTypes.Requireable<PropTypes.InferProps<{
                        label: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        size: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            iconName?: React.Validator<string> | undefined;
                            iconColor?: React.Validator<string | null | undefined> | undefined;
                            backgroundColor?: React.Validator<string | null | undefined> | undefined;
                            gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                            borderRadius?: React.Validator<string | null | undefined> | undefined;
                            preset?: React.Validator<string | null | undefined> | undefined;
                            size?: React.Validator<import("../../../atom/icon").IconSize | null | undefined> | undefined;
                            customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                        }>>;
                    }>>;
                    button: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    required: PropTypes.Requireable<boolean>;
                }>>;
                headerIcon: PropTypes.Requireable<string>;
                backgroundImage: PropTypes.Requireable<string>;
            }>>;
            firstButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                type: PropTypes.Requireable<string>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            secondButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
                icon: PropTypes.Requireable<PropTypes.InferProps<{
                    position: PropTypes.Requireable<string>;
                    type: PropTypes.Requireable<string>;
                }>>;
            }>>;
            thirdButton: PropTypes.Requireable<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                handleOnclick: PropTypes.Requireable<(...args: any[]) => any>;
                type: PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                largeButton: PropTypes.Requireable<boolean>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }>>;
            onClose: PropTypes.Requireable<(...args: any[]) => any>;
            icon: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                iconName: PropTypes.Validator<string>;
                iconColor: PropTypes.Requireable<string>;
                backgroundColor: PropTypes.Requireable<string>;
                gradientBackground: PropTypes.Requireable<boolean>;
                borderRadius: PropTypes.Requireable<string>;
                preset: PropTypes.Requireable<string>;
                size: PropTypes.Requireable<PropTypes.InferProps<{
                    faSize: PropTypes.Validator<number>;
                    wrapperSize: PropTypes.Validator<number>;
                }>>;
                customStyle: PropTypes.Requireable<{
                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                }>;
            }> | null | undefined>>;
            backgroundImageUrl: PropTypes.Requireable<string>;
            descriptionText: PropTypes.Requireable<string>;
            cookieTitle: PropTypes.Requireable<string>;
            headerSubtitle: PropTypes.Requireable<string>;
            descriptionBtnTxt: PropTypes.Requireable<string>;
            listBtnSwicth: PropTypes.Requireable<(PropTypes.InferProps<{
                title: PropTypes.Requireable<string>;
                name: PropTypes.Requireable<string>;
                id: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<boolean>;
                disabled: PropTypes.Requireable<boolean>;
                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                description: PropTypes.Requireable<string>;
                'aria-labelledby': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                modified: PropTypes.Requireable<boolean>;
                titlePosition: PropTypes.Requireable<string>;
                theme: PropTypes.Requireable<string>;
                details: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                requiredSelection: PropTypes.Requireable<boolean>;
                icon: PropTypes.Requireable<string>;
            }> | null | undefined)[]>;
            items: PropTypes.Requireable<PropTypes.InferProps<{
                type: PropTypes.Requireable<string>;
                list: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                    list: PropTypes.Requireable<(PropTypes.InferProps<any> | null | undefined)[]>;
                    customStyle: PropTypes.Requireable<{
                        [x: string]: string | null | undefined;
                    }>;
                    loading: PropTypes.Requireable<boolean>;
                }> | PropTypes.InferProps<{
                    'aria-label': PropTypes.Requireable<string>;
                    buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }>>;
                    selectMultiple: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Requireable<string>;
                        description: PropTypes.Requireable<string>;
                        hint: PropTypes.Requireable<string>;
                        options: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            selected: PropTypes.Validator<boolean>;
                            name: PropTypes.Validator<string>;
                            value: PropTypes.Requireable<string>;
                        }>>[]>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onError: PropTypes.Requireable<(...args: any[]) => any>;
                        multiple: PropTypes.Requireable<boolean>;
                        modified: PropTypes.Requireable<boolean>;
                        disabled: PropTypes.Requireable<boolean>;
                        error: PropTypes.Requireable<string>;
                        theme: PropTypes.Requireable<string>;
                    }>>;
                    content: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                        items: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                            subtitle: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            provider: PropTypes.Requireable<PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }>>;
                            selected: PropTypes.Requireable<boolean>;
                            selectedColor: PropTypes.Requireable<string>;
                            dataColumns: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                className: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            buttonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            secondButtonLink: PropTypes.Requireable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                ariaLabel: PropTypes.Requireable<string>;
                                dataName: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            bulletPointMenuButton: PropTypes.Requireable<PropTypes.InferProps<{
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Requireable<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            }>>;
                            tags: PropTypes.Requireable<(PropTypes.InferProps<{
                                label: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            disabled: PropTypes.Requireable<boolean>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            isBulkStyle: PropTypes.Requireable<boolean>;
                            isOverflowHidden: PropTypes.Requireable<boolean>;
                            order: PropTypes.Requireable<number>;
                            'aria-label': PropTypes.Requireable<string>;
                            contentType: PropTypes.Requireable<string>;
                            id: PropTypes.Requireable<string>;
                            leftIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                iconName: PropTypes.Requireable<string>;
                                iconColor: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                borderRadius: PropTypes.Requireable<string>;
                                preset: PropTypes.Requireable<string>;
                                gradientBackground: PropTypes.Requireable<boolean>;
                                size: PropTypes.Requireable<number>;
                                wrapperSize: PropTypes.Requireable<number>;
                            }>>;
                            image: PropTypes.Requireable<string>;
                            checkbox: PropTypes.Requireable<PropTypes.InferProps<{
                                title: PropTypes.Requireable<string>;
                                name: PropTypes.Requireable<string>;
                                checked: PropTypes.Requireable<boolean>;
                                onChange: PropTypes.Requireable<(...args: any[]) => any>;
                                'aria-label': PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    iconName: PropTypes.Requireable<string>;
                                    iconColor: PropTypes.Requireable<string>;
                                    preset: PropTypes.Requireable<string>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }> | null | undefined)[]>;
                        type: PropTypes.Requireable<string>;
                        itemType: PropTypes.Requireable<string>;
                        onDrop: PropTypes.Requireable<(...args: any[]) => any>;
                        isDraggable: PropTypes.Requireable<boolean>;
                        tableHeader: PropTypes.Requireable<(string | null | undefined)[]>;
                        emptyResult: PropTypes.Requireable<PropTypes.InferProps<{
                            title: PropTypes.Requireable<string>;
                            description: PropTypes.Requireable<string>;
                            button: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                usage: PropTypes.Requireable<string>;
                                label: PropTypes.Requireable<string>;
                                content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                'aria-label': PropTypes.Requireable<string>;
                                tooltipText: PropTypes.Requireable<string>;
                                tooltipPlacement: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                'data-testid': PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                link: PropTypes.Requireable<PropTypes.InferProps<{
                                    href: PropTypes.Requireable<string>;
                                    download: PropTypes.Requireable<boolean>;
                                    target: PropTypes.Requireable<string>;
                                }>>;
                                hoverBackgroundColor: PropTypes.Requireable<string>;
                                hoverColor: PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                className: PropTypes.Requireable<string>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                useTitle: PropTypes.Requireable<boolean>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | PropTypes.InferProps<{
                                button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    type: PropTypes.Requireable<string>;
                                    usage: PropTypes.Requireable<string>;
                                    label: PropTypes.Requireable<string>;
                                    content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    tooltipText: PropTypes.Requireable<string>;
                                    tooltipPlacement: PropTypes.Requireable<string>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'data-testid': PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    link: PropTypes.Requireable<PropTypes.InferProps<{
                                        href: PropTypes.Requireable<string>;
                                        download: PropTypes.Requireable<boolean>;
                                        target: PropTypes.Requireable<string>;
                                    }>>;
                                    hoverBackgroundColor: PropTypes.Requireable<string>;
                                    hoverColor: PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    className: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    useTitle: PropTypes.Requireable<boolean>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }>>>;
                                menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                                    buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                        'data-name': PropTypes.Requireable<string>;
                                        disabled: PropTypes.Requireable<boolean>;
                                        label: PropTypes.Validator<string>;
                                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                        type: PropTypes.Requireable<string>;
                                        buttonLinkType: PropTypes.Requireable<string>;
                                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                                            theme: PropTypes.Requireable<string>;
                                            position: PropTypes.Requireable<string>;
                                            type: PropTypes.Requireable<string>;
                                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                                name: PropTypes.Validator<string>;
                                                color: PropTypes.Requireable<string>;
                                                backgroundColor: PropTypes.Requireable<string>;
                                                size: PropTypes.Requireable<number>;
                                                customStyle: PropTypes.Requireable<{
                                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                                }>;
                                            }>>;
                                        }>>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                        customLabelClassName: PropTypes.Requireable<string>;
                                    }> | null | undefined)[]>;
                                    'data-name': PropTypes.Requireable<string>;
                                    'aria-label': PropTypes.Requireable<string>;
                                    enableScroll: PropTypes.Requireable<boolean>;
                                }>>>;
                                menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                                    ariaLabel: PropTypes.Requireable<string>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                                type: PropTypes.Requireable<string>;
                                primaryColor: PropTypes.Requireable<string>;
                                closeOnClick: PropTypes.Requireable<boolean>;
                                enableScroll: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }>>;
                    }> | PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        columns: PropTypes.Requireable<(PropTypes.InferProps<{
                            title: PropTypes.Validator<string>;
                        }> | null | undefined)[]>;
                        rows: PropTypes.Requireable<(PropTypes.InferProps<{
                            fields: PropTypes.Requireable<(NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                current: PropTypes.Requireable<boolean>;
                                selected: PropTypes.Requireable<boolean>;
                                icon: PropTypes.Requireable<string>;
                                value: PropTypes.Requireable<string>;
                            }> | null | undefined> | null | undefined)[]>;
                            isRowExpandible: PropTypes.Requireable<boolean>;
                            lastField: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                                type: PropTypes.Requireable<string>;
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                buttonAriaLabel: PropTypes.Requireable<string>;
                                menuAriaLabel: PropTypes.Requireable<string>;
                                buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                    'data-name': PropTypes.Requireable<string>;
                                    disabled: PropTypes.Requireable<boolean>;
                                    label: PropTypes.Validator<string>;
                                    onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                    type: PropTypes.Requireable<string>;
                                    buttonLinkType: PropTypes.Requireable<string>;
                                    icon: PropTypes.Requireable<PropTypes.InferProps<{
                                        theme: PropTypes.Requireable<string>;
                                        position: PropTypes.Requireable<string>;
                                        type: PropTypes.Requireable<string>;
                                        faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                            name: PropTypes.Validator<string>;
                                            color: PropTypes.Requireable<string>;
                                            backgroundColor: PropTypes.Requireable<string>;
                                            size: PropTypes.Requireable<number>;
                                            customStyle: PropTypes.Requireable<{
                                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                            }>;
                                        }>>;
                                    }>>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                    customLabelClassName: PropTypes.Requireable<string>;
                                }> | null | undefined)[]>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                menuButtonClassName: PropTypes.Requireable<string>;
                                isBulkMenu: PropTypes.Requireable<boolean>;
                            }> | null | undefined>>;
                        }> | null | undefined)[]>;
                        stickyFirstColumn: PropTypes.Requireable<boolean>;
                        stickyLastColumn: PropTypes.Requireable<boolean>;
                        columnWidth: PropTypes.Requireable<string>;
                        ariaDescribedby: PropTypes.Requireable<string>;
                        lastField: PropTypes.Requireable<NonNullable<PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }> | PropTypes.InferProps<{
                            componentType: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            buttonAriaLabel: PropTypes.Requireable<string>;
                            menuAriaLabel: PropTypes.Requireable<string>;
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            menuButtonClassName: PropTypes.Requireable<string>;
                            isBulkMenu: PropTypes.Requireable<boolean>;
                        }> | null | undefined>>;
                        isNestedTable: PropTypes.Requireable<boolean>;
                        emptyStateFirstMessage: PropTypes.Requireable<string>;
                        emptyStateSecondMessage: PropTypes.Requireable<string>;
                    }> | null | undefined>>;
                    title: PropTypes.Requireable<NonNullable<string | PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        subtitle: PropTypes.Requireable<string>;
                        type: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        titleSize: PropTypes.Requireable<string>;
                        subtitleSize: PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<PropTypes.ValidationMap<any>>>;
                        tag: PropTypes.Requireable<PropTypes.InferProps<{
                            label: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            size: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                iconName?: React.Validator<string> | undefined;
                                iconColor?: React.Validator<string | null | undefined> | undefined;
                                backgroundColor?: React.Validator<string | null | undefined> | undefined;
                                gradientBackground?: React.Validator<boolean | null | undefined> | undefined;
                                borderRadius?: React.Validator<string | null | undefined> | undefined;
                                preset?: React.Validator<string | null | undefined> | undefined;
                                size?: React.Validator<import("../../../atom/icon").IconSize | null | undefined> | undefined;
                                customStyle?: React.Validator<React.CSSProperties | null | undefined> | undefined;
                            }>>;
                        }>>;
                        button: PropTypes.Requireable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>;
                        required: PropTypes.Requireable<boolean>;
                    }> | null | undefined>>;
                    isFetching: PropTypes.Requireable<boolean>;
                    search: PropTypes.Requireable<PropTypes.InferProps<{
                        value: PropTypes.Requireable<string>;
                        placeholder: PropTypes.Validator<string>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        onClear: PropTypes.Requireable<(...args: any[]) => any>;
                        onFocus: PropTypes.Requireable<(...args: any[]) => any>;
                        onBlur: PropTypes.Requireable<(...args: any[]) => any>;
                        theme: PropTypes.Requireable<string>;
                        dataTestId: PropTypes.Requireable<string>;
                    }>>;
                    checkboxWithTitle: PropTypes.Requireable<PropTypes.InferProps<{
                        title: PropTypes.Requireable<string>;
                        name: PropTypes.Requireable<string>;
                        checked: PropTypes.Requireable<boolean>;
                        onChange: PropTypes.Requireable<(...args: any[]) => any>;
                        'aria-label': PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            iconName: PropTypes.Requireable<string>;
                            iconColor: PropTypes.Requireable<string>;
                            preset: PropTypes.Requireable<string>;
                        }>>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                    }>>;
                    actionButtons: PropTypes.Requireable<(PropTypes.InferProps<{
                        type: PropTypes.Requireable<string>;
                        usage: PropTypes.Requireable<string>;
                        label: PropTypes.Requireable<string>;
                        content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                        'aria-label': PropTypes.Requireable<string>;
                        tooltipText: PropTypes.Requireable<string>;
                        tooltipPlacement: PropTypes.Requireable<string>;
                        'data-name': PropTypes.Requireable<string>;
                        'data-testid': PropTypes.Requireable<string>;
                        icon: PropTypes.Requireable<PropTypes.InferProps<{
                            position: PropTypes.Requireable<string>;
                            type: PropTypes.Requireable<string>;
                            faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                name: PropTypes.Validator<string>;
                                color: PropTypes.Requireable<string>;
                                backgroundColor: PropTypes.Requireable<string>;
                                size: PropTypes.Requireable<number>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                            }>>;
                        }>>;
                        onClick: PropTypes.Requireable<(...args: any[]) => any>;
                        link: PropTypes.Requireable<PropTypes.InferProps<{
                            href: PropTypes.Requireable<string>;
                            download: PropTypes.Requireable<boolean>;
                            target: PropTypes.Requireable<string>;
                        }>>;
                        hoverBackgroundColor: PropTypes.Requireable<string>;
                        hoverColor: PropTypes.Requireable<string>;
                        disabled: PropTypes.Requireable<boolean>;
                        className: PropTypes.Requireable<string>;
                        customStyle: PropTypes.Requireable<{
                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                        }>;
                        useTitle: PropTypes.Requireable<boolean>;
                        customLabelClassName: PropTypes.Requireable<string>;
                    }> | null | undefined)[]>;
                    buttonMenuAction: PropTypes.Requireable<PropTypes.InferProps<{
                        button: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            type: PropTypes.Requireable<string>;
                            usage: PropTypes.Requireable<string>;
                            label: PropTypes.Requireable<string>;
                            content: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                            'aria-label': PropTypes.Requireable<string>;
                            tooltipText: PropTypes.Requireable<string>;
                            tooltipPlacement: PropTypes.Requireable<string>;
                            'data-name': PropTypes.Requireable<string>;
                            'data-testid': PropTypes.Requireable<string>;
                            icon: PropTypes.Requireable<PropTypes.InferProps<{
                                position: PropTypes.Requireable<string>;
                                type: PropTypes.Requireable<string>;
                                faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                    name: PropTypes.Validator<string>;
                                    color: PropTypes.Requireable<string>;
                                    backgroundColor: PropTypes.Requireable<string>;
                                    size: PropTypes.Requireable<number>;
                                    customStyle: PropTypes.Requireable<{
                                        [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                    }>;
                                }>>;
                            }>>;
                            onClick: PropTypes.Requireable<(...args: any[]) => any>;
                            link: PropTypes.Requireable<PropTypes.InferProps<{
                                href: PropTypes.Requireable<string>;
                                download: PropTypes.Requireable<boolean>;
                                target: PropTypes.Requireable<string>;
                            }>>;
                            hoverBackgroundColor: PropTypes.Requireable<string>;
                            hoverColor: PropTypes.Requireable<string>;
                            disabled: PropTypes.Requireable<boolean>;
                            className: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                            }>;
                            useTitle: PropTypes.Requireable<boolean>;
                            customLabelClassName: PropTypes.Requireable<string>;
                        }>>>;
                        menu: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                            buttons: PropTypes.Validator<(PropTypes.InferProps<{
                                'data-name': PropTypes.Requireable<string>;
                                disabled: PropTypes.Requireable<boolean>;
                                label: PropTypes.Validator<string>;
                                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                                type: PropTypes.Requireable<string>;
                                buttonLinkType: PropTypes.Requireable<string>;
                                icon: PropTypes.Requireable<PropTypes.InferProps<{
                                    theme: PropTypes.Requireable<string>;
                                    position: PropTypes.Requireable<string>;
                                    type: PropTypes.Requireable<string>;
                                    faIcon: PropTypes.Requireable<PropTypes.InferProps<{
                                        name: PropTypes.Validator<string>;
                                        color: PropTypes.Requireable<string>;
                                        backgroundColor: PropTypes.Requireable<string>;
                                        size: PropTypes.Requireable<number>;
                                        customStyle: PropTypes.Requireable<{
                                            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                        }>;
                                    }>>;
                                }>>;
                                customStyle: PropTypes.Requireable<{
                                    [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
                                }>;
                                customLabelClassName: PropTypes.Requireable<string>;
                            }> | null | undefined)[]>;
                            'data-name': PropTypes.Requireable<string>;
                            'aria-label': PropTypes.Requireable<string>;
                            enableScroll: PropTypes.Requireable<boolean>;
                        }>>>;
                        menuWrapper: PropTypes.Requireable<PropTypes.InferProps<{
                            ariaLabel: PropTypes.Requireable<string>;
                            customStyle: PropTypes.Requireable<{
                                [x: string]: NonNullable<string | number | object | null | undefined> | null | undefined;
                            }>;
                        }>>;
                        type: PropTypes.Requireable<string>;
                        primaryColor: PropTypes.Requireable<string>;
                        closeOnClick: PropTypes.Requireable<boolean>;
                        enableScroll: PropTypes.Requireable<boolean>;
                    }>>;
                }> | null | undefined>>;
            }>>;
            link: PropTypes.Requireable<PropTypes.InferProps<{
                children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
                className: PropTypes.Requireable<string>;
                href: PropTypes.Requireable<string>;
                'data-name': PropTypes.Requireable<string>;
                'aria-label': PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                target: PropTypes.Requireable<string>;
                hoverColor: PropTypes.Requireable<string>;
                hoverBackgroundColor: PropTypes.Requireable<string>;
                download: PropTypes.Requireable<boolean>;
                onClick: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
                onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
                useButtonTag: PropTypes.Requireable<boolean>;
                style: PropTypes.Requireable<PropTypes.InferProps<{}>>;
                disabled: PropTypes.Requireable<boolean>;
            }>>;
        }>>;
    }
}
import PropTypes from "prop-types";
import React from "react";
//# sourceMappingURL=index.d.ts.map