"use strict";

exports.__esModule = true;
exports.default = void 0;
var _isEqual2 = _interopRequireDefault(require("lodash/fp/isEqual"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Does a shallow comparison for props, state and context
 * See also https://facebook.github.io/react/docs/shallow-compare.html
 * from https://github.com/facebook/react/blob/master/src/addons/shallowCompare.js
 */
const shallowCompare = (instance, nextProps, nextState, nextContext) => {
  return !((0, _isEqual2.default)(instance.props, nextProps) && (0, _isEqual2.default)(instance.state, nextState) && (0, _isEqual2.default)(instance.context, nextContext));
};
var _default = exports.default = shallowCompare;
//# sourceMappingURL=shallow-compare.js.map