import { TextStyle } from 'react-native';
export declare type SpaceType = 'micro' | 'tiny' | 'small' | 'base' | 'medium' | 'large' | 'xlarge';
export declare const HTML_ANCHOR_TEXT_COLOR = "#002BDB";
export declare type Colors = {
    border: string;
    gray: {
        extra: string;
        light: string;
        lighter: string;
        lightMedium: string;
        medium: string;
        dark: string;
        extraDark: string;
    };
    podcast: {
        background: string;
        primary: string;
    };
    text: {
        primary: string;
        secondary: string;
    };
    cta: string;
    negative: string;
    positive: string;
    white: string;
    black: string;
    battle: string;
    notification: string;
    salmon: string;
};
export declare type Theme = {
    colors: Colors;
    spacing: {
        micro: number;
        tiny: number;
        small: number;
        base: number;
        medium: number;
        large: number;
        xlarge: number;
    };
    radius: {
        button: number;
        common: number;
        card: number;
        medium: number;
        regular: number;
        search: number;
        thumbnail: number;
    };
    fontWeight: {
        regular: TextStyle['fontWeight'];
        semiBold: TextStyle['fontWeight'];
        bold: TextStyle['fontWeight'];
        extraBold: TextStyle['fontWeight'];
    };
    fontSize: {
        extraSmall: TextStyle['fontSize'];
        small: TextStyle['fontSize'];
        medium: TextStyle['fontSize'];
        regular: TextStyle['fontSize'];
        large: TextStyle['fontSize'];
        xlarge: TextStyle['fontSize'];
        xxlarge: TextStyle['fontSize'];
        xxxlarge: TextStyle['fontSize'];
    };
    letterSpacing: {
        header: number;
    };
};
declare const defaultTheme: Theme;
export default defaultTheme;
//# sourceMappingURL=theme.native.d.ts.map