"use strict";

exports.__esModule = true;
exports.default = exports.HTML_ANCHOR_TEXT_COLOR = void 0;
var _colors = require("./colors");
const HTML_ANCHOR_TEXT_COLOR = exports.HTML_ANCHOR_TEXT_COLOR = '#002BDB';
const {
  cm_primary_blue
} = _colors.COLORS;
const defaultTheme = {
  colors: {
    border: 'rgba(0, 0, 0, 0.1)',
    gray: {
      extra: '#FAFAFA',
      lighter: '#F4F4F5',
      light: '#ededed',
      lightMedium: '#CFD8DC',
      medium: '#90A4AE',
      dark: '#546E7A',
      extraDark: '#323232'
    },
    text: {
      primary: '#06265B',
      secondary: '#FFFFFF'
    },
    cta: cm_primary_blue,
    negative: _colors.COLORS.negative,
    positive: _colors.COLORS.cm_positive_500,
    white: '#FFFFFF',
    black: '#14171A',
    battle: '#FFDE03',
    notification: '#FF7043',
    salmon: '#FDE2E5',
    podcast: {
      background: _colors.COLORS.cm_grey_800,
      primary: '#FF541F'
    }
  },
  spacing: {
    micro: 4,
    tiny: 8,
    small: 16,
    base: 24,
    medium: 32,
    large: 48,
    xlarge: 64
  },
  radius: {
    common: 3,
    card: 5,
    regular: 8,
    medium: 12,
    search: 24,
    button: 32,
    thumbnail: 1000
  },
  fontWeight: {
    regular: '400',
    semiBold: '500',
    bold: '700',
    extraBold: '900'
  },
  fontSize: {
    extraSmall: 10,
    small: 12,
    medium: 13,
    regular: 15,
    large: 17,
    xlarge: 22,
    xxlarge: 28,
    xxxlarge: 40
  },
  letterSpacing: {
    header: 5
  }
};
var _default = exports.default = defaultTheme;
//# sourceMappingURL=theme.native.js.map